2000-10-18  Andy Hertzfeld  <andy@eazel.com>

	added a Services menu, per Darin's advice, as a separate bonobo
	ui component.  Right now, it's leaking the UI handler, and the
	menu uris aren't correct; will finish this tomorrow.
	
	* src/Makefile.am:
	added new files: nautilus-service-ui.xml and
	nautilus_window_install_service_menu	
	
	* src/nautilus-service-ui.xml:
	xml file defining service menu and toolbar button
	
	* src/nautilus-shell-ui.xml:
	added placeholder for services menu and toolbar button; removed
	definition of toolbar button
	
	* src/nautilus-window-private.h:
	added reference to install routine
		
	* src/nautilus-window-service-menu.c: (goto_services_summary),
	(goto_online_storage), (goto_software_catalog),
	(nautilus_window_install_service_menu):
	merge in the services menu and button and handle the commands
	
	* src/nautilus-window-toolbars.c: (set_up_toolbar_images),
	(nautilus_window_initialize_toolbars):
	change the service button image when the theme changes
	if EAZEL_SERVICES is defined
	
	* src/nautilus-window.c: (nautilus_window_constructed):
	call the install routine if EAZEL_SERVICES is defined

2000-10-17  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/Makefile.am:
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (create_package),
	(nautilus_service_install_view_update_from_uri):

	Fix "id=" stuff to "rpm_id=" to match new softcat format, and use
	special pack->eazel_id field now that libeazelinstall provides it.
	
2000-10-17  Robey Pointer  <robey@eazel.com>

	* nautilus-installer/src/callbacks.c: (prep_retry):
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (start_over),
	(dont_start_over), (jump_to_retry_page):

	Change installer's "let's upgrade other packages" screen to be
	user-friendly and Arloified.

2000-10-17  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_content_view_one_time_happenings):
	Make the "misc" part of the User-Agent "Nautilus/1.0" instead of
	"Nautilus"
	
2000-10-17  John Sullivan  <sullivan@eazel.com>

	Fixed NULL dereference bug Eli was running into in the
	location bar.

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_handle_trailing_slashes): added assert that
	parameter is not NULL
	(nautilus_make_uri_canonical): Handle NULL up front,
	to avoid dereferencing it later.

2000-10-17  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c: (icon_free),
	(stop_rubberbanding), (destroy): Oops. Canvas items are not
	widgets, although they ref. count in a similar way.

2000-10-17  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(async_job_wake_up): Fix reentrancy problem.

2000-10-17  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c: (icon_free),
	(stop_rubberbanding), (destroy): Fixed a bunch of FIXMEs now that
	I "get" widget ref. counting.
	(icon_set_position): Clip code rearranging.

2000-10-17  Andy Hertzfeld  <andy@eazel.com>

	* components/hardware/nautilus-hardware-view.c:
	(setup_overview_form):
	made long device names wrap to multiple lines.
	
2000-10-17  Darin Adler  <darin@eazel.com>

	Fix assert introduced with my last check-in.

	* libnautilus-extensions/nautilus-directory-async.c:
	(async_job_start), (async_job_end): Added a debugging feature to
	match up starts with ends.
	(directory_count_cancel), (deep_count_cancel), (mime_list_cancel),
	(top_left_cancel), (activation_uri_cancel), (file_info_cancel),
	(metafile_read_cancel), (file_list_cancel),
	(directory_count_callback), (start_monitoring_file_list),
	(directory_count_start), (deep_count_callback),
	(deep_count_start), (mime_list_callback), (mime_list_start),
	(top_left_read_done), (top_left_start), (get_info_callback),
	(file_info_start), (activation_uri_done), (activation_uri_start):
	Pass additional parameters to make debugging feature work.
	(metafile_read_mark_done), (metafile_read_done),
	(metafile_read_start): Broke out the read complete code to fix a
	case where we would end a thread that we didn't start.

2000-10-17  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3828 (switching views makes torn-off menus disappear)
	Fixed bug 3822 (Edit menu flashes when you click in location field)
	Fixed bug 3529 (menu bar flashes when view switched)

	These were all caused by our Bonobo xml files redefining labels
	for submenus, causing Bonobo to think that it needed to destroy
	the widget holding the title of the old submenu.

	* libnautilus/nautilus-clipboard-ui.xml:
	* src/file-manager/nautilus-directory-view-ui.xml:
	* src/file-manager/nautilus-icon-view-ui.xml:
	* src/file-manager/nautilus-search-list-view-ui.xml:
	Removed all _label="Foo"s from submenus defined in
	nautilus-shell-ui.xml (e.g. File, Edit, View).

	Some bug fixes and cleanup in the summary view code. I noticed a
	couple of obvious problems when I was trying to use services
	earlier, and they led me to fix up a little of this code.

	* components/services/summary/nautilus-view/nautilus-summary-view.c:
	Removed "feedback_text" field from Details struct; now it's just a
	parameter to generate_error_dialog (it was being leaked with each
	use, also).
	(generate_summary_form): Use new error_dialog_shown boolean to avoid
	showing exactly the same dialog twice; removed a bunch of duplicate 
	code by collapsing an if/else into only the part that's different;
	pass dialog text to generate_error_dialog directly
	(authn_cb_failed): Don't follow an exclamation point with a period.
	(generate_error_dialog): Set up a parent window so the dialog
	appears in a sensible place; use GNOME_STOCK_BUTTON_CANCEL instead
	of "CANCEL"; get message from parameter instead of Details field;
	change "Retry" to "Try Again" to be less nerdly.

2000-10-17  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(cancel_mime_list, set_up_request_by_file_attributes,
	lacks_mime_list, nautilus_directory_invalidate_counts,
	mime_list_callback, mime_list_start): Fix assorted bugs which made
	NautilusFile think the list was never complete.

	* libnautilus-extensions/nautilus-wait-until-ready.h: Include
	<libnautilus-extensions/nautilus-directory.h> and
	<libnautilus-extensions/nautilus-file.h>.

	* libnautilus-extensions/nautilus-file-attributes.h: Rename
	MIME_LIST attroibute to DIRECTORY_ITEM_MIME_TYPES.

	* libnautilus-extensions/nautilus-file.h,
	libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_directory_item_mime_types): Renamed from
	nautilus_file_get_mime_list.

	* libnautilus-extensions/nautilus-mime-actions.h,
	libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_file_wait_for_metadata,
	nautilus_file_wait_for_mime_action_attributes,
	nautilus_mime_get_default_action_type_for_uri,
	nautilus_mime_get_default_action_for_uri,
	nautilus_mime_get_default_application_for_uri_internal,
	nautilus_mime_get_default_application_for_uri,
	nautilus_mime_is_default_application_for_uri_user_chosen,
	nautilus_mime_get_default_component_for_uri_internal,
	nautilus_mime_get_default_component_for_uri,
	nautilus_mime_is_default_component_for_uri_user_chosen,
	nautilus_mime_get_short_list_applications_for_uri,
	nautilus_mime_get_short_list_components_for_uri,
	nautilus_mime_get_short_list_methods_for_uri,
	nautilus_mime_get_all_applications_for_uri,
	nautilus_mime_has_any_applications_for_uri,
	nautilus_mime_get_all_components_for_uri,
	nautilus_mime_has_any_components_for_uri,
	nautilus_mime_set_default_action_type_for_uri,
	nautilus_mime_set_default_application_for_uri,
	nautilus_mime_set_default_component_for_uri,
	nautilus_mime_set_short_list_applications_for_uri,
	nautilus_mime_set_short_list_components_for_uri,
	nautilus_mime_add_application_to_short_list_for_uri,
	nautilus_mime_remove_application_from_short_list_for_uri,
	nautilus_mime_add_component_to_short_list_for_uri,
	nautilus_mime_remove_component_from_short_list_for_uri,
	nautilus_mime_extend_all_applications_for_uri,
	nautilus_mime_remove_from_all_applications_for_uri,
	mime_type_list_to_hash_table, nautilus_do_component_query): Use
	all the new NautilusFile APIs and stop using NautilusDirectory. No
	longer take NautilusDirectory as a parameter in addition to
	NautilusFile.

	* libnautilus-extensions/nautilus-program-chooser.c:
	(repopulate_program_list, is_application_default_for_uri,
	is_component_default_for_uri, is_component_in_short_list_for_uri,
	is_application_in_short_list_for_uri,
	program_file_pair_is_default_for_file, add_to_short_list_for_file,
	remove_from_short_list_for_file, remove_default_for_item,
	set_default_for_item): Stop passing NautilusDirectory to
	nautilus-mime-actions functions.
	* libnautilus-extensions/nautilus-program-choosing.c:
	(any_programs_available_for_file): Likewise.
	* src/file-manager/fm-directory-view.c (switch_location_and_view,
	files_added_callback, files_changed_callback,
	create_open_with_gtk_menu, reset_bonobo_open_with_menu,
	activate_callback):  Likewise.
	* src/nautilus-applicable-views.c (got_file_info_callback): Likewise.
	* src/nautilus-sidebar.c (nautilus_sidebar_update_buttons): Likewise.
	* src/nautilus-window-manage-views.c
	(nautilus_window_set_content_view): Likewise.
	* src/nautilus-window.c (nautilus_window_load_content_view_menu):
	Likewise.
	* test/test-nautilus-mime-actions-set.c (main): Likewise.
	* test/test-nautilus-mime-actions.c (main): Likewise.

2000-10-17  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_flatten_categories):

	Apply Eskil's memory patch to make the bootstrap not crash on
	success (yay!).

2000-10-17  Darin Adler  <darin@eazel.com>

	* check-FIXME.pl: Skip the macros directory.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(async_job_start), (async_job_end), (get_one_value_callback),
	(get_one_value), (async_job_wake_up): Add new calls that limit the
	number of async. jobs done at once.
	(directory_count_cancel), (deep_count_cancel), (mime_list_cancel),
	(top_left_cancel), (activation_uri_cancel), (file_info_cancel),
	(metafile_read_cancel), (metafile_read_done): End the async. job
	if it's cancelled.
	(metafile_read_try_public_metafile), (metafile_read_restart):
	Changed the old metafile_read_start function's name to
	metafile_read_restart since it's used on the second try.
	(is_anyone_waiting_for_metafile), (metafile_read_start): Move the
	logic about whether to start reading into this function to make it
	more like the other jobs. Also start the async. job.
	(file_list_cancel): Changed name for consistency and end the
	async. job.
	(directory_count_callback): End the async. job.
	(start_monitoring_file_list): Start the async job.
	(file_list_start): Moved logic about when to start loading the file
	list into this function to make it more like other jobs.
	(directory_count_start): Renamed to make it more like other jobs
	and start the async. job.
	(deep_count_callback): End the async. job.
	(deep_count_start): Start the async. job.
	(mime_list_callback): End the async. job.
	(mime_list_start): Start the async. job.
	(top_left_read_done): End the async. job.
	(top_left_start): Start the async. job.
	(get_info_callback): End the async. job.
	(file_info_start): Start the async. job.
	(activation_uri_done): End the async. job.
	(activation_uri_start): Start the async. job.
	(nautilus_directory_async_state_changed): Wake up directories that
	may have breathing from from all the cancellation.
	(nautilus_directory_cancel): Moved the cancelling code down here,
	remove a directory from the waiting list when it goes, and also
	wake up directories that may have breathing room from all the
	cancellation.
	
	* libnautilus-extensions/nautilus-directory-private.h: Remove
	request_read_metafile from the header.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_destroy): Eliminate the call to
	nautilus_directory_stop_monitoring_file_list since that's now
	handled by nautilus_directory_cancel.
	
	* libnautilus-extensions/nautilus-file-private.h: Removed the
	got_*_mime_type variables since they are the same as *_mime_type
	!= NULL.
	
	* libnautilus-extensions/nautilus-file.c: (destroy): Get rid of
	checks for NULL before calling g_free.
	(nautilus_file_update_info): Replace == FALSE with !. Simplified
	some tortuous logic by getting rid of checks for NULL that weren't
	needed and booleans that weren't needed.
	(get_either_mime_type): Add helper to make it easier to avoid
	confusion between default and slow MIME type.
	(nautilus_file_compare_by_type): Use get_either_mime_type so it
	works when default MIME type is NULL.
	(nautilus_file_get_type_as_string): Use get_either_mime_type so it
	works when default MIME type is NULL.
	(nautilus_file_get_slow_mime_type): Simplified logic. Also got rid
	of "application/nonono" which was left here by accident.
	(nautilus_file_get_mime_type): Simplified logic and use
	get_either_mime_type to share code.
	(nautilus_file_is_mime_type): Simplified logic and use
	get_either_mime_type to share code.
	
	* src/file-manager/fm-directory-view.c: Format tweaks.

	* user-guide/C/Makefile.am: Not so much echoing as we install.

2000-10-17  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 3716, Bonobo paths for applications and
	viewers must be unique.

	Added unique index to bonobo path name.
	
	* src/file-manager/fm-directory-view.c:
	(add_open_with_app_bonobo_menu_item),
	(add_open_with_viewer_bonobo_menu_item),
	(add_application_to_bonobo_menu), (add_component_to_bonobo_menu),
	(reset_bonobo_open_with_menu):

2000-10-17  John Sullivan  <sullivan@eazel.com>

	Made "this application can only handle local files"
	dialog be parented on the NautilusWindow from whence
	it came.

	* libnautilus-extensions/nautilus-program-choosing.h:
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application_parented): Removed this function
	(nautilus_launch_application): Made this function take a
	parent (can be NULL, but better not to be).

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_launch_application): Remove "_parented"
	
	* src/nautilus-sidebar.c: 
	(nautilus_sidebar_get_window): New helper function to get
	enclosing window.
	(command_button_callback),
	(nautilus_sidebar_chose_application_callback): Pass parent
	window to nautilus_launch_application.

2000-10-17  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_set_content_view_widget):
	fixed bug 3411, the sidebar resizes itself when viewing the
	summary page, by setting the "shrink" boolean to true
	when adding the content view container to the splitter.
	
2000-10-17  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3824 (Files in search list have unknown type)

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_type_as_string): Made this check cached
	slow_mime_type as well as cached default_mime_type. I'm worried
	about this whole area -- why did we differentiate the two? I'll
	bet there are other lurking bugs around here.

2000-10-17  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3825 (Bonobo error messages viewing search results)
	Fixed bug 3826 ("Reveal in New Window" misplaced in context menu)

	* src/file-manager/fm-directory-view.c:
	(append_selection_menu_subtree): take an identifier, store
	it in menu item for later identification, just like other menu
	items. This will all change when we switch to using Bonobo for
	context menus.
	(fm_directory_view_real_create_selection_context_menu_items):
	Pass the identifier that list view code was expecting to find.
	* src/file-manager/fm-search-list-view.c:
	fixed typo in COMMAND_REVEAL_IN_NEW_WINDOW #define. Those darn
	typos are deadly with new Bonobo.

2000-10-17  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(get_next_duplicate_name):
	Part of fix to but 2840 - URI parsing works wrong for URIs with 
	# characters. I noticed duplicating and creating links to files 
	with funny characters like # was broken and added proper escaping
	code to fix it.

2000-10-17  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_do_transaction_all_files_check):
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_list_copy), (categorydata_copy),
	(categorydata_destroy_foreach), (categorydata_list_destroy),
	(packagedata_fill_from_rpm_header):
	* components/services/install/lib/eazel-install-types.h:

	Fix missing param in prune_packages.  Make categorydata_list_copy
	stop iterating sometime in my life.  Add matching
	categorydata_list_destroy. 
	
	* nautilus-installer/src/callbacks.c: (begin_install):
	* nautilus-installer/src/installer.c: (jump_to_error_page),
	(start_over), (dont_start_over), (create_finish_page_good),
	(get_required_name), (get_detailed_errors_foreach),
	(get_detailed_errors), (install_failed), (eazel_install_dep_check),
	(eazel_install_delete_files), (install_done), (toggle_button_lock),
	(eazel_installer_add_category), (check_system),
	(eazel_installer_do_install), (eazel_install_get_depends):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/link.sh:

	Further attempts at recovering from a common error case (where the
	user ought to upgrade gnumeric too).  Fix up some of the text to
	match biz requirements.  Make a copy of the category list before
	doing the install-lib call, so that it doesn't munge our pristine
	list for the cases where we want to try again later.

2000-10-17  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize), (ensure_uri_is_image),
	(set_album_cover), (dialog_destroy), (set_image_button_callback),
	(nautilus_music_view_set_album_image):
	for bug 2261, added a "set cover image" button to the music view,
	which is visible when there's no cover, which displays a file
	selector, and set the metadata when the user selects a valid image.
	This is almost complete, but it's not quite working yet.
	
	* src/nautilus-shell.c: (display_caveat):
	increased the font size of the caveat to 14pt, since it was
	a little too hard to read and there was plenty of space.
	
2000-10-16  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c: (fm_icon_view_update_menus):
	fixed occasional segfaults from fm_icon_view_update_menus
	being called from idle after they've been destroyed; fixed by
	exiting if the menus_ready boolean is clear.
	
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_set_album_image), (metadata_callback),
	(nautilus_music_view_update_from_uri):
	fixed bug 3720, music view asks for album cover metadata incorrectly.
	Fixed by doing it correctly, using nautilus_file_call_when_ready.
	This also partially fixes bug 2261, but it's still too hidden, so
	I won't close it out until we have an explicit way to do it.
	
2000-10-17  Mathieu Lacage  <mathieu@eazel.com>

	fix "do nothing" part of bug 3640
	* components/tree/nautilus-tree-view.c: move 
	re-init of code from drag_leave to drag_begin.

2000-10-16  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c: (fm_icon_view_destroy):
	fixed a problem where we generated a zillion bonobo criticals
	when the view changed. The problem was that the fm-icon-view
	was trying to update the layout menus while it was being destroyed,
	after the menus were already gone.  The fix is clearing the
	"menus_ready" boolean at the start of the destroy method.
	 
2000-10-16  Eskil Heyn Olsen  <eskil@eazel.com>

	* nautilus.spec.in:
	Reverting change to check >= vs = issue.

2000-10-16  Eskil Heyn Olsen  <eskil@eazel.com>

	* nautilus.spec.in:
	Changed the dep of nautilus-maozilla to mozilla = M18 instead of
	mozilla-M18. I can't put in >= M18, because rpm's fucks up on
	alphachar versions.

2000-10-16  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_fetch_dependencies), (dump_one_package),
	(dump_packages_foreach), (dump_packages),
	(eazel_install_ensure_deps):
	Debug output.
	Revamping the error tree for failures' reg. circular conflicts.
	
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_list_copy), (categorydata_copy),
	(packagedata_list_copy), (eazel_install_requirement_dep_compare):
	Fixed a bug in the copy functions and the dep_compare. 
	
	* nautilus-installer/src/Makefile:
	Yeah...
	
	* nautilus-installer/src/installer.c:
	(get_detailed_errors_foreach):
	Inserting code to make the circular conflict handling nice.

2000-10-16  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Fix a typo in the required version of mozilla.
	
2000-10-16  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Remove extraneous debugging printf.
	
2000-10-16  Rebecca Schulman  <rebecka@eazel.com>

	* libnautilus/nautilus-clipboard.c: (add_menu_items_callback),
	(ui_component_remove_container_and_unref),
	(finish_setting_up_editable),

	Fixed a problem with the clipboard caused by having many components
	in the same container with the same name, and fixed a potential
	leak.

2000-10-16  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3789 (Zoom In/Zoom Out/Back/Forward have lost
	their control-key equivalents)

	* src/nautilus-shell-ui.xml: Updated the specification
	of non-alphanumeric keyboard equivalents to the new
	required style ("*Control*equal", not "*Control*=").

2000-10-16  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(mime_list_load): Added a (conditional) line of spam for 
	when load_directory is called to get the MIME list.

2000-10-16  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/Makefile.am:
	* components/services/install/command-line/eazel-alt-install.c:
	* components/services/install/command-line/eazel-install.c:
	* components/services/install/command-line/eazel-package-query.c:
	* components/services/install/command-line/eazel-revert.c:
	* components/services/install/command-line/eazel-uninstall.c:
	Removed these old evil files.
	
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_list_copy), (categorydata_copy),
	(packagedata_list_copy), (packagedata_copy):
	Implemented package & categorydata copy functions.
	
	* components/services/trilobite/libtrilobite/trilobite-core-distrib
	ution.h:
	* components/services/trilobite/libtrilobite/trilobite-core-distrib
	ution.c: (determine_mandrake_version), (determine_suse_version),
	(determine_debian_version):
	Removed g_assert_not_reached calls. Also added enum for YELLOWDOG.
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/installer.c: (get_required_name),
	(get_detailed_errors_foreach), (get_detailed_errors),
	(eazel_install_dep_check), (check_system):
	Doing some funk to handle circular deps better.
	
2000-10-16  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_keyboard_navigation_key_press),
	(nautilus_list_get_first_selected_row),
	(nautilus_list_get_last_selected_row):
	* libnautilus-extensions/nautilus-list.h:

	Finished up Matt Bissiri's earlier checkin for him.
	Removed the confusingly almost-redundant
	nautilus_clist_get_first/last_selected_row; made
	nautilus_list_get_last_selected_row public to match
	get_first_selected_row. Thanks to Matt for the patch.

2000-10-16  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c: Changed
	the search default to the one at Eazel as planned.

2000-10-16  Pavel Cisler  <pavel@eazel.com>

	* cut-n-paste-code/widgets/gtkclist/Makefile.am:
	* cut-n-paste-code/widgets/gtkclist/gtkclist.c:
	* cut-n-paste-code/widgets/gtkclist/gtkclist.h:

	Get rid of obsolete copy of GtkCList.

2000-10-12  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/fm-list-view.c: (fm_list_get_drag_pixmap):
	Fix 3558 - Nautilus crashes with a specific sequence of icon
	dragging ...
	Handle a case where the cell pixmap does not have a mask.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(motion_notify_event):
	Small renaming.
	
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_dnd_initialize), (nautilus_list_drag_begin):
	Get rid of a drag_begin signal override that is not needed.

2000-10-16  Josh Barrow  <josh@eazel.com>

	* icons/Makefile.am:
	* icons/emblem-symbolic-link-*.png
	Removed all of the different size symbolic link icons.  They 
	were useless as the emblems are now stuck at the defautl size.

2000-10-16  Rebecca Schulman  <rebecka@eazel.com>

	Fixed bug 3745, that reverse sort order / tighter
	layout buttons weren't working after the newest bonobo
	changes

	* src/file-manager/fm-icon-view.c:
	(tighter_layout_state_changed_callback),
	(fm_icon_view_create_background_context_menu_items),
	(sort_reversed_state_changed_callback), (fm_icon_view_merge_menus):
	Changed the callbacks for the buttons to use listeners and ids 
	rather than verbs.
	* src/file-manager/nautilus-icon-view-ui.xml:
	Added id fields

2000-10-16  Ramiro Estrugo  <ramiro@eazel.com>

	* acconfig.h:
	* configure.in:
	Define the build timestamp only if given in the environment.
	
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_build_timestamp):
	* libnautilus-extensions/nautilus-file-utilities.h:
	New function to obtain the build timestamp.
	
	* src/nautilus-window-manage-views.c:
	(window_set_title_with_timestamp), (update_title):
	* src/nautilus-window-menus.c: (get_about_box_timestamp_string),
	(help_menu_about_nautilus_callback):
	Display the build timestamp in both the about box and window
	title.   This only happens if the build timestamp is set at
	compile time.
	
2000-10-16  Ramiro Estrugo  <ramiro@eazel.com>

	* README:
	Update docs for the fact that we now require Mozilla-M18.
	
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_content_view_one_time_happenings),
	(nautilus_mozilla_content_view_initialize),
	(nautilus_mozilla_content_view_destroy),
	(mozilla_load_location_callback), (mozilla_net_state_callback),
	(mozilla_dom_mouse_click_callback),
	(mozilla_translate_uri_if_needed),
	(mozilla_untranslate_uri_if_needed):
	Cleanup a bunch of pre Mozilla M18 code.  Turn of a rogue printf.
	Remove the cut-n-pasted Bonobo merging code.  We can add it back
	if we ever have something we really need to merge.
	
	* configure.in:
	Update for new Mozilla M18 requirement.  Bail of detected Mozilla
	is not M18.
	
	* nautilus.spec.in:
	Add mozilla-m18 dependency to the nautilus-mozilla package.
	
2000-10-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_set_line_wrap_separators):
	Fix memory leak.
	
2000-10-16  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3582 (warning on boot due to verb/button problem
        in non-Eazel-service build)

	* src/nautilus-window-toolbars.c:
	(nautilus_window_initialize_toolbars): Call set_hidden on
	the command, not the widget. We were waiting for a Bonobo
	fix to make this change, because it didn't work last time
	we tried. But now it does, so the Bonobo fix must have
	occurred.

2000-10-16  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3753 (status bar shows selected items info even
	after they are deselected)

	* src/nautilus-window.c: 
	(nautilus_window_clear_status): Reinstate workaround (and
	associated FIXME) of passing " " to clear the status. This
	had been fixed in Bonobo but was rebroken some time in the
	last few days.
	(nautilus_window_set_status): Call nautilus_window_clear_status
	when the desired status text is empty or NULL, instead of
	ignoring the request.

2000-10-16  Matt Bissiri  <bissiri@eecs.umich.edu>

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_clist_get_first_selected_row),
	(nautilus_clist_get_last_selected_row):
	Now that NautilusList derives from NautilusCList instead of GtkCList,
	do not call `nautilus_gtk_clist_get_first_selected_row' or
	`nautilus_gtk_clist_get_last_selected_row'.
	Instead add implementation using NautilusCList instead of GtkCList.
	This fixes a bug where up/down/pgup/pgdown keys did not work properly
	when viewing directory as list.
	(nautilus_list_get_first_selected_row):
	To avoid code duplication, replace the body of this function
	with a call to `nautilus_clist_get_first_selected_row'.

2000-10-16  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_initialize), (nautilus_label_destroy),
	(render_buffer_pixbuf), (label_recompute_line_geometries),
	(nautilus_label_set_line_offset),
	(nautilus_label_get_drop_shadow_color),
	(nautilus_label_set_line_wrap), (nautilus_label_get_line_wrap),
	(nautilus_label_set_line_wrap_width),
	(nautilus_label_get_line_wrap_width),
	(nautilus_label_set_line_wrap_separators),
	(nautilus_label_get_line_wrap_separators):
	* libnautilus-extensions/nautilus-label.h:
	Add support for line wrappping.

	* src/nautilus-shell.c: (display_caveat):
	Change the caveat text to not use hard coded new lines and use the
	new NautilusLabel text wrapping feature instead.

	* test/.cvsignore:
	* test/Makefile.am:
	* test/test-nautilus-label.c: (main):
	* test/test-nautilus-wrapped-label.c: (delete_event),
	(create_gtk_label), (create_nautilus_label),
	(create_gtk_label_window), (create_nautilus_label_window), (main):
	Add a test for the NautilusLabel line wrapping feature.
	
2000-10-16  Gene Z. Ragan  <gzr@eazel.com>

	Fixed an error where I was escaping the wrong item
	to create a unique verb name.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_add_menu_item):
	
	* src/nautilus-window-menus.c: (append_bookmark_to_menu):

2000-10-15  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	As Arlo suggested, moved the album cover image to the right
	of the play controls, so the play controls appear in the same position
	whether or not a cover image is present.
	
2000-10-15  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-file.h,
	libnautilus-extensions/nautilus-file.c
	(nautilus_file_get_file_info_result): Renamed and changed
	interface.

	* src/nautilus-applicable-views.c (got_file_info_callback,
	nautilus_navigation_info_new, nautilus_navigation_info_cancel,
	nautilus_navigation_info_free): Reorganize to use the new
	NautilusFile features.

2000-10-15  Kjartan Maraas  <kmaraas@gnome.org>

	* components/services/install/command-line/eazel-install.c:
	s/RedHat/Red Hat Linux/g
	
2000-10-15  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-throbber.c: (load_themed_image),
	(nautilus_throbber_load_images):
	implemented theme indirection for throbbers, so themes can
	share throbbers
	* icons/ardmore/ardmore.xml:
	made the ardmore theme use the eazel theme's throbber
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_update_icon):
	at Susan's suggestion, pinned emblem size to 100%, so emblems don't
	get huge when you scale up.
	
2000-10-14  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-throbber.c: (nautilus_throbber_initialize_class),
	(nautilus_throbber_initialize), (nautilus_throbber_theme_changed),
	(nautilus_throbber_size_allocate),
	(nautilus_throbber_size_request):
	made the throbber resize and reposition itself properly when the
	theme changes by implementing size_request and calling queue_resize
	when the theme changes.
	
2000-10-13  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-throbber.c: (bump_throbber_frame),
	(nautilus_throbber_load_images):
	added support for throbbers with a different number of frames
	by adding a frame count fetched from the theme data
	
	* configure.in:
	* icons/eazel/Makefile.am:
	* icons/eazel/throbber/.cvsignore:
	* icons/eazel/throbber/Makefile.am:
	* icons/eazel/throbber/*.png:
	added a eazel logo throbber to the eazel theme
	
	* icons/eazel/eazel.xml:
	* icons/default.xml:
	* icons/gnome/gnome.xml:
	added the appropriate frame count to the relevant themes.

2000-10-13  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_class_initialize), (eazel_install_install_packages):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_free_rpm_system_close_db_foreach):
	* components/services/install/lib/eazel-install-rpm-glue.h:

	Don't set up a default delete_files signal handler when not using
	corba (otherwise it overrides the real signal).  Clean up some
	destroy code in preparation for making the bootstrap installer
	able to retry.

2000-10-13  Robey Pointer  <robey@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(cancel_mime_list), (nautilus_directory_cancel),
	(set_up_request_by_file_attributes),
	(nautilus_directory_monitor_add_internal),
	(nautilus_async_destroying_file), (lacks_mime_list),
	(wants_mime_list), (request_is_satisfied),
	(nautilus_directory_invalidate_counts), (mime_list_one),
	(mime_list_callback), (mime_list_load), (mime_list_start),
	(start_or_stop_io):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-file-attributes.h:
	* libnautilus-extensions/nautilus-file-private.h:
	* libnautilus-extensions/nautilus-file.c: (destroy),
	(nautilus_file_recompute_deep_counts),
	(nautilus_file_get_mime_list):
	* libnautilus-extensions/nautilus-file.h:

	Added mime-list support (can fetch the list of mime-types in the
	subdirs of a directory) for bug 3364.

2000-10-13  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_do_rpm_dependency_check):
	Fix for 3537
	* nautilus-installer/src/Makefile:
	?
	* nautilus.spec.in:
	Fixing nautilus rpm build

2000-10-13  Rebecca Schulman  <rebecka@eazel.com>

	* libnautilus/nautilus-clipboard-ui.xml:
	Fixed the names of these files to match the menu items in shell-ui
	* libnautilus/nautilus-clipboard.h:
	* libnautilus/nautilus-clipboard.c: (add_menu_items_callback),
	(container_copy_free), (ui_component_remove_container_and_unref),
	(finish_setting_up_editable),
	(finish_setting_up_editable_from_bonobo_control_callback),
	(nautilus_clipboard_set_up_editable_from_bonobo_control),
	(nautilus_clipboard_set_up_editable_from_bonobo_ui_container):
	Added the from_ui_container function for local editable widgets
	to use, and changed the function sequence around so that the two
	clipboard set up functions share an api except for the initial calling
	functions

	* src/nautilus-window-private.h:
	* src/nautilus-window.c: (nautilus_window_constructed),
	(nautilus_window_show), (nautilus_window_get_bonobo_ui_container),
	(nautilus_window_get_bonobo_ui_component):
	added the new nautilus-window_get_bonobo_ui_component function for local  
	editables to use, and changed the construction order so that menu items
	would get merged correctly (set up the main window menus before setting
	up the location bar)

	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_new):
	* src/nautilus-complex-search-bar.h:
	* src/nautilus-location-bar.c: (nautilus_location_bar_get_window),
	(nautilus_location_bar_initialize), (nautilus_location_bar_new),
	(nautilus_location_bar_set_location):
	* src/nautilus-location-bar.h:
	* src/nautilus-simple-search-bar.c:
	(nautilus_simple_search_bar_initialize),
	(nautilus_simple_search_bar_destroy),
	(nautilus_simple_search_bar_new):
	* src/nautilus-simple-search-bar.h:
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_initialize),
	(nautilus_switchable_navigation_bar_destroy),
	(nautilus_switchable_navigation_bar_new):
	* src/nautilus-switchable-navigation-bar.h:
	* src/nautilus-switchable-search-bar.c:
	(nautilus_switchable_search_bar_initialize),
	(nautilus_switchable_search_bar_destroy),
	(nautilus_switchable_search_bar_new):
	* src/nautilus-switchable-search-bar.h:
	Changed the location bar and switchable 
	search bar to take windows in the constructor funciton.
	These are used to get the local ui component when
	setting up the clipboard
	

2000-10-13  Eskil Heyn Olsen  <eskil@eazel.com>

	* nautilus.spec.in:
	Updated deps to 
	bonobo >= 0.21
	oaf >= 0.5.1
	gdk-pixbuf >= 0.9.0
	as those are the versions we're building against.

2000-10-13  Gene Z. Ragan  <gzr@eazel.com>

	Work in progress on creating unique ideas for menu items
	added to the bookmarks menu.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	(nautilus_bonobo_add_menu_item),
	(nautilus_bonobo_get_menu_item_verb_name):

	* src/file-manager/fm-directory-view.c:
	(add_open_with_app_bonobo_menu_item),
	(add_open_with_viewer_bonobo_menu_item):
	
	* src/nautilus-window-menus.c: (append_bookmark_to_menu),
	(create_menu_item_from_node), (append_dynamic_bookmarks),
	(refresh_go_menu):

2000-10-13  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3592 (rename text widget persists after dragging icon)

	* libnautilus-extensions/nautilus-icon-container.c:
	(motion_notify_event): added end_renaming_mode call
	when a drag begins.

2000-10-13  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_type_as_string):
	fixed bug 3711, sidebar says home directory is a "program", by
	explicitly checking nautilus_file_is_directory if the mime-type
	is NULL and returning "folder" in that case.
	
	* src/nautilus-window-toolbars.c:
	(nautilus_window_initialize_toolbars):
	added some padding around the throbber to better position it in
	the toolbar.
	
2000-10-13  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-applicable-views.c:
	(get_nautilus_navigation_result_from_gnome_vfs_result):
	added GNOME_VFS_ERROR_INTERNAL to the known list of
	errors that we can't say anything useful about, since
	this is firing in some cases when Mozilla fails.

2000-10-13  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c: Changed the
	SILENT_WINDOW_OPEN_LIMIT from 10 to 5 after feedback that
	opening 9 windows accidentally was dragging someone's
	machine into the muck.

2000-10-13  John Sullivan  <sullivan@eazel.com>

	Added some conditionalized debugging spam to help
	investigate bug 3389 (performance problem with
	load_directory getting called so often)

	* libnautilus-extensions/nautilus-directory-async.c:
	(start_monitoring_file_list), (start_getting_directory_counts),
	(deep_count_load): Add #ifdeffed-out spam whenever 
	gnome_vfs_async_load_directory is called.

2000-10-13  Andy Hertzfeld  <andy@eazel.com>

	* data/emblems/Makefile.am:
	* data/emblems/confidential.gif: removed
	* data/emblems/cool.png:
	* data/emblems/secret.png:
	added new emblems from Susan, and deleted confidential
	
	* icons/Makefile.am:
	* icons/emblem-confidential.gif: removed
	* icons/emblem-cool.svg:
	* icons/emblem-distinguished.svg:
	* icons/emblem-new.svg:
	* icons/emblem-noread.svg:
	* icons/emblem-nowrite.svg:
	* icons/emblem-secret.svg:
	added and updated emblems from Susan, and deleted the
	confidential emblem (replace by "secret").
	
2000-10-12  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-list.c: (draw_row):
	Fix 3607 and 3639. Both bugs were caused by the same lame
	typo.
	
2000-10-13  Mathieu Lacage  <mathieu@eazel.com>

	* docs/state-machines.txt: new design for the state 
	machine taking into account the new async states.
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_icon), (oaf_activation_callback),
	(nautilus_bonobo_activate_from_id),
	(nautilus_bonobo_activate_stop), 
	(nautilus_bonobo_activate_free):
	add async activation call.
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	add prototypes.
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class), (view_frame_activating),
	(view_frame_not_activated), (view_frame_activated),
	(view_frame_stop_activation), (view_frame_wait),
	(view_frame_underway), (view_frame_wait_is_over),
	(view_frame_loaded), (view_frame_failed),
	(nautilus_view_frame_set_to_component), (activation_callback),
	(nautilus_view_frame_load_client_async),
	(nautilus_view_frame_load_client),
	(nautilus_view_frame_stop_activation),
	(nautilus_view_frame_load_location):
	implement new state machine. add comments to explain by which stimulus
	the state-chaging functions are triggered.
	* src/nautilus-view-frame.h:
	add prototype for new async activation function of ViewFrames.

2000-10-12  Andy Hertzfeld  <andy@eazel.com>

	* src/Makefile.am:
	* src/nautilus-toolbar.c:
	* src/nautilus-toolbar.h:
	removed the nautilus-toolbar class, since it was obsoleted by the
	recent bonobo ui handler changes.
	
	* src/nautilus-window-toolbars.c:
	removed unused reference to nautilus-toolbar.h
	
2000-10-12  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/toc-elements.c:
        * components/help/converters/gnome-db2html2/sect-preparse.c:
        * components/help/converters/gnome-db2html2/sect-elements.c:
        * components/help/converters/gnome-db2html2/gdb3html.h:
        Apply (modified) patch submitted by John Fleck (jfleck@inkstain.net)
        for APPENDIX tag support

        * components/help/converters/gnome-db2html2/sect-elements.c:
        * components/help/converters/gnome-db2html2/toc-elements.c:
        (sect_sect_start_element): Add in 'break;' at the appropriate sections
        (oops - somebody forgot to include them).
        Moved a misplaced 'break;' (which could have screwed up sect4/sect5
        tags)

2000-10-12  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/nautilus-directory-view-ui.xml:
	"New Folder" was sadly lacking a tip.

2000-10-12  Darin Adler  <darin@eazel.com>

	Fixed bug 3578 (Mozilla component lacks tool bar button)

	* components/mozilla/nautilus-mozilla-ui.xml:
	Turn on the XML for the tool bar.

	* src/nautilus-window-manage-views.c:
	(nautilus_window_set_content_view): Took out dead code.

2000-10-12  J Shane Culpepper  <pepper@eazel.com>

	* nautilus.spec.in:

	Fixind spec file for tinderbox build breakage.

2000-10-12  Mike Fleming  <mfleming@eazel.com>

	Back and forth: Darin and Maciej convince me to keep libammonite-gtk
	and eazel-proxy-util in ammonite

	* components/mozilla/Makefile.am:
	* components/mozilla/nautilus-mozilla-content-view.c:
	* components/services/trilobite/Makefile.am:
	* components/services/trilobite/eazel-proxy-util/.cvsignore:
	* components/services/trilobite/eazel-proxy-util/Makefile.am:
	* components/services/trilobite/eazel-proxy-util/ammonite-methods.c
	onf.sub:
	* components/services/trilobite/eazel-proxy-util/eazel-proxy-util.c
	:
	* components/services/trilobite/libammonite-gtk/.cvsignore:
	* components/services/trilobite/libammonite-gtk/Makefile.am:
	* components/services/trilobite/libammonite-gtk/ammonite-login-dial
	og.c:
	* components/services/trilobite/libammonite-gtk/ammonite-login-dial
	og.h:
	* components/services/trilobite/libammonite-gtk/libammonite-gtk.c:
	* components/services/trilobite/libammonite-gtk/libammonite-gtk.h:
	* configure.in:
	* nautilus.spec.in:

2000-10-12  J Shane Culpepper  <pepper@eazel.com>

	* components/services/login/nautilus-view/nautilus-change-password-
	view.c: (generate_change_password_form), (entry_changed_cb),
	(authn_succeeded), (authn_failed), (start_change_password),
	(change_password_button_cb), (maintenance_button_cb),
	(nautilus_change_password_view_initialize_class),
	(nautilus_change_password_view_initialize),
	(nautilus_change_password_view_destroy),
	(nautilus_change_password_view_get_nautilus_view),
	(nautilus_change_password_view_load_uri),
	(change_password_load_location_callback):
	* components/services/login/nautilus-view/nautilus-change-password-
	view.h:
	* components/services/login/nautilus-view/nautilus-change-password-
	view.oafinfo:

	Adding missing files.  Sorry about that.

2000-10-12  J Shane Culpepper  <pepper@eazel.com>

	* components/services/login/nautilus-view/.cvsignore:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/main.c:
	(change_password_object_destroyed), (change_password_make_object),
	(main):
	* components/services/login/nautilus-view/nautilus-login-view.c:
	* components/services/login/nautilus-view/nautilus-login-view.h:
	* components/services/login/nautilus-view/nautilus-login-view.oafin
	fo:
	Fix for Bug # 3065. Renamed login view to change password view.

2000-10-12  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3717 (Unchecking "show built-in bookmarks" doesn't
	make them go away)

	* src/nautilus-window-menus.c: 
	tweaked the names of a couple of #defines
	(refresh_bookmarks_menu): Added parameter check.
	(nautilus_window_remove_bookmarks_menu_items): Remove the
	built-in bookmarks as well as the dynamic ones.
	(nautilus_window_remove_go_menu_items), (append_dynamic_bookmarks),
	(refresh_go_menu): Updated for #define name change.

2000-10-12  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-directory-background.c: Change
	"file" back to "directory" because it was actually part of the
	theme file format, not an internally used string as I first
	thought.
	
2000-10-12  Mike Fleming  <mfleming@eazel.com>

	* components/services/trilobite/eazel-proxy-util/Makefile.am:
	* components/services/trilobite/libammonite-gtk/ammonite-login-dial
	og.c:
	Fix build break

2000-10-12  Michael Engber  <engber@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize), (nautilus_music_view_load_uri),
	(music_view_background_appearance_changed_callback):
	Music views now update the color of their label text when
	the background changes. (bug 3571)
	* libnautilus-extensions/nautilus-gdk-extensions.h:
	Added some color constants with opaque alpha values,
	removed leading underscores from macro variable names.

2000-10-12  Mike Fleming  <mfleming@eazel.com>

	Move libammonite-gtk and eazel-proxy-util from ammonite to 
	nautilus/components/services/trilobite.  libammonite-gtk will
	soon be dependant on libnautilus-extensions

	* components/mozilla/Makefile.am:
	* components/mozilla/nautilus-mozilla-content-view.c:
	* components/services/trilobite/Makefile.am:
	* components/services/trilobite/eazel-proxy-util/.cvsignore:
	* components/services/trilobite/eazel-proxy-util/Makefile.am:
	* components/services/trilobite/eazel-proxy-util/ammonite-methods.c
	onf.sub:
	* components/services/trilobite/eazel-proxy-util/eazel-proxy-util.c
	:
	* components/services/trilobite/libammonite-gtk/.cvsignore:
	* components/services/trilobite/libammonite-gtk/Makefile.am:
	* components/services/trilobite/libammonite-gtk/ammonite-login-dial
	og.c:
	* components/services/trilobite/libammonite-gtk/ammonite-login-dial
	og.h:
	* components/services/trilobite/libammonite-gtk/libammonite-gtk.c:
	* components/services/trilobite/libammonite-gtk/libammonite-gtk.h:
	* configure.in:
	* nautilus.spec.in:

2000-10-12  Darin Adler  <darin@eazel.com>

	* src/nautilus-window-manage-views.c: (stop_loading),
	(stop_loading_cover), (nautilus_window_stop_loading): Add calls to
	tell views to stop loading. Fixes bug 2939 (NautilusView stop call
	never made when stop button pressed).

2000-10-12  Darin Adler  <darin@eazel.com>

 	Fixed two bugs that got in Pavel's and my way as we were testing
	our bug fixes.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_removed): Fix bug where it won't
	update the directory count if there is no NautilusFile object
	already existing for the file.
	(nautilus_directory_notify_files_moved): Mark any overwritten file
	as "gone" instead of just having two non-gone NautilusFile objects
	with the same URI.
	
	* src/file-manager/fm-desktop-icon-view.h:
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_destroy), (fm_desktop_icon_view_initialize),
	(mount_unmount_removable): Got rid of code that acted like the
	volume monitor belonged to it. The main problem was destroying it,
	which is wrong in any case (at most you'd unref it, but even that
	is illegal since nautilus_volume_monitor_get doesn't return a
	ref).
	
2000-10-12  Darin Adler  <darin@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri): Add a FIXME.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(is_tentative), (get_non_tentative_file_list),
	(nautilus_directory_monitor_add_internal), (ready_callback_call):
	Change callbacks so they won't redundantly report files that
	haven't really been discovered to exist.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_destroy): Fixed NautilusFile leak by adding an
	unref of "directory_as_file".
	(file_list_from_uri_list), (selection_changed_callback),
	(display_pending_files): Simplified some selection-related code.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_merge_menus): Use DATADIR instead of
	NAUTILUS_DATADIR, since that's where the UI XML files are. Not
	sure why this wasn't checked in last time.
	* src/nautilus-window.c: (nautilus_window_constructed): Use
	DATADIR instead of NAUTILUS_DATADIR, since that's where the UI XML
	files are. Not sure why this wasn't checked in last time.
	
	* src/nautilus-main.c: (main): Add more domains to the list of the
	ones that are fatal. Maybe we can somehow use --g-fatal-warnings
	instead some day, but that makes the warnings core dump, and we
	like to be able to continue.
	
	* src/nautilus-window-manage-views.c:
	(nautilus_window_begin_location_change): Removed the misguided
	event loop from here. It could only cause problems and contained
	no motivating comment explaining why it's a good idea.

2000-10-12  J Shane Culpepper  <pepper@eazel.com>

	* components/services/login/nautilus-view/nautilus-login-view.oafinfo:
	Fixing oafinfo to point to eazel-pw:

2000-10-12  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3718 ("Open With" submenu enabled when it shouldn't be)

	* src/file-manager/fm-directory-view.c:
	(selection_contains_one_item_in_menu_callback),
	(selection_not_empty_in_menu_callback): Improved error messages.
	(open_with_other_program): Used selection_contains_one_item_
	in_menu_callback to avoid crash if menu state doesn't match
	expectations.
	(reset_bonobo_open_with_menu): Sensitize the "Open With" submenu
	appropriately.

2000-10-12  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-directory-metafile.h,
	libnautilus-extensions/nautilus-directory-metafile.c
	(nautilus_directory_get_metadata, nautilus_directory_set_metadata,
	nautilus_directory_get_metadata_list,
	nautilus_directory_set_metadata_list,
	nautilus_directory_get_boolean_metadata,
	nautilus_directory_set_boolean_metadata,
	nautilus_directory_get_integer_metadata,
	nautilus_directory_set_integer__metadata): Bye bye to directory
	metadata.
	(set_metadata_string_in_metafile): don't worry about the directory
	metadata case any more.
	(nautilus_directory_get_boolean_file_metadata,
	nautilus_directory_set_boolean_file_metadata,
	nautilus_directory_get_integer_file_metadata,
	nautilus_directory_set_integer_file_metadata): Helper functions
	for implementing NautilusFile metadata convenience wrappers.

	* libnautilus-extensions/nautilus-file.h,
	libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_boolean_metadata,
	nautilus_file_get_integer_metadata,
	nautilus_file_set_boolean_metadata,
	nautilus_file_set_integer_metadata): Convenience wrappers for
	boolean or integer file metadata.
	
	* libnautilus-extensions/nautilus-directory.h,
	libnautilus-extensions/nautilus-directory.c
	(nautilus_directory_initialize_class,
	nautilus_directory_emit_metadata_changed): removed
	"metadata_changed" signal.
	(got_metadata_callback): Don't assert the file list is NULL.
	(nautilus_self_check_directory): Use file metadata API.

	* libnautilus-extensions/nautilus-metadata.h: No more
	per-directory metadata, it's all per file now.

	* libnautilus-extensions/nautilus-directory-background.h,
	libnautilus-extensions/nautilus-directory-background.c
	(nautilus_file_background_set_desktop,
	nautilus_file_background_is_desktop,
	nautilus_file_background_peek_theme_source,
	nautilus_file_background_get_default_settings,
	nautilus_file_background_read_desktop_settings,
	nautilus_file_background_write_desktop_settings,
	nautilus_file_background_write_desktop_default_settings,
	call_settings_changed, nautilus_file_background_event_filter,
	desktop_background_destroyed_callback,
	nautilus_file_background_receive_root_window_changes,
	nautilus_file_update_root_window, nautilus_file_background_is_set,
	background_changed_callback, saved_settings_changed_callback,
	nautilus_file_background_theme_changed, background_reset_callback,
	background_destroyed_callback,
	nautilus_connect_background_to_file_metadata,
	nautilus_connect_desktop_background_to_file_metadata,
	nautilus_connect_background_to_file_metadata_by_uri): Work off of
	file metadata, not directory metadata, and thus take a
	NautilusFile not a NautilusDirectory.

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_file_wait_for_metadata,
	nautilus_mime_get_default_action_type_for_uri,
	nautilus_mime_get_default_application_for_uri_internal,
	nautilus_mime_get_default_component_for_uri_internal,
	nautilus_mime_get_short_list_applications_for_uri,
	nautilus_mime_get_short_list_components_for_uri,
	nautilus_mime_get_all_applications_for_uri,
	nautilus_mime_get_all_components_for_uri,
	nautilus_mime_set_default_action_type_for_uri,
	nautilus_mime_set_default_application_for_uri,
	nautilus_mime_set_default_component_for_uri,
	nautilus_mime_set_short_list_applications_for_uri,
	nautilus_mime_set_short_list_components_for_uri,
	nautilus_mime_extend_all_applications_for_uri,
	nautilus_mime_remove_from_all_applications_for_uri,
	get_explicit_content_view_iids_from_metafile): Use file metadata,
	not directory metadata.

	* src/file-manager/fm-directory-view.h,
	src/file-manager/fm-directory-view.c
	(fm_directory_view_get_directory_as_file): Function to access the
	NautilusFile we now keep around that represents the directory
	itself.
	(fm_directory_view_initialize_class, files_have_any_custom_images,
	compute_menu_item_info, fm_directory_view_activate_file,
	fm_directory_view_load_uri, metadata_ready_callback,
	disconnect_model_handlers, fm_directory_view_real_is_read_only,
	showing_trash_directory): Use file metadata, not directory
	metadata, and use the new `directory_as_file' field where
	appropriate.
	(finish_loading_uri): Monitor more files attributes (the ones
	needed to get an icon, plus ones we might actually display in a
	directory view.
	
	* src/file-manager/fm-desktop-icon-view.c
	(fm_desktop_icon_view_create_background_context_menu_items): Use
	file metadata not directory metadata.

	* src/file-manager/fm-icon-view.h,
	src/file-manager/fm-icon-view.c: (set_sort_criterion,
	tighter_layout_callback, fm_icon_view_get_directory_sort_by,
	fm_icon_view_real_get_directory_sort_by,
	fm_icon_view_set_directory_sort_by,
	fm_icon_view_real_set_directory_sort_by,
	fm_icon_view_get_directory_sort_reversed,
	fm_icon_view_real_get_directory_sort_reversed,
	fm_icon_view_set_directory_sort_reversed,
	fm_icon_view_real_set_directory_sort_reversed,
	fm_icon_view_get_directory_auto_layout,
	fm_icon_view_real_get_directory_auto_layout,
	fm_icon_view_set_directory_auto_layout,
	fm_icon_view_real_set_directory_auto_layout,
	fm_icon_view_get_directory_tighter_layout,
	fm_icon_view_real_get_directory_tighter_layout,
	fm_icon_view_set_directory_tighter_layout,
	fm_icon_view_real_set_directory_tighter_layout, set_sort_reversed,
	fm_icon_view_begin_loading, fm_icon_view_set_zoom_level,
	sort_direction_callback, layout_changed_callback,
	icon_container_preview_callback, icon_position_changed_callback):
	Use file metadata not directory metadata.

	* src/file-manager/fm-list-view.c: (fm_list_view_begin_loading,
	fm_list_view_set_zoom_level, fm_list_view_sort_items): Use file
	metadata not directory metadata.

	* src/file-manager/fm-search-list-view.c (real_adding_file): Tweak
	the code that monitors file attributes.

	* components/music/nautilus-music-view.c
	(nautilus_music_view_update_from_uri): Use the new
	nautilus_file_background API.

2000-10-12  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_scroll):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_position_shadow),
	(auto_scroll_timeout_callback), (handle_local_move):
	* libnautilus-extensions/nautilus-icon-private.h:
	Fix a bug where the drag&drop selection shadow would sometimes
	run away from the dragged icons. This is kind-of related to 3406
	that I fixed earlier today. The problem happened when
	an autoscroll didn't actually happen because the adjustment
	values got clamped but the adjustment delta did get applied to
	the initial cached drag start location.
	Made nautilus_icon_container_scroll return a boolean determining
	if a scroll actually happened.

2000-10-12  Robey Pointer  <robey@eazel.com>

	* nautilus-installer/src/callbacks.c: (begin_install),
	(prep_finish), (prep_lock):
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (start_over),
	(dont_start_over), (jump_to_retry_page), (while),
	(get_detailed_errors_foreach), (eazel_installer_do_install):
	* nautilus-installer/src/installer.h:

	First swing at making the bootstrap installer able to recover from
	file conflict errors by attempting to download upgraded versions
	of what we'd break.

2000-10-12  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-shell-ui.xml:
	set the "pack-end" property on the throbber.  This, combined
	with a bunch of bonobo changes, fixes bug 3390, the throbber
	is not properly positioned in the toolbar.
	
2000-10-11  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_removed,
	nautilus_directory_notify_files_moved): Use
	`nautilus_file_get_existing', not `nautilus_file_get', to check if
	a file is already known. `nautilus_file_get' would have created
	new NautilusFiles and NautilusDirectories only to do redundant
	notification later in the function. Also, the old code was a bit
	silly because `nautilus_file_get' only returns NULL for a NULL
	URI.

	Work towards bug 3362, eliminate directory metadata.
	
	* libnautilus-extensions/nautilus-file-attributes.h: Added
	NAUTILUS_FILE_ATTRIBUTE_METADATA attribute.

	* libnautilus-extensions/nautilus-directory-async.c
	(set_up_request_by_file_attributes):

	* libnautilus-extensions/nautilus-wait-until-ready.h,
	libnautilus-extensions/nautilus-file.h,
	libnautilus-extensions/nautilus-directory.h,
	libnautilus-extensions/nautilus-directory.c,
	libnautilus-extensions/nautilus-file.c
	(nautilus_directory_call_when_ready,
	nautilus_directory_wait_until_ready,
	nautilus_directory_file_monitor_add,
	nautilus_self_check_directory, nautilus_file_monitor_add,
	nautilus_file_call_when_ready, nautilus_file_wait_until_ready):
	Remove monitor_metadata or wait_for_metadata attribtues from these
	calls; the new way to do it is to monitor or wait for the METADATA
	file attribute.
	
	* libnautilus-extensions/nautilus-directory-private.h
	libnautilus-extensions/nautilus-directory-async.c:
	(nautilus_directory_monitor_add_internal,
	nautilus_directory_call_when_ready_internal,
	nautilus_directory_check_if_ready_internal): Eliminate
	monitor_metadata, wait_for_metadata, etc arguments.

	* libnautilus-extensions/nautilus-merged-directory.c:
	(merged_callback_connect_directory), (merged_call_when_ready),
	(merged_file_monitor_add), (monitor_add_directory):

	* libnautilus-extensions/nautilus-vfs-directory.c:
	(vfs_call_when_ready), (vfs_file_monitor_add):

	* libnautilus-extensions/nautilus-directory-background.c
	(nautilus_connect_background_to_directory_metadata): Monitor
	metadata the new approved way.

	* libnautilus-extensions/nautilus-mime-actions.c
	(nautilus_directory_wait_for_metadata,
	nautilus_mime_get_default_component_for_uri_internal,
	nautilus_mime_get_short_list_components_for_uri,
	nautilus_mime_get_all_components_for_uri,
	get_mime_type_from_file): Wait for metadata the new approved way.

	* src/file-manager/fm-directory-view.c
	(fm_directory_view_activate_file, fm_directory_view_load_uri,
	finish_loading_uri, metadata_ready_callback):
	Monitor/call_when_ready using the new API.

	* src/file-manager/fm-properties-window.c:
	(create_properties_window, fm_properties_window_present):
	Monitor/call_when_ready using the new API.

	* src/file-manager/fm-search-list-view.c (real_adding_file):
	Monitor/call_when_ready using the new API.

	* src/file-manager/nautilus-trash-monitor.c
	(nautilus_trash_monitor_initialize): Monitor/call_when_ready using
	the new API.

	* src/nautilus-applicable-views.c (nautilus_navigation_info_new):
	Monitor/call_when_ready using the new API.

	* components/notes/nautilus-notes.c (notes_load_metainfo):
	Monitor/call_when_ready using the new API.

	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_monitor_add,
	nautilus_tree_model_monitor_node): Monitor/call_when_ready using the new API.

	* src/nautilus-sidebar-title.c, src/nautilus-sidebar-title.h
	(nautilus_sidebar_title_set_uri): Monitor/call_when_ready using
	the new API, and use file metadata instead of directory metadata.

	* src/nautilus-sidebar.c (nautilus_sidebar_destroy,
	nautilus_sidebar_add_panel_items,
	nautilus_sidebar_background_is_default, receive_dropped_uri_list,
	receive_dropped_color, receive_dropped_keyword,
	(background_settings_changed_callback,
	background_appearance_changed_callback, background_reset_callback,
	open_with_callback, nautilus_sidebar_update_buttons,
	nautilus_sidebar_update_appearance, nautilus_sidebar_set_uri):
	Monitor/call_when_ready using the new API, and use file metadata
	instead of directory metadata. Keep around a NautilusFile
	representing the current sidebar location, simplifying bunches of
	code and hopefully eliminating potential redundant I/O.

	* src/nautilus-window-manage-views.c
	(viewed_file_changed_callback, position_and_show_window_callback,
	nautilus_window_end_location_change_callback):
	Monitor/call_when_ready using the new API, and use file metadata
	instead of directory metadata. Keep around a NautilusFile
	representing the current sidebar location, simplifying bunches of
	code and hopefully eliminating potential redundant I/O.

	* src/nautilus-window.c (nautilus_window_save_geometry): Use file
	metadata instead of directory metadata.

2000-10-11  Robey Pointer  <robey@eazel.com>

	* nautilus-installer/src/installer.c:
	(get_detailed_errors_foreach), (get_detailed_errors),
	(eazel_installer_do_install):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/link.sh:

	Increase the assumed max download to 75MB so the progressbar
	doesn't overflow (yes, some people are downloading over 50MB!).
	Add preliminary support for recoverable install errors (we notice
	it but don't do anything yet).  Add "push" command to linker.

2000-10-11  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/sample/Makefile.am:
	I couldn't rpm build without these fixes.
	
	* components/services/install/command-line/eazel-alt-install-corba.
	c: (create_package), (main):
	Added the --id flag.

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_download_packages),
	(eazel_install_start_transaction),
	(eazel_install_check_existing_packages),
	(eazel_install_ensure_deps):
	Fixed 3700, 3537, 3413.
	
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (eazel_install_fetch_package):
	Fixed 3413
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_add_to_rpm_set),
	Fixed a nastyness reg. source packages.
	(eazel_install_do_rpm_dependency_check):
	debug output (as if we don't have enough)
	
	* components/services/install/lib/eazel-install-types.c:
	Skeleton for a package_copy function
	
	* components/services/install/nautilus-view/Makefile.am:
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_view_initialize),
	(create_package), (nautilus_service_install_installing):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.h:
	* components/services/install/nautilus-view/nautilus-service-instal
	l.c: (xnautilus_service_install_download_failed),
	(xnautilus_service_install_failed_helper),
	(xnautilus_service_install_failed),
	(xnautilus_service_install_dependency_check),
	(xnautilus_service_install_done),
	(xnautilus_service_install_view_install_package_callback),
	(xnautilus_service_install_view_uninstall_package_callback):
	Removed the nautilus-service-install usage. Need to completely
	remove it.
	Worked on 3431
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/callbacks.c: (begin_install):
	* nautilus-installer/src/installer.c: (create_window),
	(check_system), (eazel_installer_do_install),
	(eazel_installer_initialize):
	* nautilus-installer/src/main.c:
	Check for eazel-hacking presence.

2000-10-11  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-icon-dnd.c: (get_container_uri),
	(receive_dropped_uri_list),
	(handle_local_move), (handle_nonlocal_move),
	(nautilus_icon_container_receive_dropped_icons),
	(nautilus_icon_dnd_end_drag):
	Fix 3406 - Dropped icon doesn't go where you dropped it.
	There was a lot of confused code that calculated the drop location.

	* libnautilus-extensions/nautilus-icon-dnd.c: (auto_scroll_timeout_callback):
	Peformance improvement: only cause an auto-scroll update if the auto-scroll
	delta is non-zero.

	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_autoscroll_calculate_delta):
	Fix some white space.
	
2000-10-11  Rebecca Schulman  <rebecka@eazel.com>

	First part of the bug fix for 3514.
	We still need to add a local clipboard interface,
	and set up the clipboard to work with the location bar.

	* components/notes/nautilus-notes.c: (make_notes_view):
	Use the new clipboard api call
	* libnautilus/nautilus-clipboard-ui.xml:
	* libnautilus/Makefile.am:
	Define DATADIR so we can install the new bonobo ui
	xml file for the clipboard
	* libnautilus/nautilus-clipboard.c: (cut_callback),
	(copy_callback), (paste_callback), (clear_callback),
	(add_menu_items_callback), (remove_menu_items_callback),
	(ui_component_remove_container_and_unref),
	(finish_setting_up_editable_from_bonobo_control),
	(nautilus_clipboard_set_up_editable_from_bonobo_control):
	Gutted the bonobo code from the old functions and added
	new code where appropriate that should approximate the functionality
	we had before the ui handler change
	
	* src/nautilus-shell-ui.xml:
	Declare the cut copy and paste menu items insensitive by default.
	Maintain cmd/widget separation by creating separate commands for them.
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Remove unused cut, copy and paste callbacks
	Removed ui verbs relating to these that we don't need.

2000-10-11  Darin Adler  <darin@eazel.com>

	* HACKING: Fixed typo.
	
	* src/Makefile.am: Add DATADIR.
	* src/file-manager/Makefile.am: Add DATADIR.
	
	* src/nautilus-shell-ui.xml: Fix some upper-cased accelerators. Not
	sure if they caused any real problem.
	
	* src/nautilus-window-menus.c: (bookmark_holder_free_cover): Added
	cover to avoid function type cast.
	(append_bookmark_to_menu): Use cover.
	(append_dynamic_bookmarks): Removed some commented out code

2000-10-11  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	fixed bug 3627, when an .xpm file is used as an emblem, it
	shows up as a generic icon.  Fixed by adding .xpm to the list
	of image suffixes supported by the icon factory.
	
2000-10-11  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3671 (Crash after closing & opening window)

	A signal handler disconnect got lost in the Bonobo conversion.
	It was causing a function to be called on a window after the
	window was destroyed.

	* src/nautilus-window-menus.c: 
	Add changed_handler_id field to BookmarkHolder.
	(bookmark_holder_new): Connect signal handler, and set
	changed_handler_id
	(bookmark_holder_free): Use changed_handler_id to
	disconnect signal handler
	(append_bookmark_to_menu): Remove old signal connection code.
	(nautilus_window_update_find_menu_item): Deleted unused-function
	warning avoidance trick now that all functions are used again.

2000-10-11  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-shell-ui.xml:
	fixed bug 3638 (the bug that won "bug night"), weird extra button
	between stop and services, by removing spurious text from the
	xml file that somehow eluded the parser's error checking.
	
2000-10-11  Darin Adler  <darin@eazel.com>

	* src/nautilus-shell-ui.xml: Remove the Undo command.
	
	* libnautilus-extensions/nautilus-entry.c:
	(nautilus_entry_key_press): Clean up code structure in here a bit.
	I expected to find code to handle Control-Z here, but I didn't
	find it.

2000-10-11  Michael Engber  <engber@eazel.com>

	Tuck id of desktop window in root so other apps can detect when
	Nautilus owns the desktop.
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_ensure_image_scaled):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_scale_to_fit_factor),
	(nautilus_gdk_pixbuf_scale_to_fit),
	(nautilus_gdk_pixbuf_scale_down_to_fit):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	* src/nautilus-desktop-window.c:
	(nautilus_desktop_window_realized), (nautilus_desktop_window_new),
	(destroy):

2000-10-11  Darin Adler  <darin@eazel.com>

	Added a hash table to make access of files by name fast.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback): Call the new
	nautilus_directory_remove_file function to do the removing instead
	of doing it here. Call the new nautilus_directory_add_file
	function to do the adding instead of doing it here.
	* libnautilus-extensions/nautilus-directory-private.h: Added hash
	table.
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_initialize): Create hash table.
	(nautilus_directory_destroy): Destroy hash table.
	(add_to_hash_table), (extract_from_hash_table),
	(nautilus_directory_add_file), (nautilus_directory_remove_file):
	New functions to add and remove files that put things into hash
	table as well.
	(nautilus_directory_begin_file_name_change),
	(nautilus_directory_end_file_name_change): Functions to deal with
	cases where the name changes so the hash table entry can be moved.
	(nautilus_directory_find_file): Use the hash table instead of
	searching the list.
	(nautilus_directory_notify_files_moved): Use
	nautilus_directory_remove_file and nautilus_directory_add_file
	instead of modifying the file list directly.
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal): Use nautilus_directory_add_file
	instead of adding to the file list directly.
	(destroy): Use nautilus_directory_remove_file instead of removing
	from the file list directly.
	(rename_update_info_and_metafile), (nautilus_file_update_info),
	(nautilus_file_update_name): Use the new file name change calls to
	let the directory know it needs to move the hash table entry.
	(nautilus_file_mark_gone): Use nautilus_directory_remove_file
	instead of removing from the file list directly.
	* libnautilus-extensions/nautilus-vfs-directory.c: Update for name
	change of file list field.
	
	* src/nautilus-window.c: (nautilus_window_clear_status): Take
	advantage of Bonobo fix. We now use NULL to tell the status bar to
	erase our status message.

2000-10-11  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window-toolbars.c: (set_up_throbber_frame_type):
	temporarily disabled shadow on the throbber frame, since it was
	being mangled by the bonobo toolbar; I'll reinstate it when the
	toolbar can support it.
	
	* src/nautilus-property-browser.c:
	(make_properties_from_directories):
	removed debugging message that was accidently checked in

2000-10-11  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (preferences_button_cb),
	(register_button_cb):

	Fixing a few minor gconf calls to use url table.

2000-10-11  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3603 ("Select All Files" initially insensitive)

	* src/file-manager/fm-directory-view.c: (done_loading):
	Schedule a menu update when the directory contents are
	finished loading.

2000-10-11  J Shane Culpepper  <pepper@eazel.com>

	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	(wipe_redirect_table), (add_redirect), (trilobite_redirect_lookup):

	Fixing bug #3686, summary-view crashes on gconf error.  Fixed the
	gconf wiping function to work with newest version of gconf.

2000-10-11  Darin Adler  <darin@eazel.com>

	* src/nautilus-window.c: (nautilus_window_destroy): Don't remove
	the menu items for the bookmarks and go menu, since we are
	removing the entire UI component, which will remove them
	automatically. The old code removed them after first destroying
	the UI component, which definitely did not work.

2000-10-11  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_get_label): Fixed storage leak.
	(nautilus_bonobo_get_hidden): Fixed bug where an item without a
	hidden property would say it was hidden, but the default is to not
	be hidden. Also fixed a storage leak.
	(nautilus_bonobo_add_menu_item), (nautilus_bonobo_add_submenu):
	Added code to encode the label. This is due to the hack added to
	bonobo so we can handle 8-bit characters in labels without
	updgrading to gnome-xml 2.
	(nautilus_bonobo_set_icon): Removed the code to get the old value
	of the icon before setting the new value.
	Also improved return_if_fail checks a bit. If we're going to have
	them, they should check the type, not just != NULL.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.h: Fixed the
	formatting and removed the old code in ifdef UIH.
	
	* po/XMLFILES.in: Added a bunch of XML files that will one-day
	need localization.
	
	* src/file-manager/fm-icon-view.c: (update_layout_menus): Set up
	the toggle state using the command rather than the menu item.
	* src/nautilus-shell-ui.xml: First cut at making the location
	bar expand. Needs feature in Bonobo too, which I will now add.

	* components/services/install/command-line/Makefile.am: Added a
	bunch of unused files to this makefile to quiet down the
	check-headers-in-Makefile.pl script. This is the one directory
	where we had dead C code that's not mentioned in the makefile.
	
2000-10-11  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	(nautilus_bonobo_set_tip):
	New function to set the "tip" property of a bonobo
	UI component.
		
	* src/nautilus-window-menus.c: (append_bookmark_to_menu):
	Call new function above to set tip of bookmark menu items.
	
2000-10-11  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_label_text), (nautilus_icon_canvas_item_draw),
	(draw_label_text_aa), (compute_text_rectangle):
	at Arlo's request, added 2 pixels worth of space between the
	bottom of an icon and it's label.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(key_press_event):
	fixed bug where escaping from an icon stretch wasn't calling
	relayout after restoring the icon size; now it is.
	
2000-10-11  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: OK moved the eog dependency back
	down to 0.3 as that exists in an installable format
	even though this does not garruntee that it can be
	used with nautilus

2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* data/Makefile.am: added placeholder files
	* data/nautilus-extras.placeholder: a mostly empty file so rpm will produce a package
	* data/nautilus-suggested.placeholder: a mostly empty file so rpm will produce a package
	* nautilus.spec.in: moved login-view to trilbite component, also added placeholder files

2000-10-10  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-shell-ui.xml:
	the about box menu command got broken by recent UI handler
	changes; this fixes it.
	
2000-10-10  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar.c: (receive_dropped_keyword),
	(nautilus_sidebar_drag_data_received):
	fixed bug where the eraser didn't work on the sidebar, and in the
	process fixed bug 2509, sidebar should share emblem code, by
	doing with work with nautilus_drag_file_receive_dropped_keyword.
	
2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: left a stray :

2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: did nasty crazy stuff to seperate out
	into mozilla component, trilobite component, extras, and suggested
	This makes use more than ever required to be dilligent in updating 
	libraries and binaries in the specfile.

2000-10-10  Pavel Cisler <pavel@eazel.com>

	* src/nautilus-profiler.c: (dump_dialog_new), (dump_dialog_show),
	(nautilus_profiler_bonobo_ui_report_callback):
	Make Ramiro's cool profile dumping UI not wrap.
	Reset the profile output when using the Reset menu item.
	
2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: added more updated depenencies
	so installer will work better

2000-10-10  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_open_uri_callback), (is_uri_partial),
	(make_full_uri_from_partial), (mozilla_dom_mouse_click_callback),
	(mozilla_translate_uri_if_needed),
	(mozilla_untranslate_uri_if_needed),
	(eazel_services_scheme_translate),
	(eazel_services_scheme_untranslate):

	Added "unconvert" for the eazel-services: scheme hack
	Added partial URI support for gnome-vfs uri schemes (so help: works, at
	least in theory)

2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: OK added requirement of gnome-vfs 0.3.1

2000-10-10  Mathieu Lacage  <mathieu@eazel.com>

	fix small buggy with fix from ramiro: make sure mozilla
	loads local fiels through its own file library, not gnome-vfs.
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_is_uri_handled_by_mozilla):

	autoconf magic for the documentation
	* configure.in:
	* Makefile.am: 
	* user-guide/C/Makefile.am:
	* user-guide/Makefile.am:

	actual html/jpg/css documentation.
	* user-guide/C/html/*:

2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: added ammonite dependecy
	this will eventually move into the services component

2000-10-10  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: the new all encompassing specfile
	to get us through services testing.

2000-10-10  Darin Adler  <darin@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_translate_uri_if_needed): Fix ifdef so that
	--disable-eazel-services builds will work.

2000-10-10  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/Makefile.am:
	* icons/arlo/Back.png:
	* icons/arlo/Forward.png:
	* icons/arlo/Up.png:
	* icons/arlo/Refresh.png:
	* icons/arlo/Home.png:
	* icons/arlo/Search.png:
	* icons/arlo/SearchWeb.png:
	* icons/arlo/Stop.png:
	Added some icons to my toolbar.  I'm not sure I'm done with
	these yet, so feel free to give me feedback.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3577 (Menu item initially titled "Edit Settings" instead
	of "Edit <user level> Settings"
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Call update_user_level_menu_items after installing; it had been
	doing most of the guts of update_user_level_menu_items in-line,
	but not this part.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_get_label): New function, does the obvious.
	(nautilus_bonobo_get_hidden): Check for "0" for FALSE rather
	than "1" for TRUE, since anything non-"0" is more TRUE than
	it is FALSE.

	* src/nautilus-about.c: (nautilus_about_draw_info):
	Fixed build-breakage where MAX_AUTHOR_COUNT wasn't #defined,
	by replacing it with "-1" for g_strsplit.
	
	* src/nautilus-window-menus.c:
	(remove_underline_accelerator_from_menu_title),
	(nautilus_window_disable_keyboard_navigation_for_menus):
	Modernized this code to try to fix bug 2327, but it seems
	there is some new Bonobo bug in the way.
	
	(update_user_level_menu_items): Removed obsolete comment.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_get_hidden), (nautilus_bonobo_get_label),
	(nautilus_bonobo_add_menu_item), (nautilus_bonobo_add_submenu):
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* src/nautilus-window-menus.c:
	(remove_underline_accelerator_from_menu_title),
	(nautilus_window_disable_keyboard_navigation_for_menus),
	(update_user_level_menu_items):

2000-10-10  Darin Adler  <darin@eazel.com>

	* README: Changed gnome-print to work at HEAD.
	
	* src/file-manager/fm-icon-view.c: (handle_radio_item): Common
	function shared by context menu and Bonobo menu.
	(context_menu_layout_radio_item_callback): Use common function.
	(append_one_context_menu_layout_item): Change from "verb" to "id".
	(update_layout_menus): Set up proper radio button based on ids.
	(switch_to_manual_layout): Renamed and changed from a callback to
	a normal function.
	(handle_ui_event): Signal handler to get Bonobo radio menu
	choices.
	(fm_icon_view_merge_menus): Connect UI event handler and remove
	old code for radio menu items.
	* src/file-manager/nautilus-icon-view-ui.xml: Add ids to the radio
	menu items.
	
	* src/nautilus-about.c: (nautilus_about_destroy),
	(nautilus_about_initialize), (nautilus_about_repaint),
	(draw_aa_string), (randomize_authors), (draw_author_list),
	(nautilus_about_draw_info), (nautilus_about_update_authors),
	(nautilus_about_close), (update_authors_if_necessary): Improve
	randomizing algorithm, get rid of fixed maximum number of authors.
	
	* src/nautilus-window.c: Cosmetic changes.

2000-10-10  Gene Z. Ragan  <gzr@eazel.com>

	Work on making bookmarks and history work with new bonobo
	UI code.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	(nautilus_bonobo_add_menu_item), (nautilus_bonobo_add_submenu),
	(nautilus_bonobo_add_menu_separator),
	(nautilus_bonobo_get_menu_item_verb_name):
	New utility functions to make menu manipulation easier.
		
	* src/nautilus-window-menus.c: (activate_bookmark_in_menu_item),
	(append_bookmark_to_menu), (append_separator),
	(create_menu_item_from_node), (append_static_bookmarks),
	(refresh_bookmarks_menu), (nautilus_window_initialize_menus),
	(nautilus_window_remove_bookmarks_menu_items),
	(nautilus_window_remove_go_menu_items), (append_dynamic_bookmarks),
	(refresh_go_menu):
	Modified functions and removed code in an effort to make bookmarks
	and history be happy once more.

2000-10-10  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/Makefile.am:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_content_view_one_time_happenings),
	(nautilus_mozilla_content_view_destroy),
	(mozilla_load_location_callback),
	(mozilla_translate_uri_if_needed),
	(eazel_services_scheme_translate),
	(eazel_services_prompt_login_cb):

	Add code for the Mozilla "eazel-services:" scheme translation

2000-10-10  Rebecca Schulman  <rebecka@eazel.com>

	* src/file-manager/fm-icon-view.c: (update_layout_menus):
	used the command path instead of widget path, fixing
	the error in my last bugfix about the lack of 
	command widget separation
	* src/nautilus-complex-search-bar.c:
	(attach_criterion_to_search_bar):
	Fixed some calls to hbox_new which were 0, FALSE instead
	of FALSE, 0
	
2000-10-10  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_check_for_file_conflicts),
	(eazel_install_do_file_conflict_check):
	Some really important debug output...

2000-10-10  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_check_for_file_conflicts),
	(eazel_install_check_if_depends_on),
	(eazel_install_prune_packages_helper),
	(eazel_install_prune_packages),
	Removed debug spam.
	(eazel_install_do_file_conflict_check):
	3858 wasn't fixed yet, should be now.
	
	* components/services/install/lib/eazel-install-protocols.c:
	(get_search_url_for_package):
	Commented out all occurences of the &flag= use, pending fix of bug
	3481 and 3482.
	
	* nautilus-installer/src/Makefile:
	Yes.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-any-width-bin.c:
	* libnautilus-extensions/nautilus-any-width-bin.h: Removed
	these files. This class was used only for our old status
	bar, and would just slowly bit-rot if we left it here.
	* libnautilus-extensions/Makefile.am: Removed those files.
	* src/nautilus-window.c: Removed #include for deleted file.

2000-10-10  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(rubberband_timeout_callback),(cancel_stretching),
	(key_press_event), (nautilus_icon_container_show_stretch_handles):
	fixed bug 3241, escape key should cancel stretching, by remember
	original icon size and restoring it when the escape key is stretched.
	Also, fixed bug where the selection box was behind the icons it
	was selecting by raising it to the top.
	
	* libnautilus-extensions/nautilus-icon-private.h:
	added field to store the initial stretch value
	
	* src/nautilus-sidebar-title.c: (add_emblem):
	fixed bug 2295, sidebar emblems should be anti-aliased.
	
2000-10-10  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window.c: 
	(install_status_bar): removed this old code now that we
	have the status bar working correctly again.
	(nautilus_window_set_content_view_widget): Added FIXME
	with bug number to #ifdeffed notice-leaking-Bonobo-UI code.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window.c: (nautilus_window_clear_status):
	Fixed bug where the clear-status timeout wasn't working.
	Pass " " instead of "" to bonobo_ui_component_set_status
	to work around Bonobo bug.

2000-10-10  Pavel Cisler  <pavel@eazel.com>

	* src/nautilus-window.c: (navigation_bar_mode_changed_callback):
	Fix an uninitialized variable warning.

2000-10-10  Rebecca Schulman  <rebecka@eazel.com>

	Fixed bug 3530, to make reverse sort and
	tighter layout show state

	* src/file-manager/fm-icon-view.c: (update_layout_menus),
	Added toggle function to update bonobo state when the
	tighter layout and reverse sort menu items are selected
	* src/file-manager/nautilus-icon-view-ui.xml:
	Added a type=toggle parameter to the layout and reverse
	sort order menu items

2000-10-10  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3587 ("Close All Windows" doesn't work)
	Fixed bug 3556 (Find button and Find menu item states aren't
	synchronized)

	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_accelerator),
	(nautilus_bonobo_set_description), (nautilus_bonobo_set_label),
	(nautilus_bonobo_set_sensitive),
	(nautilus_bonobo_set_hidden),
	(nautilus_bonobo_get_hidden), (nautilus_bonobo_set_icon):
	Changed g_asserts to g_return_if_fails when checking parameters.
	(nautilus_bonobo_set_toggle_state): New cover function for setting
	a boolean state on a Bonobo item.

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	Prototype for nautilus_bonobo_set_toggle_state.
	
	* src/nautilus-shell-ui.xml: Use different verb for Find button
	than for Find menu item to work around bug 3590.
	
	* src/nautilus-window-private.h: Add updating_bonobo_state boolean
	to work around design flaw where there's no way to set menu item or 
	toggle button state without activating its callback.
	
	* src/nautilus-window-menus.c:
	Removed #defines for unused MENU_PATHs
	(file_menu_toggle_find_mode_callback): Bail out if updating_bonobo_state.
	(nautilus_window_initialize_menus): Fix verb name for Close All Windows;
	add new verb for Find toggle button.
	(nautilus_window_update_find_menu_item): Use #define for path; remove
	now-used unused-function from hack.
	* src/nautilus-window.c: (navigation_bar_mode_changed_callback):
	Set Find toggle button state, inside updating_bonobo_state = TRUE block.

2000-10-10  Darin Adler  <darin@eazel.com>

	Fixed bug 3535 (Bonobo-merged items aren't being removed when view
	changes).

	* src/file-manager/fm-icon-view.c: (fm_icon_view_destroy):
	* src/file-manager/fm-search-list-view.c: (real_destroy):
	* src/nautilus-window.c: (nautilus_window_destroy):
	Added code to unset the container when getting rid of a
	BonoboUIComponent. The container holds a reference, so just
	unref'ing the component is not good enough.

	* idl/.cvsignore:
	* idl/GNOME_Desktop_FileOperationService.idl:
	* idl/Makefile.am:
	* idl/gnome-desktop.idl:
	Removed the unused idl files in this directory. I removed them
	from the build already a few days ago.
	
2000-10-10  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/rpmview/nautilus-rpm-view-install.c:
	(get_detailed_errors_foreach):
	Renamed would_be_lost to circular_dependency
	
	* components/services/install/command-line/eazel-alt-install-corba.
	c: (tree_helper), (create_package):
	Renamed would_be_lost to circular_dependency.
	Added support to install rpm's by asking for a provide.
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	Renamed would_be_lost to circular_dependency.

	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_from_packagedata),
	(packagedata_from_corba_packagedatastruct):
	Renamed would_be_lost to circular_dependency.

	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_download_packages),
	(eazel_install_check_for_file_conflicts),
	(eazel_install_do_transaction_all_files_check),
	(eazel_install_start_transaction),
	(eazel_install_check_if_depends_on),
	(eazel_install_prune_packages_helper),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_dependencies),
	(eazel_install_do_file_conflict_check),
	(eazel_install_ensure_deps), (eazel_uninstall_upward_traverse):
	Fixed bug 3374, 3491 and 3585.
	Uses the packagedata_add_pack_to_X calls now.
	
	* components/services/install/lib/eazel-install-protocols.c:
	(get_search_url_for_package):
	s/flags/flag/
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_rpm_set_settings),
	Only set the rpm debug flag if --debug
	(eazel_install_do_rpm_dependency_check):
	use packagedata_add_pack_to_X calls.

	* components/services/install/lib/eazel-install-types.c:
	(packagedata_status_enum_to_str), (packagedata_status_str_to_enum),
	Renamed would_be_lost to circular_dependency.
	(packagedata_add_pack_to), (packagedata_add_pack_to_breaks),
	(packagedata_add_pack_to_soft_depends),
	(packagedata_add_pack_to_hard_depends),
	(packagedata_add_pack_to_modifies),
	Use these calls to add packages to the packagedata struct lists.
	They do some funky checking.
	(eazel_install_package_version_compare),
	(eazel_install_package_other_version_compare):
	Modfied some compare functions.

	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (osd_parse_dependency):
	Use packagedata_add_pack_to_X calls.
	
	* nautilus-installer/src/installer.c:
	(get_detailed_errors_foreach), (check_system):
	Renamed would_be_lost to circular_dependency.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-shell-ui.xml: Somehow missed converting a
	bunch of _descr to _tip yesterday. Maybe a merge clobber
	thing. Anyway, this seems to make the status bar work
	in all cases now.

2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Add a top level "Profiler" menu bar to control the profiler.  This
	is just a first try.  Some things, like the Start/Stop state of
	the profiler can be better represented by a toggle button.

	Also, protect the eazel services hacks with EAZEL_SERVICES #ifdefs.
	
2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus/nautilus-bonobo-ui.h:
	Add a path declaration for the Profiler menu.
	* src/nautilus-profiler.c: (dump_dialog_new):
	Make the buttons insensitive for now.
	
	* src/nautilus-shell-ui.xml:
	Add a top level "Profiler" menu bar to control the profiler.  This
	is just a first try.  Some things, like the Start/Stop state of
	the profiler can be better represented by a toggle button.
	
2000-10-10  John Sullivan  <sullivan@eazel.com>

	* components/services/install/lib/Makefile.am:
	Added missing include of eazel-install-logic.h that
	was breaking the RPM build and thus Tinderbox.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3516 (Sidebar & Content Loser merged items don't appear)
	Fixed bug 3517 (Mozilla merged items don't appear)

	There's a crashing bug involving merged tool bar buttons 
	(bug 3574), so I didn't put the tool bar button back in Mozilla,
	but the merged menu item is once again wired up. Actually I
	checked this in the other day but thought it wasn't working
	correctly, though it is.

	* components/loser/content/nautilus-content-loser-ui.xml:
	Filled in contents.
	* components/loser/content/nautilus-content-loser.c:
	(bonobo_loser_callback), (loser_merge_bonobo_items_callback):
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	(bonobo_loser_callback), (loser_merge_bonobo_items_callback):
	Converted to new Bonobo API and tweaked some behavior.

2000-10-10  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-shell-ui.xml: Added placeholder for
	built-in bookmarks.

2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-profiler.c:
	(nautilus_profiler_bonobo_ui_reset_callback),
	(nautilus_profiler_bonobo_ui_start_callback),
	(nautilus_profiler_bonobo_ui_stop_callback),
	(nautilus_profiler_bonobo_ui_report_callback):
	* src/nautilus-profiler.h:
	Make it compile with the new bonobo ui handler stuff.
	
2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-property-browser.c:
	(make_properties_from_directories):
	Fix uninitialized variable.

2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_load_location_callback), (bonobo_mozilla_callback),
	(string_list_get_index_of_string),
	(mozilla_is_uri_handled_by_nautilus),
	(mozilla_is_uri_handled_by_mozilla),
	(mozilla_translate_uri_if_needed),
	(mozilla_untranslate_uri_if_needed):
	Work in progrss for bug 527.  Add a 'mechanism' to allow
	eazel-services uris to be translated into localhost: so that the
	ammonite proxy can serve them.
	
2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/mozilla-events.cpp:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_content_view_set_proxy_preferences),
	(nautilus_mozilla_content_view_load_uri),
	(mozilla_load_location_callback),
	(mozilla_uris_differ_only_by_fragment_identifier),
	(mozilla_dom_mouse_click_callback), (is_string_in_string_list),
	(mozilla_is_uri_handled_by_nautilus),
	(mozilla_is_uri_handled_by_mozilla):
	Cleanup the way special protocols are handled.  Cleanup debug
	spewage.
	
2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(handle_gconf_error), (mozilla_content_view_set_proxy_preferences),
	(mozilla_content_view_one_time_happenings),
	(nautilus_mozilla_content_view_initialize):
	Factor out the one time happenings (preferences mostly) into their
	own function for clarity.  Make sure gconf errors are handled.

2000-10-10  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/Makefile.am:
	* components/mozilla/eazel-protocol-handler/.cvsignore:
	* components/mozilla/eazel-protocol-handler/Makefile.am:
	* components/mozilla/eazel-protocol-handler/eazel-protocol-channel.cpp:
	* components/mozilla/eazel-protocol-handler/eazel-protocol-channel.h:
	* components/mozilla/eazel-protocol-handler/eazel-protocol-handler.cpp:
	* components/mozilla/eazel-protocol-handler/eazel-protocol-handler.h:
	* components/mozilla/eazel-protocol-handler/eazel-protocol-module.cpp:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize):
	* configure.in:
	Remove the eazel protocol handler monstrosity.  We have a better
	way to do this using M18 and using the DOM to peek into the document.
	
2000-10-10  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(get_next_duplicate_name):
	Fix to do proper unescaping. This was breaking the duplicate name
	generating algorithm.

2000-10-10  Josh Barrow  <josh@eazel.com>

	* src/nautilus-shell-ui.xml:
	Fix bug where Nautilus window was ordered, menubar, location
	bar, toolbar, content, instead of menubar, toolbar, location
	bar, content.  

2000-10-10  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	(nautilus_bonobo_add_menu_item):
	Changed prototype to take only label as argument. Name
	is now derived form the label.

	* src/file-manager/fm-directory-view.c:
	(add_open_with_app_bonobo_menu_item),
	(add_open_with_viewer_bonobo_menu_item):
	Call modified nautilus_bonobo_add_menu_item.
	
2000-10-09  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c:
	(make_properties_from_directories),
	(make_properties_from_xml_node):
	tightened the layout of color properties, making them similar to
	backgrounds; also, positioned the eraser emblem last and apart
	from the others to make it more distinct.
	
2000-10-10  Josh Barrow  <josh@eazel.com>

	* src/nautilus-shell-ui.xml:
	* src/nautilus-window-menus.c: (switch_to_user_level),
	(nautilus_window_initialize_menus), (update_user_level_menu_items):
	The BONOBO_WORKAROUND is no longer needed.

2000-10-09  Josh Barrow  <josh@eazel.com>

	* nautilus-installer/src/.cvsignore:
	Add eazel-installer and eazel-installer.sh to make cvs be quiet
	again.

2000-10-09  Robey Pointer  <robey@eazel.com>

	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_fetch_uri):

	The -Wall -Werror was accidentally turned off for this library, so
	a few more bugs were fixed.
	
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/installer.c: (create_window),
	(get_detailed_errors_foreach), (install_done), (check_system):
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c: (main):
	* nautilus-installer/src/prescript:

	Change the "Nautilus Installer" to "Eazel Installer" in all
	filenames and user-visible text.  Build "release" version that
	doesn't give evil --test warnings.  Re-assert some stuff I thought
	I checked in last week (like the --build option).

2000-10-09  John Sullivan  <sullivan@eazel.com>

	Bunches o' Bonobo conversion & cleanup. Most of this is
	about the new "command/widget separation" in Bonobo.
	Essentially, changes to sensitivity, state, and hiddenness
	should be made to the command (verb), whereas other changes
	should be made to the widget.

	This should fix the "cmd/widget" warnings at launch, and
	make the tool bar buttons desensitize appropriately again.

	* components/loser/sidebar/nautilus-sidebar-loser-ui.xml:
	* components/mozilla/nautilus-mozilla-ui.xml:
	* components/sample/nautilus-sample-content-view-ui.xml:
	* src/nautilus-shell-ui.xml:
	* src/file-manager/nautilus-directory-view-ui.xml:
	* src/file-manager/nautilus-icon-view-ui.xml:
	* src/file-manager/nautilus-search-list-view-ui.xml:
	Filled in the names of all verbs; we don't want to use
	the default if-verb-name-is-blank-use-item-name feature because
	it causes vast confusion; also, change _descr to _tip everywhere
	(updated name from Bonobo); also explicitly defined <cmd>s for
	the items that have pre-set insensitivity, or that share
	tips between tool bar buttons and menu items.

	* libnautilus/nautilus-bonobo-ui.h: Add #defines for command paths
	as well as menu paths.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_create_background_context_menu_items):
	Use command paths instead of menu paths.
	
	* src/file-manager/fm-directory-view.h: Publicize command paths,
	not menu paths (for use in context menu index-finding. Some day
	we will convert the context menus to use Bonobo and then this
	will get cleaned up further.)
	
	* src/file-manager/fm-directory-view.c:
	Moved menu path #defines inside here.
	(append_gtk_menu_item), (update_one_menu_item): 
	Take both a menu path and a verb path; use the verb path 
	for sensitivity.
	(fm_directory_view_insert_context_menu_item): Updated comment.
	(fm_directory_view_real_create_background_context_menu_items),
	(create_open_with_gtk_menu),
	(fm_directory_view_real_create_selection_context_menu_items),
	(reset_bonobo_trash_delete_menu),
	(fm_directory_view_real_update_menus):
	Pass verb paths as well as menu paths.
	(fm_directory_view_get_context_menu_index): Changed variable
	names for clarity.
	
	* src/file-manager/fm-icon-view.c:
	New #defines for command paths.
	(update_one_menu_item): Take both a menu path and a verb path; use
	the verb path for sensitivity.
	(fm_icon_view_create_selection_context_menu_items),
	(fm_icon_view_create_background_context_menu_items),
	(fm_icon_view_update_menus), (update_layout_menus): 
	Pass both a menu path and a verb path.

	* src/file-manager/fm-search-list-view.c:
	#define for COMMAND_REVEAL_IN_NEW_WINDOW
	(real_create_selection_context_menu_items): Use verb path not
	menu path for context menu positioning.
	(update_reveal_item): Use verb path not menu path for sensitivity.

	* src/nautilus-window-private.h: #defines for command paths.
	* src/nautilus-window-manage-views.c: (load_content_view):
	* src/nautilus-window.c: (nautilus_window_allow_back),
	(nautilus_window_allow_forward), (nautilus_window_allow_up),
	(nautilus_window_allow_stop),
	(nautilus_window_zoom_level_changed_callback): Use verb paths
	instead of menu paths for changing sensitivity.

2000-10-09  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 3513, No applications or viewers appear in "Open With" menu
	in menu bar
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	(nautilus_bonobo_add_menu_item),
	(nautilus_bonobo_remove_menu_items):
	New functions to add a menu items and remove multiple menu items from
	a submenu.

	* src/file-manager/fm-directory-view.c:
	* src/file-manager/fm-directory-view.h:
	(bonobo_launch_application_callback),
	(bonobo_open_location_with_viewer_callback),
	(add_open_with_app_bonobo_menu_item),
	(add_open_with_viewer_bonobo_menu_item),
	(add_application_to_bonobo_menu), (add_component_to_bonobo_menu),
	(reset_bonobo_open_with_menu),
	(fm_directory_view_real_update_menus):
	Call new nautilus bonobo functions to add applications and viewers
	to Open With... menu.  Also add verbs in addition to creating
	the menu items.

2000-10-09  Josh Barrow  <josh@eazel.com>

	* icons/Makefile.am:
	* icons/emblem-symbolic-link-24.png:
	* icons/emblem-symbolic-link-72.png:
	* icons/emblem-symbolic-link-92.png:
	* icons/emblem-symbolic-link-192.png:
	Added different size symbolic link icons.

2000-10-09  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-shell-ui.xml:
	added a "min_width" attribute to the toolbar buttons, so they are
	positioned better.  You need to get the latest Bonobo to see the
	effects of this.
		
	* icons/gnome/gnome.xml:
	made clicking on the throbber in the gnome theme go to www.gnome.org
	
	* libnautilus-extensions/nautilus-icon-factory.c: (set_theme):
	changed the name of the theme property for default icon redirection
	from "icons" to "icon-images" to disambiguate it from icon view
	theme properies.
	
2000-10-09  Darin Adler  <darin@eazel.com>

	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_uri_to_name): Unescape the names of files for
	display in the tree view.  Fixes bug 2892 (tree displays files
	with escaped characters).
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback): Fixed the structure here to make
	it more clear that it's handling ref. counts correctly.
	
	* libnautilus-extensions/nautilus-directory.h:
	* libnautilus-extensions/nautilus-file.h:
	Wrote better comments to explain the convenience cover functions.
	
	* src/nautilus-window-menus.c: Got rid of some UIH stuff.
	
	* src/nautilus-window-toolbars.c: (set_up_button),
	(nautilus_window_initialize_toolbars),
	(nautilus_window_toolbar_remove_theme_callback):
	Changed commented-out code back to ifdef UIH.
	
	* src/nautilus-window.c: (nautilus_window_clear_status),
	(nautilus_window_set_status): Change to use the new Bonobo call
	for setting status.
	(navigation_bar_mode_changed_callback): Changed commented-out code
	back to ifdef UIH.
	(nautilus_window_constructed): Removed some status-bar-related
	code.

2000-10-09  Mathieu Lacage  <mathieu@eazel.com>

	Fix bugs 3498, 3523 and the nautilus part of 3497
	3497 bug fix is disabled because there is a bug in bonobo.
	bug you can try it if you set BONOBO_WORKAROUND to 1.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_accelerator),
	(nautilus_bonobo_set_description), (nautilus_bonobo_set_label),
	(nautilus_bonobo_set_sensitive), (nautilus_bonobo_set_hidden),
	(nautilus_bonobo_get_hidden), (nautilus_bonobo_set_icon):
	add g_asserts. add (nautilus_bonobo_set_icon)
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	add (nautilus_bonobo_set_icon) prototype
	
	* src/Makefile.am: beautification.
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize_class): a space...
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_merge_menus): a space too...
	* src/nautilus-shell-ui.xml: mainly a few spaces.
	* src/nautilus-window-manage-views.c: (load_content_view):
	use bonobo_ui_component_freeze/thaw
	* src/nautilus-window-menus.c: 
	(nautilus_window_update_show_hide_menu_items),
	(get_user_level_icon_name), (switch_to_user_level),
	(add_user_level_menu_item), (nautilus_window_initialize_menus),
	(nautilus_window_update_find_menu_item),
	(update_user_level_menu_items), 
	(convert_user_level_to_path):
	use bonobo_ui_component_freeze/thaw and add the corect calls to
	nautilus_bonobo_set_icon
	* src/nautilus-window.c: (nautilus_window_constructed),
	(show_dock_item): add calls to nautilus_bonobo_set_hidden to remove
	the toolbars for the desktop case.

2000-10-09  Rebecca Schulman  <rebecka@eazel.com>
	Fixed bugzilla bug 3359, to create nautilus
	file api call to get the error code for
	when a get file info call failed

	* libnautilus-extensions/nautilus-directory-async.c:
	(get_info_callback):
	Record the error received in the file structure
	* libnautilus-extensions/nautilus-file-private.h:
	store the error in a field in NautilusFile
	* libnautilus-extensions/nautilus-file.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_info_failed):
	Add new API call

2000-10-09  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_added),
	(nautilus_directory_notify_files_removed),
	(nautilus_directory_notify_files_moved):
	Get rid of some FIXMEs that were wrong.
	Clean up the way NautilusFile objects were ref'd
	in nautilus_directory_notify_files_moved.

2000-10-09  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/Makefile.am:
	* icons/arlo/emblem-nowrite.png:
	Added the first of many system level emblems for my
	Nautilus theme.

2000-10-09  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-logic.c:
	(eazel_install_flatten_categories),
	(eazel_install_pre_install_packages), (eazel_install_set_settings),
	(install_packages), (eazel_install_download_packages),
	(eazel_install_check_for_file_conflicts),
	(eazel_install_do_install_packages), (uninstall_all_packages),
	(uninstall_packages), (ei_get_packages_with_mod_flag),
	(ei_check_uninst_vs_downgrade), (hest), (revert_transaction),
	(eazel_install_do_transaction_fill_hash),
	(eazel_install_get_total_size_of_packages),
	(eazel_install_do_transaction_add_to_transaction),
	(eazel_install_start_transaction_make_argument_list),
	(eazel_install_do_transaction_save_report_helper),
	(eazel_install_do_transaction_save_report),
	(eazel_install_monitor_process_pipe),
	(eazel_install_display_arguments),
	(eazel_install_monitor_subcommand_pipe),
	(eazel_install_do_transaction_all_files_check),
	(eazel_install_do_transaction_md5_check),
	(eazel_install_start_transaction),
	(eazel_install_prune_packages_helper),
	(eazel_install_prune_packages),
	(eazel_install_prepare_package_system),
	(eazel_install_free_package_system),
	(eazel_install_add_to_extras_foreach),
	(eazel_install_check_existing_packages),
	(eazel_install_check_if_related_package),
	(eazel_install_fetch_dependencies), (dump_one_package),
	(dump_packages), (print_package_list),
	(eazel_install_do_file_conflict_check),
	(eazel_install_do_dependency_check), (eazel_install_ensure_deps),
	(eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse),
	(eazel_uninstall_check_for_install), (eazel_uninstall_globber):
	* components/services/install/lib/eazel-install-logic.h:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_install_packages):
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-protocols.c:
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-query.c:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_rpm_set_settings),
	(eazel_install_monitor_rpm_propcess_pipe),
	(eazel_install_free_rpm_system_close_db_foreach),
	(eazel_install_free_rpm_system):
	* components/services/install/lib/eazel-install-rpm-glue.h:
	* components/services/install/lib/eazel-install-types.c:
	(eazel_install_package_provides_basename_compare),
	(eazel_install_package_provides_compare),
	(eazel_install_package_name_compare),
	(eazel_install_package_compare),
	(eazel_install_requirement_dep_compare),
	(eazel_install_package_version_compare):
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/makefile.staticlib.in:
	Moved code around. 
	Moved the general dep check stuff into eazel-install-logic.c, and
	kept the rpmspecific in rpm-glue.c. Except for eg. the uninstall
	stuff and some other parts which are still rpm specific (in
	-logic.c and -types.c).
	
	* nautilus-installer/src/installer.c:
	(get_detailed_errors_foreach):
	Added the WOULD_BE_LOST to the error display thingy.
	
2000-10-09  John Sullivan  <sullivan@eazel.com>

	Various bonobo-related cleanups

	* components/loser/sidebar/nautilus-sidebar-loser-ui.xml:
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	(bonobo_loser_callback), (loser_merge_bonobo_items_callback):
	* components/mozilla/nautilus-mozilla-content-view.c:
	(bonobo_mozilla_callback), (mozilla_merge_bonobo_items_callback):
	* components/mozilla/nautilus-mozilla-ui.xml:
	* components/sample/nautilus-sample-content-view-ui.xml:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_merge_menus):
	Modernized Bonobo use in these three components. There is a
	crashing bug when leaving a component that installs a tool bar
	button, so I did not install a tool bar button into Mozilla yet.
	Also, some of the callbacks don't work, so I haven't marked the 
	relevant bugs FIXED yet. I wanted to check in what I had so far;
	I'll get back to this a little later today.
	
	* src/nautilus-shell-ui.xml:
	Removed "Menu_" from pixnames, to match new bonobo API; replaced
	<menuitem/> and <toolitem/> with <separator/>; added a placeholder
	into which components should install extra toolbar buttons; defined
	the services button here again (in this placeholder) -- it's before
	the throbber again.
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Added clarifying white space.
	
	* src/nautilus-window-toolbars.c: 
	removed toolbar_services_callback, which is handled elsewhere.
	(set_up_button): Made this take button path instead of just name,
	so it can work with buttons in placeholders (like the Services button).
	(set_up_toolbar_images): Pass whole paths instead of just names.
	(nautilus_window_initialize_toolbars): Set hidden attribute on
	Services button as appropriate, rather than creating it here from raw
	XML in the opposite case.

2000-10-08  Andy Hertzfeld  <andy@eazel.com>

	fixed bug 3549, services button disappeared due to UI handler
	change, by adding it on the fly if EAZEL_SERVICES is set.  Currently,
	it comes after the throbber, but that will be fixed when the
	throbber is positioned properly again.
	
	* src/nautilus-window-menus.c: (stop_button_callback),
	(services_button_callback), (nautilus_window_initialize_menus):
	added bonobo verb for services and it's handler.  Also, added one
	for the stop button, which was inadvertently lost during the
	translation.
	
	* src/nautilus-window-toolbars.c: (set_up_toolbar_images),
	(nautilus_window_initialize_toolbars):
	if EAZEL_SERVICES is set, add the services button and handle it's
	image.
	
	* icons/Makefile.am:
	* icons/Services.png:
	added Services image to default theme.
	
2000-10-08  Josh Barrow  <josh@eazel.com>

	* src/nautilus-shell-ui.xml:
	Change the "Ski" user level to "User Level", per Arlo suggestion 
	in bug 3497.

2000-10-08  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/rpmview/nautilus-rpm-view-install.c:
	(get_detailed_errors_foreach),
	(nautilus_rpm_view_dependency_check):
	Updated for the extra package status field.
	
	* components/services/install/command-line/eazel-alt-install-corba.
	c: (set_parameters_from_command_line), (tree_helper), (dep_check):
	Code to set the ssl_rename flag.
	Better output for dep_check (uses provides).
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	Added the ssl_rename field and the WOULD_BE_LOST package status.
	
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_string_sequence_to_glist),
	(g_list_to_corba_string_sequence),
	(corba_packagedatastruct_from_packagedata),
	(packagedata_from_corba_packagedatastruct):
	Fixed 3460, transfers package->provides now.
	
	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install__set_silent), (impl_Eazel_Install__get_silent),
	(impl_Eazel_Install__set_test_mode),
	(impl_Eazel_Install__get_test_mode),
	(impl_Eazel_Install__set_force), (impl_Eazel_Install__get_force),
	(impl_Eazel_Install__set_update), (impl_Eazel_Install__get_update),
	(impl_Eazel_Install__set_downgrade),
	(impl_Eazel_Install__get_downgrade),
	(impl_Eazel_Install__get_tmp_dir),
	(impl_Eazel_Install__set_ssl_rename),
	(impl_Eazel_Install__get_ssl_rename),
	(impl_Eazel_Install__set_server), (impl_Eazel_Install__get_server),
	(impl_Eazel_Install__get_server_port),
	(impl_Eazel_Install__set_log_file),
	(impl_Eazel_Install__get_log_file),
	(impl_Eazel_Install__set_package_list),
	(impl_Eazel_Install__get_package_list), (eazel_install_get_epv):
	Fixed indentation and cut'n'paste typeerror. Plus added the
	ssl_rename field.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_emit_dependency_check_default):
	Removed the hack since 3460 is fixed.
	
	* components/services/install/lib/eazel-install-private.h:
	Added the ssl_rename field.
	
	* components/services/install/lib/eazel-install-protocols.c:
	(gnome_vfs_fetch_remote_file), 
	Do the ssl_renaming. If ssl_rename is set, the hostname in the
	source uri is replaced with "localhost". This allows you to use
	ssh tunneling to use development services from home.
	(eazel_install_fetch_package),
	Fixed bug 2584. Checks version and name of downloaded
	package. Uses rpmvercmp.
	(get_search_url_for_package):
	s/flag/flags/
	
	* components/services/install/lib/eazel-install-public.h:
	ssl_rename functions.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_do_transaction_all_files_check),
	(eazel_install_start_transaction),
	Partially fixed 3460. I need to fail packages that do not pass.
	(eazel_install_requirement_dep_compare),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_dependencies),
	Fixed the weird case eli & robey came across, were the faulty
	nautilus dependencies caused gconf 0.8 to be installed over 0.9
	which is still needed.
	Now the package which is installed gets the WOULD_BE_LOST status
	and install_failed emittet.
	(eazel_install_do_file_conflict_check),
	Removed comments.
	(eazel_install_ensure_deps), 
	Added more comments and fixed the removal of failedpackages after
	do_dependency_check.
	
	(eazel_uninstall_upward_traverse):
	Fixed an uninstall bug I came acrosss.
	
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_status_enum_to_str),
	(packagedata_status_str_to_enum):
	Handles the WOULD_BE_LOST enum.
	
	* components/services/install/lib/eazel-install-types.h:
	The WOULD_BE_LOST enum
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/installer.c: (eazel_install_progress),
	(eazel_download_progress), (get_detailed_errors_foreach),
	(eazel_installer_add_category):
	Fixed output.

2000-10-08  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	:

	Fixing debug code I added to force error dialog. whoops.

2000-10-08  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (authn_cb_failed), (goto_update_cb),
	(error_dialog_retry_cb), (error_dialog_cancel_cb),
	(generate_error_dialog):

	Added dialog to catch errors like unable to connect and login failed.
	Doesn't look great yet but Arlo is going to give me some ideas to
	make it look a bit better.

2000-10-07  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-theme.c:
	(nautilus_theme_get_image_path_from_theme),
	(nautilus_theme_get_image_path):
	re-organized the code to add the ability to request image
	paths from specific themes, as well as the current one.
	* libnautilus-extensions/nautilus-theme.h:
	added nautilus_theme_get_image_path_from_theme.

	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_load_theme_data):
	used the above to implement sidebar tab redirection, so a theme
	can use the sidebar tabs from another theme, so sidebar tab images
	don't have to be present in every theme.
		
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_destroy), (check_local_theme), (set_theme),
	(get_icon_file_path):
	implemented icon theme default redirection, so a theme can specify
	another theme to get its icons from when they're not present locally;
	this is needed by both Arlo and Susan's themes.
	
	* src/nautilus-throbber.c,h: (nautilus_throbber_initialize_class),
	(nautilus_throbber_button_press_event):
	made clicking on the throbber take you to a URL specified by
	the current theme.  Did this by adding a location_change signal. This
	fixes bug 3433.
	
	* src/nautilus-window.c: (nautilus_window_constructed):
	hooked up nautilus-window to the throbber's location_change signal to
	change the location when the signal is emitted.
	
	* icons/default.xml:
	added default URI for throbber, pointing to www.eazel.com
	* icons/vector/vector.xml:
	added sidebar tab redirection to the Arlo theme for testing

2000-10-07  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/main.c: (main):
	* components/mozilla/mozilla-events.cpp:
	* components/mozilla/mozilla-events.h:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_uris_differ_only_by_fragment_identifier),
	(mozilla_progress_callback), (mozilla_dom_mouse_click_callback):

	Support POST-based form submissions in embedded mozilla
	(bugzilla.eazel.com 3484).  With this change, navigations involving
	POST's aren't forwarded to Nautilus, they are handled inside Mozilla
	directly.  This means that the URI won't change and the navigation won't
	be logged in the history buffer, but its better than nothing.

	Note that this fix only works when using Mozilla M18.

	Note that there seem to be some general bumps with web-browsing with
	both M17 and M18 right now.

2000-10-07  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_list_unref):
	Ooops, need to use nautilus_g_list_save_for_each in the
	list unref call.

2000-10-07  Pavel Cisler <pavel@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback):
	Add a FIXME to some unclear or wrong code.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_added),
	(nautilus_directory_notify_files_removed),
	(nautilus_directory_notify_files_moved):
	Fix 3050 - Memory trashing during drag&drop.
	Files removed from monitored directories did get an
	unref but they didn't get a ref when added to new
	monitored directories.s
	Add FIXMEs to some unclear, wrong or missing code.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_name), (nautilus_file_new_from_info),
	(nautilus_file_ref), (nautilus_file_unref):
	Add debugging code to help find ref-counting bugs with
	NautilusFile. Sadly this is not the full ref/unref balance
	debugger I had originally in mind as it seems to be way harder 
	to match up refs/unrefs than I thought.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_list_ref), (nautilus_file_list_unref),
	(nautilus_file_list_free), (nautilus_file_list_copy):
	Make these files call nautilus_file_ref/nautilus_file_unref
	instead of gtk_object_ref/gtk_object_unref. We should either
	stick to using nautilus_file_ref/unref or get rid of them. 
	Using both pairs of calls is a mess.
	
2000-10-07  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-shell-ui.xml:
	made the "find" button be a toggle button like it's supposed to be.
	
2000-10-07  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window-toolbars.c: (set_up_button),
	(set_up_toolbar_images), (set_up_throbber_frame_type):
	made themed toolbar buttons work properly with new UI handler;
	you must get a new Bonobo for it to work.  Also, made the
	"Search Web" button get the right image, and other clean-ups.
	
	* src/nautilus-shell-ui.xml:
	made toolbar button separators work properly.  Also, removed
	"Service" button from xml file since it can't be conditionally
	added from there.
	
2000-10-06  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3517 (Sample component's merged items don't appear)
	
	* components/sample/nautilus-sample-content-view-ui.xml:
	Filled in.
	* components/sample/nautilus-sample-content-view.c:
	(bonobo_sample_callback), (sample_merge_bonobo_items_callback):
	Updated for new API, removed #ifdefs.

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_merge_bonobo_items_callback): Removed unnecessary cast.
	
2000-10-06  Andy Hertzfeld  <andy@eazel.com>

	tried to put the right themable icons for the toolbar, but only
	succeeded at getting the stock icons.  Also, made the throbber
	show up, but it's not properly positioned yet.
	
	* src/nautilus-shell-ui.xml:
	added stock icons and control for throbber
	
	* src/nautilus-window-toolbars.c: (set_up_button),
	(set_up_toolbar_images), (set_up_throbber_frame_type),
	(allocate_throbber), (nautilus_window_initialize_toolbars):
	revamped for the new bonobo, and tell the ui handler about the
	themed icons (temporarily disabled for now)
	
	* src/nautilus-window.c: (navigation_bar_mode_changed_callback),
	(nautilus_window_constructed):
	initialize the toolbar
	
	* src/nautilus-window.h:
	removed the button fields, since they're now referenced through
	bonobo
	
2000-10-06  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3512 (Some separators not appearing in the
	right place)

	* src/nautilus-shell-ui.xml: Reworked the separators and
	"delimit" properties of placeholders. All values other
	than 'delimit="top"' have been deprecated in Bonobo to
	try to gain some performance, so I only used that.
	
	* src/nautilus-window-private.h: Updated Zoom menu paths
	that changed because I put in a new placeholder.
	* src/nautilus-window.c:
	(nautilus_window_zoom_level_changed_callback):
	This code wasn't updating the sensitivity of "Zoom Normal"
	at all. Now it's always sensitive for any zoom-supporting
	view. (There's a separate bug about how it should only be
	sensitive when not at the "Normal" setting, which I ignored
	for now).

2000-10-06  John Sullivan  <sullivan@eazel.com>

	Oops, one more change from previous checkin (breaks build
	without it)

	* src/nautilus-window-manage-views.c:
	Added missing include for nautilus-bonobo-extensions.h
	
2000-10-06  Mathieu Lacage  <mathieu@eazel.com>

	Fix bug 3125. new bonbo ui handler.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_hidden), (nautilus_bonobo_get_hidden):
	add new functions.
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	add prototypes.
	* src/nautilus-window-menus.c:
	(nautilus_window_update_show_hide_menu_items):
	switch to new bonobo code to hide/show toolbars. change menu 
	paths too.
	* src/nautilus-window-private.h: change menu paths.
	* src/nautilus-window.c: (show_dock_item), (hide_dock_item),
	(dock_item_showing), (nautilus_window_hide_location_bar),
	(nautilus_window_show_location_bar),
	(nautilus_window_location_bar_showing),
	(nautilus_window_hide_tool_bar), (nautilus_window_show_tool_bar),
	(nautilus_window_tool_bar_showing),
	(nautilus_window_hide_status_bar),
	(nautilus_window_show_status_bar),
	(nautilus_window_status_bar_showing):
	switch to new bonobo code for toolbar hiding/showing

2000-10-06  John Sullivan  <sullivan@eazel.com>

	Finished bug 3496 (labels in menu items never change)
	Finished bug 3495 (menu item sensitivity never changes)

	I think I have fixed all outstanding code that was setting
	the sensitivity and label text of menu items, except for
	cut/copy/paste (which is commented out) and undo, which
	has its own bug report. If you run across any others, 
	please write up new bugs.

	* src/file-manager/fm-directory-view.c: 
	(insert_bonobo_menu_item),
	(insert_bonobo_menu_subtree): Removed unnecessary (and
	#ifdeffed-out) calls to bonobo_ui_handler_set_sensitivity.
	(fm_directory_view_real_merge_menus): Removed unnecessary
	call to fm_directory_view_update_menus.
	* src/file-manager/fm-icon-view.c: 
	Updated menu path #defines that I needed to use later.
	(update_layout_menus): Move set_sensitive calls out of #ifdef,
	and modernize them.
	(insert_bonobo_menu_item) removed unnecessary (and
	#ifdeffed-out) call to bonobo_ui_handler_set_sensitivity
	(fm_icon_view_merge_menus): Took out code that's been
	modernized elsewhere; 
	(update_one_menu_item),	(fm_icon_view_update_menus): 
	removed #ifdefs, and modernized.
	* src/file-manager/fm-search-list-view.c: 
	(update_reveal_item): New helper function
	(real_merge_menus): #ifdefs removed
	(real_update_menus): Now calls helper function, #ifdefs removed
	
	* src/file-manager/nautilus-search-list-view-ui.xml: Couldn't
	resist improving a menu title
	
	* src/nautilus-window-manage-views.c: (load_content_view):
	modernize code setting initial zoom menu items sensitivity.
	
	* src/nautilus-window-menus.c: (append_bookmark_to_menu),
	(create_menu_item_from_node),
	(nautilus_window_initialize_bookmarks_menu): Added more 
	parameter checking because I saw an unreproducible
	parameter-failure crash a few levels deep.

2000-10-06  Rebecca Schulman  <rebecka@eazel.com>
	
	* libnautilus-extensions/nautilus-directory-async.c:
	* libnautilus-extensions/nautilus-directory-private.h:
	(set_up_request_by_file_attributes),
	(update_file_info_in_list_if_needed),
	(dequeue_pending_idle_callback),
	(nautilus_directory_call_when_ready_internal),
	(nautilus_directory_get_info_for_new_files),
	(lacks_slow_mime_type), (wants_slow_mime_type),
	(request_is_satisfied), (start_monitoring_file_list),
	(get_info_callback), (start_getting_file_info):
	Added separate ability to get file info with a 
	slow mime type in addition to the regular info.
	This call uses the same call chain, to get file info
	as the default, except it calls the async_get_file_info
	call with arguments to specify the mime type as slow.
	Since the file info structure itself doesn't 
	keep track of what kind of mime type is returned,
	we keep track of this in the nautilus directory
	structure itself.

	* libnautilus-extensions/nautilus-file-private.h:
	Changed the file object to keep track of both
	kinds of mime types, and use the default one,
	unless specifically requested otherwise.
	* libnautilus-extensions/nautilus-file.c:
	* libnautilus-extensions/nautilus-file.h:
	(nautilus_file_new_from_info), (destroy),
	(nautilus_file_update_info), 
	(nautilus_file_compare_by_type),
	(nautilus_file_get_string_attribute),
	(nautilus_file_get_type_as_string),
	(nautilus_file_get_slow_mime_type), (nautilus_file_get_mime_type),
	(nautilus_file_is_mime_type):
	Add and extra argument to update_info,
	to describe how the mime type was received.
	Altered the mime type call, and added a get_slow_mime_type
	call.  Free and update the new mime type fields where
	appropriate.
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_start_renaming_selected_item):
	Added a comment about where we'll need to
	add code to fix bug 690
	* libnautilus-extensions/nautilus-mime-actions.c:
	(get_mime_type_from_file):
	Updated the mime type call here to request the 
	slow mime type.

2000-10-06  John Sullivan  <sullivan@eazel.com>

	Work on bug 3496 (labels in menu items never change)
	Work on bug 3495 (menu item sensitivity never changes)
	Fixed bug 3503 ("Delete from Trash" never appears)

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_accelerator),
	(nautilus_bonobo_set_description): More new wrappers for
	xml shenanigans.

	* libnautilus/nautilus-bonobo-ui.h:
	* src/file-manager/fm-directory-view.h:
	Updated #defines for menu paths to match new syntax (start
	with "/menu", include placeholder names)
	
	* src/file-manager/fm-directory-view.c: 
	Store the BonoboUIComponent in FMDirectoryViewDetails.
	(fm_directory_view_real_create_selection_context_menu_items),
	(reset_bonobo_trash_delete_menu),
	(compute_menu_item_info): merge "Move to Trash" and
	"Delete from Trash" into single item.
	(update_one_menu_item): Use new-style Bonobo calls.
	(fm_directory_view_real_merge_menus): Remove old #ifddeffed code.
	(fm_directory_view_real_update_menus): #ifdef guts back
	in, and remove UIHandler references.
	* src/file-manager/nautilus-directory-view-ui.xml: Fixed typo
	in "Open in New Window" label.
	* src/nautilus-window-menus.c:
	(nautilus_window_update_find_menu_item): Removed stray debugging
	comment.

2000-10-06  Mike Fleming  <mfleming@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_merge_bonobo_items_callback):

	Embedded Mozilla works again.  (Minor case of passing the wrong class)

2000-10-06  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form):

	Fixing title bar.  It was not getting displayed anymore.

2000-10-06  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-sound.c:
	(kill_sound_if_necessary), (nautilus_sound_can_play_sound):
	fixed bug 3493, sound previews don't stop playing, by amending
	the logic in can_play_sound to return TRUE if a sound is
	already playing.
	* src/file-manager/fm-icon-view.c: (preview_sound):
	removed some code that was commented out
	
2000-10-06  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(use_proxy_changed):
	Fixed an additonal issue dealing with proxy settings. A boolean
	was getting reset improperly.
	
2000-10-06  John Sullivan  <sullivan@eazel.com>

	Fixed typo in built-in bookmark ("freshmean.net")

	* data/static_bookmarks.xml:

2000-10-06  John Sullivan  <sullivan@eazel.com>

	Work on bug 3496 (labels in menu bar items never change)
	Finished bug 3505 (tool bar & location bar don't extend across window)

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_label): New cover for bonobo xml
	shenanigans to change the displayed label of an item
	(menu item, toolbar item, whatever).
	
	* src/nautilus-shell-ui.xml: Set behavior attributes on
	tool bar and location bar so they fill the width of the
	window and so the location bar can't be made vertical.
	(Requires bonobo update to see this work.)
	
	* src/nautilus-window-menus.c: 
	(append_separator): New not-yet-implemented function called
	by other not-yet-working-again code.
	(nautilus_window_initialize_menus): Took out a bunch of the
	old #ifdeffed code now that the replacement code works.
	
	(nautilus_window_update_find_menu_item): Toggle the label
	of the Find menu item.
	
	* src/nautilus-window.c: (nautilus_window_constructed):
	Removed some #ifdeffed code.

2000-10-06  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form):

	Fixed major ui problem with background colors on scrolled window
	viewports.  Summary view looks alot better now.

2000-10-06  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 3489, HTTP proxy field gets set, ignore "Use" checkbox
	Fixed bug 3490, HTTP proxy should default to 8080
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(proxy_changed), (use_proxy_changed), (register_proxy_preferences):
	Use better logic to set/unset variables.
	Add a default proxy port of 8080

2000-10-06  Mike Fleming  <mfleming@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_eazel_news_entry_row), (generate_update_news_entry_row):
	Set some instance variables to NULL

2000-10-06  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form):

	Fixing gtk_widget_show crap.  Removed double frees.

2000-10-06  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Fix the freetype2 requires version.
	
2000-10-06  Ramiro Estrugo  <ramiro@eazel.com>

	* librsvg/Makefile.am:
	Update for the FreeType2 changes.

	* nautilus.spec.in:
	Update for the FreeType2 changes.  Add requires dependency on
	freetype2.

2000-10-06  Ramiro Estrugo  <ramiro@eazel.com>

	* README:
	Add FreeType2 information.
	
	* configure.in:
	Add support for using freetype2 installed in the system from devel
	rpms.
	
	* cut-n-paste-code/Makefile.am:
	* cut-n-paste-code/freetype/Makefile.am:
	* cut-n-paste-code/freetype/README:
	* cut-n-paste-code/freetype/autohint.h:
	* cut-n-paste-code/freetype/cff.c:
	* cut-n-paste-code/freetype/cidafm.c:
	* cut-n-paste-code/freetype/cidafm.h:
	* cut-n-paste-code/freetype/cidgload.c:
	* cut-n-paste-code/freetype/cidgload.h:
	* cut-n-paste-code/freetype/cidload.c:
	* cut-n-paste-code/freetype/cidload.h:
	* cut-n-paste-code/freetype/cidobjs.c:
	* cut-n-paste-code/freetype/cidobjs.h:
	* cut-n-paste-code/freetype/cidparse.c:
	* cut-n-paste-code/freetype/cidparse.h:
	* cut-n-paste-code/freetype/cidriver.c:
	* cut-n-paste-code/freetype/cidriver.h:
	* cut-n-paste-code/freetype/cidtokens.h:
	* cut-n-paste-code/freetype/freetype.h:
	* cut-n-paste-code/freetype/ftbase.c:
	* cut-n-paste-code/freetype/ftbbox.h:
	* cut-n-paste-code/freetype/ftcalc.c:
	* cut-n-paste-code/freetype/ftcalc.h:
	* cut-n-paste-code/freetype/ftconfig.h:
	* cut-n-paste-code/freetype/ftdebug.c:
	* cut-n-paste-code/freetype/ftdebug.h:
	* cut-n-paste-code/freetype/ftdriver.h:
	* cut-n-paste-code/freetype/fterrors.h:
	* cut-n-paste-code/freetype/ftextend.c:
	* cut-n-paste-code/freetype/ftextend.h:
	* cut-n-paste-code/freetype/ftglyph.c:
	* cut-n-paste-code/freetype/ftglyph.h:
	* cut-n-paste-code/freetype/ftgrays.c:
	* cut-n-paste-code/freetype/ftgrays.h:
	* cut-n-paste-code/freetype/ftimage.h:
	* cut-n-paste-code/freetype/ftinit.c:
	* cut-n-paste-code/freetype/ftlist.c:
	* cut-n-paste-code/freetype/ftlist.h:
	* cut-n-paste-code/freetype/ftmemory.h:
	* cut-n-paste-code/freetype/ftmm.c:
	* cut-n-paste-code/freetype/ftmm.h:
	* cut-n-paste-code/freetype/ftmodule-list.h:
	* cut-n-paste-code/freetype/ftmodule.h:
	* cut-n-paste-code/freetype/ftobjs.c:
	* cut-n-paste-code/freetype/ftobjs.h:
	* cut-n-paste-code/freetype/ftoption.h:
	* cut-n-paste-code/freetype/ftoutln.c:
	* cut-n-paste-code/freetype/ftoutln.h:
	* cut-n-paste-code/freetype/ftraster.c:
	* cut-n-paste-code/freetype/ftraster.h:
	* cut-n-paste-code/freetype/ftrend1.c:
	* cut-n-paste-code/freetype/ftrend1.h:
	* cut-n-paste-code/freetype/ftrender.h:
	* cut-n-paste-code/freetype/ftsmooth.c:
	* cut-n-paste-code/freetype/ftsmooth.h:
	* cut-n-paste-code/freetype/ftstream.c:
	* cut-n-paste-code/freetype/ftstream.h:
	* cut-n-paste-code/freetype/ftsystem.c:
	* cut-n-paste-code/freetype/ftsystem.h:
	* cut-n-paste-code/freetype/fttypes.h:
	* cut-n-paste-code/freetype/license.txt:
	* cut-n-paste-code/freetype/psmodule.c:
	* cut-n-paste-code/freetype/psmodule.h:
	* cut-n-paste-code/freetype/psnames.h:
	* cut-n-paste-code/freetype/pstables.h:
	* cut-n-paste-code/freetype/raster1.c:
	* cut-n-paste-code/freetype/sfdriver.c:
	* cut-n-paste-code/freetype/sfdriver.h:
	* cut-n-paste-code/freetype/sfnt.c:
	* cut-n-paste-code/freetype/sfnt.h:
	* cut-n-paste-code/freetype/sfobjs.c:
	* cut-n-paste-code/freetype/sfobjs.h:
	* cut-n-paste-code/freetype/smooth.c:
	* cut-n-paste-code/freetype/t1afm.c:
	* cut-n-paste-code/freetype/t1afm.h:
	* cut-n-paste-code/freetype/t1driver.c:
	* cut-n-paste-code/freetype/t1driver.h:
	* cut-n-paste-code/freetype/t1errors.h:
	* cut-n-paste-code/freetype/t1gload.c:
	* cut-n-paste-code/freetype/t1gload.h:
	* cut-n-paste-code/freetype/t1hinter.c:
	* cut-n-paste-code/freetype/t1hinter.h:
	* cut-n-paste-code/freetype/t1load.c:
	* cut-n-paste-code/freetype/t1load.h:
	* cut-n-paste-code/freetype/t1objs.c:
	* cut-n-paste-code/freetype/t1objs.h:
	* cut-n-paste-code/freetype/t1parse.c:
	* cut-n-paste-code/freetype/t1parse.h:
	* cut-n-paste-code/freetype/t1tables.h:
	* cut-n-paste-code/freetype/t1tokens.c:
	* cut-n-paste-code/freetype/t1tokens.h:
	* cut-n-paste-code/freetype/t1types.h:
	* cut-n-paste-code/freetype/t2driver.c:
	* cut-n-paste-code/freetype/t2driver.h:
	* cut-n-paste-code/freetype/t2errors.h:
	* cut-n-paste-code/freetype/t2gload.c:
	* cut-n-paste-code/freetype/t2gload.h:
	* cut-n-paste-code/freetype/t2load.c:
	* cut-n-paste-code/freetype/t2load.h:
	* cut-n-paste-code/freetype/t2objs.c:
	* cut-n-paste-code/freetype/t2objs.h:
	* cut-n-paste-code/freetype/t2parse.c:
	* cut-n-paste-code/freetype/t2parse.h:
	* cut-n-paste-code/freetype/t2tokens.h:
	* cut-n-paste-code/freetype/t2types.h:
	* cut-n-paste-code/freetype/truetype.c:
	* cut-n-paste-code/freetype/ttcmap.c:
	* cut-n-paste-code/freetype/ttcmap.h:
	* cut-n-paste-code/freetype/ttdriver.c:
	* cut-n-paste-code/freetype/ttdriver.h:
	* cut-n-paste-code/freetype/tterrors.h:
	* cut-n-paste-code/freetype/ttgload.c:
	* cut-n-paste-code/freetype/ttgload.h:
	* cut-n-paste-code/freetype/ttinterp.c:
	* cut-n-paste-code/freetype/ttinterp.h:
	* cut-n-paste-code/freetype/ttload.c:
	* cut-n-paste-code/freetype/ttload.h:
	* cut-n-paste-code/freetype/ttnameid.h:
	* cut-n-paste-code/freetype/ttobjs.c:
	* cut-n-paste-code/freetype/ttobjs.h:
	* cut-n-paste-code/freetype/ttpload.c:
	* cut-n-paste-code/freetype/ttpload.h:
	* cut-n-paste-code/freetype/ttpost.c:
	* cut-n-paste-code/freetype/ttpost.h:
	* cut-n-paste-code/freetype/ttsbit.c:
	* cut-n-paste-code/freetype/ttsbit.h:
	* cut-n-paste-code/freetype/tttables.h:
	* cut-n-paste-code/freetype/tttags.h:
	* cut-n-paste-code/freetype/tttypes.h:
	* cut-n-paste-code/freetype/type1.c:
	* cut-n-paste-code/freetype/type1cid.c:
	* cut-n-paste-code/freetype/type1z.c:
	* cut-n-paste-code/freetype/winfnt.c:
	* cut-n-paste-code/freetype/winfnt.h:
	* cut-n-paste-code/freetype/z1afm.c:
	* cut-n-paste-code/freetype/z1afm.h:
	* cut-n-paste-code/freetype/z1driver.c:
	* cut-n-paste-code/freetype/z1driver.h:
	* cut-n-paste-code/freetype/z1gload.c:
	* cut-n-paste-code/freetype/z1gload.h:
	* cut-n-paste-code/freetype/z1load.c:
	* cut-n-paste-code/freetype/z1load.h:
	* cut-n-paste-code/freetype/z1objs.c:
	* cut-n-paste-code/freetype/z1objs.h:
	* cut-n-paste-code/freetype/z1parse.c:
	* cut-n-paste-code/freetype/z1parse.h:
	* cut-n-paste-code/freetype/z1tokens.h:
	Removed the cut-n-pasted FreeType2 we had in our build.
	
	* libnautilus-extensions/Makefile.am:
	* librsvg/Makefile.am:
	* nautilus.spec.in:
	Update for FreeType2 changes.
	
2000-10-05  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_eazel_news_entry_row), (generate_update_news_entry_row):

	Fixed gtk_widget_destroy problem, removed lots of debugging code,
	and fixed most of the memory leaks.

2000-10-06  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 2212, Not able to drag icons from the panel.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	(button_release_event), (nautilus_icon_container_initialize_class):
	Add a new signal to create symbolic links
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(drag_data_received_callback), (receive_dropped_uri_list),
	(nautilus_icon_container_get_drop_action), (drag_motion_callback):
	Handle URI drags.
		
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize), (create_link_callback),
	(icon_view_create_nautilus_links):
	Callbacks to handle the create_nautilus_links signal.  Create
	links from the data passed in the list using gnome-vfs async
	callback.
	
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application_from_command):
	Quoted the command string in addition to the parameter.

2000-10-05  Mike Fleming  <mfleming@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_eazel_news_entry_row), (generate_update_news_entry_row),
	(entry_changed_cb), (authn_cb_failed), (login_button_cb),
	(who_is_logged_in), (logged_in_callback), (logged_out_callback):

	Fixed memory handling issues; Removed gtk_widget_show()'s

2000-10-05  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install-corba.
	c: (set_parameters_from_command_line):
	* components/services/install/lib/eazel-install-metadata.c:
	(init_default_transfer_configuration):
	* components/services/install/lib/eazel-install-object.c:
	(create_temporary_directory), (eazel_install_alter_mode_on_temp),
	(eazel_install_delete_downloads), (eazel_install_install_packages),
	(eazel_install_revert_transaction_from_xmlstring):
	Fixed the tmpdir schema (fixes bug 2927).
	
	* components/services/install/lib/eazel-install-protocols.c:
	(get_search_url_for_package):
	Added flag=8 for version find. This opens bug 3482.
	
	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_simple_rpm_query):
	Made a better comparision to avoid dupes in the result list.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_package_compare),
	The better comparision for eazel-install-query.
	(install_new_packages), 
	Removed obsolete tmpdir creation.
	(eazel_install_check_existing_packages):
	g_assert when rpmdb appears to be screwed, this opens bug 3511.
	
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_open_uri):
	Formatting.
	
2000-10-06  Mathieu Lacage  <mathieu@eazel.com>

	* components/adapter/Makefile.am: add VFS_CFLAGS.

2000-10-05  Mike Fleming  <mfleming@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_eazel_news_entry_row), (authn_cb_succeeded),
	(authn_cb_failed), (logout_button_cb), (am_i_logged_in):
	Small fixes to summary view

2000-10-05  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-protocols.c:
	(add_to_url):
	* nautilus-installer/src/installer.c: (eazel_installer_initialize):

	Fix off-by-2x bug in allocating quoted URL segments.

2000-10-05  Darin Adler  <darin@eazel.com>

	* README: Change required versions.

	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	(nautilus_bonobo_set_sensitive):
	Added new function that works with the new UI framework.

	* libnautilus-extensions/nautilus-druid-page-eazel.h:
	* libnautilus-extensions/nautilus-druid.h:

	* src/nautilus-shell-ui.xml: Make Select All insensitive.
	
	* src/nautilus-window.c: (nautilus_window_constructed):
	Get rid of some more of the old status bar code.
	(nautilus_window_allow_back), (nautilus_window_allow_forward),
	(nautilus_window_allow_up), (nautilus_window_allow_reload),
	(nautilus_window_allow_stop),
	(nautilus_window_zoom_level_changed_callback): Set shell
	menu item sensitivity with the new API.

	* src/nautilus-window.h: Remove status_bar_context_id.
	
2000-10-05  Andy Hertzfeld  <andy@eazel.com>
	
	* libnautilus-extensions/nautilus-customization-data.c:
	(nautilus_customization_data_get_next_element_for_display):
	made it use nautilus_image instead of gtk_pixmap so nice
	anti-aliased emblems can be displayed
	
	* src/nautilus-property-browser.c: (make_drag_image),
	(element_clicked_callback), (make_properties_from_xml_node):
	made it deal with nautilus_image instead of pixwidgets
	
	* data/emblems/Makefile.am:
	* icons/Makefile.am:
	* icons/emblem-OK.svg:
	* icons/emblem-distinguished.svg:
	* icons/emblem-draft.svg:
	* icons/emblem-favorite.svg:
	* icons/emblem-generic.svg:
	* icons/emblem-important.svg:
	* icons/emblem-new.svg:
	* icons/emblem-noread.svg:
	* icons/emblem-nowrite.svg:
	* icons/emblem-ohno.svg:
	* icons/emblem-personal.svg:
	* icons/emblem-shared.svg:
	* icons/emblem-special.svg:
	* icons/emblem-urgent.svg:
	new or update emblems from Susan

	* libnautilus-extensions/nautilus-image.h:
	removed spurious comment

2000-10-05  Mike Fleming  <mfleming@eazel.com>

	* nautilus-clean.sh:
	Added nautilus-summary-view to nautilus-clean.sh

2000-10-05  Darin Adler  <darin@eazel.com>

	Cut over to HEAD of Bonobo. This check-in includes all the changes
	needed to compile and run, but there are many things wrong
	visually that may take a while to get fixed.
	
	* src/nautilus-window-menus.c: (file_menu_new_window_callback),
	(file_menu_close_window_callback),
	(file_menu_close_all_windows_callback),
	(file_menu_toggle_find_mode_callback),
	(file_menu_web_search_callback), (edit_menu_undo_callback),
	(edit_menu_cut_callback), (edit_menu_copy_callback),
	(edit_menu_paste_callback), (edit_menu_clear_callback),
	(go_menu_back_callback), (go_menu_forward_callback),
	(go_menu_up_callback), (go_menu_home_callback),
	(go_menu_forget_history_callback), (view_menu_reload_callback),
	(view_menu_show_hide_sidebar_callback),
	(view_menu_show_hide_tool_bar_callback),
	(view_menu_show_hide_location_bar_callback),
	(view_menu_show_hide_status_bar_callback),
	(nautilus_window_update_show_hide_menu_items),
	(view_menu_zoom_in_callback), (view_menu_zoom_out_callback),
	(view_menu_zoom_normal_callback),
	(bookmarks_menu_add_bookmark_callback),
	(bookmarks_menu_edit_bookmarks_callback),
	(user_level_customize_callback), (customize_callback),
	(change_appearance_callback), (help_menu_about_nautilus_callback),
	(help_menu_nautilus_feedback_callback), (switch_to_user_level),
	(user_level_menu_item_callback), (append_placeholder),
	(append_separator), (append_bookmark_to_menu),
	(create_menu_item_from_node), (remove_bookmarks_after),
	(remove_underline_accelerator_from_menu_title),
	(new_top_level_menu), (add_user_level_menu_item),
	(nautilus_window_initialize_menus),
	(nautilus_window_update_find_menu_item),
	(update_user_level_menu_items), (convert_verb_to_user_level),
	(convert_user_level_to_verb), (update_preferences_dialog_title):
	* src/nautilus-window.c: (nautilus_window_clear_status),
	(nautilus_window_set_status), (install_status_bar),
	(nautilus_window_constructed), (nautilus_window_set_arg),
	(nautilus_window_get_arg), (nautilus_window_destroy),
	(nautilus_window_allow_back), (nautilus_window_allow_forward),
	(nautilus_window_allow_up), (nautilus_window_allow_reload),
	(nautilus_window_zoom_level_changed_callback),
	(nautilus_window_set_content_view_widget), (show_dock_item),
	(hide_dock_item), (dock_item_showing),
	(nautilus_window_hide_tool_bar), (nautilus_window_show_tool_bar),
	(nautilus_window_tool_bar_showing),
	(nautilus_window_hide_status_bar),
	(nautilus_window_show_status_bar),
	(nautilus_window_status_bar_showing):
	Convert to new API. Some is disabled with #ifdef UIH.
	
	* Makefile.am:
	* configure.in:
	Turned off build of the idl directory, build components after src.
	
	* components/adapter/main.c:
	* components/notes/nautilus-notes.c:
	* components/sample/main.c:
	* libnautilus-extensions/nautilus-font-picker.c:
	* libnautilus-extensions/nautilus-global-preferences.c:
	* libnautilus-extensions/nautilus-password-dialog.c:
	* libnautilus-extensions/nautilus-preferences-item.c:
	* libnautilus/nautilus-undo-transaction.c:
	* libnautilus/nautilus-undo.c:
	* src/nautilus-application.c:
	* src/nautilus-history-frame.c:
	* src/nautilus-link-set-window.c:
	* src/nautilus-main.c:
	* src/nautilus-shell.c:
	* src/nautilus-sidebar.c:
	* src/nautilus-view-frame-corba.c:
	* src/nautilus-zoomable-frame-corba.c:
	* test/test-nautilus-font-picker.c:
	* test/test-nautilus-image.c: (create_font_picker_frame):
	* test/test-nautilus-label.c: (create_font_picker_frame):
	* test/test-nautilus-preferences.c:
	* test/test-nautilus-widgets.c: (radio_group_load_it_up):
	Fixed includes.
	
	* test/test-nautilus-image.c: (create_font_picker_frame):
	* test/test-nautilus-label.c: (create_font_picker_frame):
	* test/test-nautilus-widgets.c: (radio_group_load_it_up):
	Turned off localization of some strings in tests.

	* components/adapter/nautilus-adapter-control-embed-strategy.c:
	(nautilus_adapter_control_embed_strategy_new):
	* components/adapter/nautilus-adapter-control-embed-strategy.h:
	* components/adapter/nautilus-adapter-embed-strategy.c:
	(nautilus_adapter_embed_strategy_get):
	* components/adapter/nautilus-adapter-embed-strategy.h:
	* components/adapter/nautilus-adapter-embeddable-embed-strategy.c:
	(nautilus_adapter_embeddable_embed_strategy_new):
	* components/adapter/nautilus-adapter-embeddable-embed-strategy.h:
	Embedding code now deals with Bonobo_UIContainer, not
	Bonobo_UIHandler.
	
	* components/adapter/nautilus-adapter.c: (nautilus_adapter_new):
	This code not only had to be changed to deal with the
	Bonobo_UIContainer instead of Bonobo_UIHandler, but it also needed
	to deal with the containing item (was remote_ui_handler), not the
	local component.

	* components/adapter/nautilus-adapter-embeddable-embed-strategy.c:
	(nautilus_adapter_embeddable_embed_strategy_new):
	* components/adapter/nautilus-adapter.c:
	BonoboContainer was renamed BonoboItemContainer.
	
	* components/history/nautilus-history-view.c:
	Remove unused BonoboUIHandler * field.
	
	* components/loser/content/Makefile.am:
	* components/loser/sidebar/Makefile.am:
	* components/mozilla/Makefile.am:
	* components/sample/Makefile.am:
	* src/Makefile.am:
	* src/file-manager/Makefile.am:
	Added the necessary defines and build rules to install ui.xml
	files and locate them from the C code.
	
	* src/file-manager/nautilus-directory-view-ui.xml:
	* src/file-manager/nautilus-icon-view-ui.xml:
	* src/file-manager/nautilus-search-list-view-ui.xml:
	* src/nautilus-shell-ui.xml:
	Added definitions of user interface.
	
	* components/loser/content/nautilus-content-loser-ui.xml:
	* components/loser/sidebar/nautilus-sidebar-loser-ui.xml:
	* components/mozilla/nautilus-mozilla-ui.xml:
	* components/sample/nautilus-sample-content-view-ui.xml:
	Added empty placeholders for user interface.
	
	* components/loser/content/nautilus-content-loser.c:
	(loser_merge_bonobo_items_callback):
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	(loser_merge_bonobo_items_callback):
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_merge_bonobo_items_callback):
	* components/sample/nautilus-sample-content-view.c:
	(sample_merge_bonobo_items_callback):
	Use nautilus_view_set_up_ui to get the user interface from a
	ui.xml file. Put #ifdef UIH around old code to make the items work
	that still needs to be visited.
	
	* libnautilus-extensions/nautilus-bonobo-extensions.c:
	* libnautilus-extensions/nautilus-bonobo-extensions.h:
	* libnautilus-extensions/nautilus-undo-manager.c:
	* libnautilus-extensions/nautilus-undo-manager.h:
	* libnautilus/nautilus-clipboard.c: (add_menu_items_callback),
	(remove_menu_items_callback),
	(nautilus_clipboard_set_up_editable_from_bonobo_control):
	* libnautilus/nautilus-clipboard.h:
	Wrapped code in ifdef UIH to disable it until it can be converted
	to the new Bonobo.
	
	* libnautilus-extensions/nautilus-caption-table.h:
	* libnautilus-extensions/nautilus-caption.h:
	* libnautilus-extensions/nautilus-font-picker.h:
	* libnautilus-extensions/nautilus-preferences-group.h:
	* libnautilus-extensions/nautilus-preferences-item.h:
	* libnautilus-extensions/nautilus-radio-button-group.h:
	* src/nautilus-about.h:
	Got rid of any cases where headers include the omnibus header
	<gnome.h>. These made the conversion process harder, which is why
	we fixed them.
	
	* libnautilus/libnautilus.h:
	Got rid of cases where headers include the omnibus header
	<bonobo.h>.
	
	* libnautilus/nautilus-view.h:
	* libnautilus/nautilus-view.c: (nautilus_view_set_up_ui):
	Added a helper function to make it easy for Nautilus components to
	load their UI and get it attached to the Nautilus:View object.
	
	* nautilus.spec.in: Install the nautilus-*-ui.xml files too.
	
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(bonobo_menu_select_all_callback),
	(bonobo_menu_empty_trash_callback),
	(bonobo_control_activate_callback): Convert to new API.
	(fm_directory_view_get_bonobo_ui_container): Name and purpose
	changed slightly for new API.
	(fm_directory_view_real_merge_menus): Merge with new API.
	(fm_directory_view_real_update_menus): Disabled this code for now.
	
	* src/file-manager/fm-icon-view.c: (fm_icon_view_destroy): Destroy
	icon view's own component at destroy time.
	(context_menu_layout_radio_item_callback),
	(append_one_context_menu_layout_item),
	(fm_icon_view_create_background_context_menu_items),
	(update_layout_menus): Convert to new API, disable some with
	#ifdef UIH.
	(get_sort_criterion_by_verb),
	(set_sort_criterion_by_verb), (sort_callback): Convert to new API.
	(fm_icon_view_merge_menus): Merge with new API, creating our own
	UI component separate from the directory view's.
	(fm_icon_view_update_menus): Disable with #ifdef UIH.
	
	* src/file-manager/fm-search-list-view.h:
	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class),
	(fm_search_list_view_initialize), (real_destroy),
	(indexing_info_callback), (real_merge_menus), (real_update_menus):
	Add code necessary to use a separate UI component, and disabled
	the actual menu set-up code with #ifdef UIH. This required adding
	a details struct.
	
	* src/nautilus-desktop-window.c: (realize): Turned off the code
	that hides the desktop elements.
	
	* src/nautilus-window-private.h:
	* src/nautilus-view-frame.h:
	* src/nautilus-view-frame.c: (nautilus_view_frame_destroy),
	(nautilus_view_frame_new), (nautilus_view_frame_load_client):
	* src/nautilus-window-manage-views.c: (load_content_view),
	(nautilus_window_set_sidebar_panels):
	Change to use Bonobo_UIContainer instead of Bonobo_UIHandler.
	
	* src/nautilus-window-toolbars.c: (remember_buttons),
	(nautilus_window_initialize_toolbars): Leave this code around and
	change it enough to compile and run, even though it's creating a
	second, invisible toolbar.
	
	* src/nautilus-window.h: Change to be a BonoboWin subclass instead
	of a GnomeApp subclass.
	
2000-10-05  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Remove About.html which is no longer in the tree.
	
2000-10-05  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_clear_from_row):
	Fix one more rectangle arithmetic overflow bug that was causing
	a list view update glitch. Hope this is the last of bug 2036.

2000-10-05  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-profiler.c: (scrolled_text_new),
	(window_delete_event), (window_print_button_callback),
	(window_save_button_callback), (dump_dialog_new),
	(dump_dialog_show), (nautilus_profiler_bonobo_ui_report_callback):
	Make the profile report show up in a scrolling text window.
	
2000-10-05  Ramiro Estrugo  <ramiro@eazel.com>

	* src/Makefile.am:
	Build profiler hooks if ENABLE_PROFILER is enabled.
	
	* src/nautilus-profiler.c: (widget_find_ancestor_window),
	(ui_handler_find_ancestor_window), (widget_set_busy_cursor),
	(widget_clear_busy_cursor),
	(nautilus_profiler_bonobo_ui_report_callback):
	Add support for saving dump to a file.
	
2000-10-05  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/install/lib/eazel-install-types.c:
	(packagedata_fill_from_rpm_header):
	Fix uninitialized variable.

2000-10-05  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Add the nautilus-image-view component.
	
2000-10-05  Andy Hertzfeld  <set EMAIL_ADDRESS environment variable>

	* data/top/.nautilus-metafile.xml:
	* data/top/About.html:
	* data/top/Makefile.am:
	fixed bug 3412, about.html in novice home directory misaligned
	with audience, by deleting it
	
	* src/nautilus-property-browser.c: (make_property_tile):
	improved property browser item layout by making the labels
	line up in the table.
	
2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-profiler.c:
	(nautilus_profiler_bonobo_ui_reset_callback),
	(nautilus_profiler_bonobo_ui_start_callback),
	(nautilus_profiler_bonobo_ui_stop_callback),
	(nautilus_profiler_bonobo_ui_report_callback):
	* src/nautilus-profiler.h:
	New files.  Hooks for having profiling menu support in nautilus.
	Not wired up yet. 

2000-10-04  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(get_icon_space_width):
	fixed problem Arlo found where tighter layout mode causes the
	selection boxes of adjacent icons to overlap, by giving a little
	extra space in tighter layout mode.
	
	* libnautilus-extensions/nautilus-thumbnails.c:
	(nautilus_get_thumbnail_uri), (check_for_thumbnails):
	`made thumbnails update in raster order, instead of reverse order
	like it was doing, by using glist_append instead of glist_prepend;
	also, made it use the real "broken image" icon.
	
	* icons/Makefile.am:
	* icons/i-broken-image.png:
	added image from Susan to use as "thumbnailing failed" image
	
2000-10-04  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-metadata.c:
	(init_default_transfer_configuration):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_set_arg), (eazel_install_class_initialize),
	(eazel_install_new_with_config):
	* components/services/install/lib/eazel-install-protocols.c:
	(get_search_url_for_package):
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-types.h:
	* components/services/trilobite/doc/gconf.txt:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_open_uri), (trilobite_fetch_uri):

	Add "eazel-auth" config to gconf settings that makes the install
	XML fetching use eazel-services: URI type instead of http:
	(defaults to on).  This is required for security reasons, once
	eazel-services: uses SSL.
	
2000-10-04  Robey Pointer  <robey@eazel.com>

	* nautilus-installer/src/installer.c: (eazel_install_dep_check):
	* nautilus-installer/src/main.c:

	Install lib doesn't always hint us with package names now, so dig
	it out when showing dependency labels.  Fix up wording of --local
	option for Eli.

2000-10-04  Maciej Stachowiak  <mjs@eazel.com>

	* nautilus.spec.in: Add nautilus-adpater

2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Fix a dumb typo in the comments.
	
2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Fixed profiler path.
	
2000-10-04  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (logged_in_callback),
	(logged_out_callback), (nautilus_summary_view_initialize),
	(nautilus_summary_view_load_uri):

	Fixed the redraw failure when logging in.  Fixed the background
	color problem but scrolled window containers still don't pickup
	the NautilusBackground color.  I have no idea why this doesn't
	work.  Removed the "Loading Services" form since it was not
	very useful and caused lots of problems.

2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Dont build the mozilla component for profiled builds cause the c++
	compiler used for mozilla rpms is not binary compatible with the
	one used for profiling.

2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Fix a typo and stop spewing profile cflags since there isnt any.
	
2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* acconfig.h:
	* configure.in:
	Add profiling support via --enable-profiler.
	
2000-10-04  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/install/server/Makefile.am:
	* components/services/time/service/Makefile.am:
	* components/services/trilobite/sample/service/Makefile.am:
	Dont hardcode LDFLAGS in these makefiles, otherwise LDFLAGS cant
	be globally set at configure time.
	
2000-10-04  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-drag.h:
	Bug 2943.
	Set the auto-scroll delay to 750 ms per Arlo's recommendation.

	* libnautilus-extensions/nautilus-list.c: (rectangle_intersect),
	(nautilus_list_clear_from_row):
	Finish up 2036 - rectangular sections of list view sometimes 
	get erased. Fix up all the other list view drawing glitches that
	were showing up when invalidating the list view with other windows,
	resizing columns, etc.
	gdk_rectangle_intersect is ultra-lame and returns undefined rectangles
	when doing an intersection of two disjoint rectangles, instead of returning
	an empty rectangle with zero width/height.
	For now replaced places that relied on this behavior to be correct with a 
	call to rectangle_intersect that handles the result properly.

2000-10-04  Michael Engber  <engber@eazel.com>

	Changed the background code so that updates occuring
	during image loading are handled by drawing with the
	old settings. This prevents visual glitches/flash (bug 739)
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_remove_current_image),
	(nautilus_background_destroy),
	(nautilus_background_set_image_placement),
	(reset_cached_color_info),
	(nautilus_background_ensure_gradient_buffered),
	(nautilus_background_image_totally_obscures),
	(nautilus_background_ensure_image_scaled),
	(nautilus_background_pre_draw), (nautilus_background_set_color),
	(nautilus_background_load_image_callback),
	(nautilus_background_is_image_load_in_progress),
	(nautilus_background_cancel_loading_image),
	(nautilus_background_start_loading_image),
	(nautilus_background_set_image_uri_no_emit),
	(nautilus_background_set_image_uri_helper),
	(nautilus_background_set_image_uri),
	(set_image_and_color_image_loading_done_callback),
	(nautilus_background_set_image_uri_and_color),
	(nautilus_background_receive_dropped_background_image),
	(nautilus_background_is_loaded), (nautilus_background_real_reset),
	(nautilus_background_is_too_complex_for_gtk_style),
	(nautilus_background_receive_dropped_color):

2000-10-04  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install-corba.
	c: (tree_helper):
	Just print the rpmname and not the file anme
	* components/services/install/lib/eazel-install-md5.c:
	(md5_get_digest_from_file):
	Handle filename==null
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_emit_dependency_check_default):
	Hack that should be removed when 3460 is fixed
	
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package):
	Indention...
	
	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_simple_query):
	Variable init
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_pre_install_packages),
	(eazel_install_download_packages),
	(eazel_install_check_for_file_conflicts),
	(eazel_install_monitor_subcommand_pipe),
	(eazel_install_do_transaction_md5_check),
	(eazel_install_prepare_package_system),
	(eazel_install_free_package_system),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_dependencies),
	(eazel_install_do_rpm_dependency_check),
	(eazel_install_do_file_conflict_check),
	(eazel_install_do_dependency_check), (eazel_install_ensure_deps),
	(eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse),
	(eazel_uninstall_check_for_install):
	Variable init, removed some old fixme comments.
	Fixed 3373. Slightly better packagesystem modularity now.
	
	* components/services/install/lib/eazel-install-rpm-signature.c:
	(trilobite_check_rpm_signature):
	variable init.
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_new), (packagedata_fill_from_rpm_header),
	(packagedata_fill_from_file), (packagedata_destroy),
	Fixed 3458.
	Fixed 3465.
	(packagedata_modstatus_enum_to_str),
	(packagedata_modstatus_str_to_enum):
	Var initializing.
	
	* nautilus-installer/src/Makefile:
	Yeah..
	
2000-10-04  Andy Hertzfeld  <andy@eazel.com>

	* icons/i-music.png:
	better version of the non-anti-aliased music icon from Susan
	inadvertently left out of my previous check-in
	
2000-10-04  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c:
	(icon_container_preview_callback):
	fixed bug 3463, get sound diagnostics when mousing over non-sound
	files, by only testing for sound if we're over a sound file

	* src/nautilus-window-toolbars.c: (set_up_throbber_frame_type),
	(allocate_throbber), (theme_changed_callback),
	(nautilus_window_initialize_toolbars),
	(nautilus_window_toolbar_remove_theme_callback):
	made the shadow type of the throbber frame be specified by the
	theme.
		
	* icons/ardmore/ardmore.xml:
	* icons/default.xml:
	* icons/eazel/eazel.xml:
	* icons/vector/vector.xml:
	changed the shadow types in some themes
	
2000-10-03  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_file), (eazel_install_fetch_package),
	(add_to_url), (get_url_for_package):

	Erase file if it didn't download correctly (was leaving around
	0-length files).  Quote weird characters in values when composing
	an URL.
	
	* nautilus-installer/src/callbacks.c: (druid_delete):
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (get_pixmap_x_y),
	(create_pixmap), (create_what_to_do_page), (jump_to_error_page),
	(create_window), (eazel_install_progress),
	(eazel_download_progress), (get_detailed_errors_foreach),
	(download_failed), (eazel_install_preflight),
	(eazel_install_dep_check), (eazel_install_delete_files),
	(install_done), (check_if_next_okay), (toggle_button_toggled),
	(check_system), (eazel_installer_do_install),
	(eazel_installer_finalize), (eazel_install_get_depends),
	(eazel_installer_initialize):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/main.c:

	Catch (X) click on window and exit cleanly.  Combine the two -d
	options into one and consolidate the debug output.  Change default
	server to services.eazel.com.  Resize druid to the size of the
	background XPM and disallow resizes.  Remove the /tmp dir on
	failure.  Use only printable chars in /tmp dir name.  Remove the
	ability to do nonsensical browsing in the druid (backwards from
	page one, etc).
	
	* nautilus-installer/src/error-symbol.xpm:

	Needed XPM for the error page.
	
	* nautilus-installer/src/prescript:

	Remove weird Danish text and replace with terse English text.

2000-10-03  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/Makefile.am:
	* icons/arlo/i-directory-aa.png:
	* icons/arlo/i-directory.png:
	* icons/arlo/i-directory-72.png:
	Added a couple of non-AA folder icons.


2000-10-03  Mathieu Lacage  <mathieu@eazel.com>

	* src/file-manager/fm-list-view.c: (fm_list_handle_dragged_items):
	initalize ret_val for optimized builds...

2000-10-03  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(get_icon_space_width):
	changed how layout works in the non-tighter-layout case by
	removing the powers of two padding and instead going with
	a fixed minimum size.
	
2000-10-03  Darin Adler  <darin@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri): Fixed window title.

2000-10-03  Maciej Stachowiak  <mjs@eazel.com>

	* check-THANKS.pl,
	components/adapter/nautilus-adapter-progressive-load-strategy.c,
	components/adapter/nautilus-adapter-stream-load-strategy.c,
	src/nautilus-view-frame.c: Filed bugs for some FIXMEs

2000-10-03  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_average_value):
	fixed bug where there was an overflow computing the average
	pixel value for large enough tiles; it manifested by choosing the
	wrong color text over certain backgrounds like clouds; fixed by 
	using uints for the accumulators instead of ints.
	
2000-10-03  Mathieu Lacage  <mathieu@eazel.com>

	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_marshal_BOOL__INT_POINTER_INT_INT_UINT): add function.
	* libnautilus-extensions/nautilus-gtk-extensions.h: add prototype.
	
	* libnautilus-extensions/nautilus-list.c: 
	(nautilus_list_initialize_class),
	(nautilus_list_prelight_if_necessary), (nautilus_list_drag_motion),
	(nautilus_list_drag_drop), (nautilus_list_drag_data_received):
	* libnautilus-extensions/nautilus-list.h:
	add the handle-dragged-items signal to handle prelighting when you 
	drag.
	
	* src/file-manager/fm-list-view.c: (fm_list_handle_dragged_items),
	(set_up_list): hook to the handle-dragged-items signal.

2000-10-03  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3155 (need feedback item in Help menu)

	Bud & co. decided this should be there all the time.

	* src/nautilus-window-menus.c:
	(help_menu_nautilus_feedback_callback),
	(nautilus_window_initialize_menus): Added menu item
	that opens a feedback web page.

2000-10-03  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3379 (crash leaving web page)
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(directory_load_done): When directory load returns an
	error, clear unconfirmed bit on all files in that directory
	so they won't be marked gone later.

	Fixed bug 3421 (web page with blank HTML title causes blank
	title in Nautilus)

	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_title_changed_callback): Don't call nautilus_view_set_title
	if the HTML title is NULL or "".

2000-10-03  Pavel Cisler  <pavel@eazel.com>

	Work on 2036 - drawing glitches in ListView.

	* configure.in:
	* cut-n-paste-code/widgets/Makefile.am:
	* cut-n-paste-code/widgets/nautilusclist/.cvsignore:
	* cut-n-paste-code/widgets/nautilusclist/Makefile.am:
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.c:
	* cut-n-paste-code/widgets/nautilusclist/nautilusclist.h:
	(COLUMN_FROM_XPIXEL), (LIST_WIDTH), (nautilus_clist_get_type),
	(nautilus_clist_class_init), (nautilus_clist_set_arg),
	(nautilus_clist_get_arg), (nautilus_clist_init),
	(nautilus_clist_construct), (nautilus_clist_new),
	(nautilus_clist_new_with_titles), (nautilus_clist_set_hadjustment),
	(nautilus_clist_get_hadjustment), (nautilus_clist_set_vadjustment),
	(nautilus_clist_get_vadjustment),
	(nautilus_clist_set_scroll_adjustments),
	(nautilus_clist_set_shadow_type),
	(nautilus_clist_set_selection_mode), (nautilus_clist_freeze),
	(nautilus_clist_thaw), (nautilus_clist_column_titles_show),
	(nautilus_clist_column_titles_hide),
	(nautilus_clist_column_title_active),
	(nautilus_clist_column_title_passive),
	(nautilus_clist_column_titles_active),
	(nautilus_clist_column_titles_passive),
	(nautilus_clist_set_column_title),
	(nautilus_clist_get_column_title),
	(nautilus_clist_set_column_widget),
	(nautilus_clist_get_column_widget),
	(nautilus_clist_set_column_justification),
	(nautilus_clist_set_column_visibility),
	(nautilus_clist_set_column_resizeable),
	(nautilus_clist_set_column_auto_resize),
	(nautilus_clist_columns_autosize),
	(nautilus_clist_optimal_column_width):

	Had to create a copy of GtkCList to work around problems where the drawing
	code was getting called directly behind our derived classes back. Rebecka 
	already set GtkCList up in the cut-n-paste directory. Move it to the Nautilus 
	namespace so that it doesn't collide with the original.
	Add more methods to allow completely overriding all drawing by a 
	derived class.
	Add not reached asserts in original GtkCList drawing code that was 
	messing us up.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-list-column-title.c:
	(get_column_label_at), (get_column_frame_at),
	(nautilus_list_column_title_paint), (in_column_rect),
	(in_resize_rect):
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_initialize_class), (activate_row),
	(nautilus_list_is_row_selected), (row_set_selected),
	(select_row_unselect_others), (nautilus_list_unselect_all),
	(nautilus_list_select_all), (nautilus_list_button_press),
	(nautilus_list_button_release),
	(nautilus_list_clear_keyboard_focus),
	(nautilus_list_set_keyboard_focus),
	(nautilus_list_keyboard_move_to), (nautilus_list_select_row),
	(keyboard_row_reveal_timeout_callback), (nautilus_list_reveal_row),
	(nautilus_clist_get_first_selected_row),
	(nautilus_clist_get_last_selected_row),
	(nautilus_list_keyboard_navigation_key_press),
	(nautilus_list_activate_selected_items), (nautilus_list_realize),
	(list_requisition_width), (nautilus_list_size_request),
	(new_column_width), (size_allocate_columns),
	(size_allocate_title_buttons), (nautilus_list_draw_focus),
	(get_cell_style), (get_cell_horizontal_start_position),
	(last_column_index), (get_cell_rectangle), (draw_cell), (draw_row),
	(nautilus_list_clear_from_row), (draw_rows), (draw_all),
	(nautilus_list_draw), (nautilus_list_expose),
	(nautilus_list_resize_column), (nautilus_list_mark_cell_as_link),
	(nautilus_list_set_cell_contents), (nautilus_list_set_pixbuf_list),
	(nautilus_list_track_new_column_width), (nautilus_list_motion),
	(nautilus_list_column_resize_track_start),
	(nautilus_list_column_resize_track),
	(nautilus_list_column_resize_track_end),
	(nautilus_list_real_scroll), (nautilus_list_clear),
	(nautilus_list_new_with_titles), (nautilus_list_row_at),
	(nautilus_list_get_selection), (nautilus_list_set_selection),
	(nautilus_list_each_selected_row),
	(nautilus_list_get_first_selected_row), (insert_row):
	* libnautilus-extensions/nautilus-list.h:
	* src/file-manager/fm-list-view.c: (column_clicked_callback),
	(fm_list_view_compare_rows), (compare_rows_by_name),
	(match_row_name), (context_click_selection_callback),
	(context_click_background_callback), (make_sorted_row_array),
	(select_row_common), (select_previous_next_common),
	(fm_list_nautilus_file_at), (row_get_data_binder),
	(fm_list_get_drag_pixmap), (create_list), (set_up_list),
	(add_to_list), (fm_list_view_clear),
	(fm_list_view_begin_adding_files), (fm_list_view_add_file),
	(remove_from_list), (fm_list_view_file_changed),
	(fm_list_view_done_adding_files), (real_is_empty),
	(fm_list_view_set_zoom_level), (fm_list_view_reset_row_height),
	(fm_list_view_select_all), (fm_list_view_sort_items),
	(install_row_images), (update_icons):
	
	Updated to match new renamings.

	* libnautilus-extensions/nautilus-list.h:
	* libnautilus-extensions/nautilus-list.c:
	(draw_rows), (draw_all):

	Make these a method, call them as such instead of calling them directly.
	Switch to the new NAUTILUS_CALL_VIRTUAL macro.

2000-10-03  Michael Engber  <engber@eazel.com>

	Sped up background drawing for the tiled non-aa case.
	* libnautilus-extensions/nautilus-background.c:
	(update_drawable_with_pixbuf), (draw_pixbuf_tiled),
	(nautilus_background_draw), (draw_pixbuf_tiled_aa):

2000-10-03  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3422 (Forward menu crashes after choosing from
	Back menu (and vice-versa))

	* src/nautilus-window-manage-views.c: 
	(handle_go_back), (handle_go_forward): Don't free the
	link whose data you're about to move to another list.
	This got broken in a recent leak-fixing pass.

2000-10-03  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3420: "Show Sidebar" can leave sidebar at zero width

	* libnautilus-extensions/nautilus-horizontal-splitter.h:
	New public functions nautilus_horizontal_splitter_expand,
	..._collapse, and ..._toggle_position.
	
	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(nautilus_horizontal_splitter_expand): Broken out of
	toggle_position, just does the expanding part (or nothing
	if already expanded).
	(nautilus_horizontal_splitter_collapse): Broken out of
	toggle_position, just does the collapsing part (or nothing
	if already collapsed).
	(nautilus_horizontal_splitter_toggle_position): renamed
	from toggle_splitter_position; now calls the broken-out
	functions.
	(nautilus_horizontal_splitter_button_release): Updated for
	name change.
	
	* src/nautilus-window.c: (nautilus_window_show_sidebar):
	Call nautilus_horizontal_splitter_expand when showing sidebar.

2000-10-03  Ramiro Estrugo  <ramiro@eazel.com>

	* README:
	Retired.

	* components/mozilla/README:
	Added Mozilla component information.
	
2000-10-03  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Make sure the throbber graphics make it into the rpm.
	
2000-10-03  Ramiro Estrugo  <ramiro@eazel.com>

	* README:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize):
	* components/services/install/lib/eazel-install-metadata.c:
	(check_gconf_init), (get_conf_string), (get_conf_int),
	(get_conf_boolean):
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_new):
	* components/services/nautilus-dependent-shared/Makefile.am:
	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	(check_gconf_init), (wipe_redirect_table), (add_redirect),
	(trilobite_redirect_lookup), (trilobite_get_services_address):
	* configure.in:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_get_sidebar_panel_view_identifiers),
	(register_proxy_preferences):
	* libnautilus-extensions/nautilus-preferences-private.h:
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_hash_node_add_by_user_level_callbacks),
	(preferences_hash_node_add_callback),
	(preferences_make_make_gconf_key),
	(preferences_gconf_by_user_level_callback),
	(preferences_gconf_callback), (preferences_initialize_if_needed),
	(nautilus_preferences_set_boolean),
	(nautilus_preferences_get_boolean),
	(nautilus_preferences_set_string_list),
	(nautilus_preferences_get_string_list),
	(nautilus_preferences_set_enum), (nautilus_preferences_get_enum),
	(nautilus_preferences_set), (nautilus_preferences_get),
	(nautilus_preferences_handle_error):
	* libnautilus-extensions/nautilus-user-level-manager.c:
	(user_level_manager_new), (user_level_set_default_if_needed),
	(gconf_user_level_changed_callback),
	(nautilus_user_level_manager_set_user_level),
	(user_level_manager_get_user_level_as_string),
	(nautilus_user_level_manager_set_default_value_if_needed),
	(nautilus_user_level_manager_compare_preference_between_user_levels
	):
	Update for GConf HEAD (0.9)
	
2000-10-03  Andy Hertzfeld  <andy@eazel.com>

	* components/music/mpg123_handler.c: (get_play_status),
	(song_finished), (start_playing_file), (stop_playing_file):
	made the music view use nautilus_sound for process management
	
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	get the album cover to display from the CUSTOM_ICON metadata,
	ehich is preferred; otherwise, draft one if there's exactly
	one image in the directory.  The metadata part isn't working yet.
	
2000-10-03  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages):
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_local_xml_package_list):
	* components/services/install/lib/eazel-install-xml-package-list.h:

	Text for the "finished" screen of the bootstrap installer can now
	be changed in the XML file.

	* nautilus-installer/src/callbacks.c: (begin_install):
	* nautilus-installer/src/installer.c: (gtk_label_new_with_font),
	(create_install_page), (create_pixmap_widget),
	(jump_to_error_page), (create_finish_page_good), (create_window),
	(eazel_install_progress), (eazel_download_progress),
	(get_detailed_errors_foreach), (get_detailed_errors),
	(download_failed), (eazel_install_preflight),
	(eazel_install_dep_check), (install_done), (check_if_next_okay),
	(toggle_button_toggled), (eazel_installer_add_category),
	(check_system), (eazel_installer_do_install),
	(eazel_installer_finalize), (eazel_install_get_depends),
	(eazel_installer_initialize):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c: (esd_open_sound),
	(esd_sample_getid), (esd_sample_play), (esd_sample_cache),
	(esd_sample_free), (esd_confirm_sample_cache), (esd_close),
	(afOpenFile), (afGetFrameCount), (afGetChannels), (afGetRate),
	(afGetSampleFormat), (afReadFrames), (afCloseFile):

	Remove last bits of unArloified screens in the bootstrap
	installer, including the error page.  Clean up download progress
	bars (and presumably the install ones too, though they haven't
	been tested yet) to follow the screenshots.  Tried to minimize
	flickering in the progress bars though that may be a lost cause.
	Stub out previous esd/esound requirements.
	
2000-10-02  Andy Hertzfeld  <andy@eazel.com>

	implemented sound process management using gconf to store the
	process ID of the currently playing sound, and switched sound
	previewing and part of the music view to use it.  This also fixed a
	process leaking bug, as each time a sound preview terminated, it
	was leaving a zombie process behind.

	* libnautilus-extensions/Makefile.am:
	added nautilus-sound to the Makefile
	* libnautilus-extensions/nautilus-sound.c,h:
	(kill_sound_if_necessary), (nautilus_sound_initialize),
	(nautilus_sound_kill_sound), (nautilus_sound_register_sound),
	(nautilus_sound_can_play_sound):
	set of routines to keep track of the current sound process
	* libnautilus-extensions/nautilus-global-preferences.h:
	added NAUTILUS_PREFERENCE_CURRENT_SOUND_STATE
			
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize):
	use nautilus_sound_can_play_sound instead of private routine
	
	* src/file-manager/fm-icon-view.c: (play_file), (preview_sound),
	(icon_container_preview_callback):
	use nautilus_sound for sound previewing
	
	* src/nautilus-application.c: (nautilus_application_startup):
	initialize nautilus_sound
	
2000-10-02  Darin Adler  <darin@eazel.com>

	Saw the Tinderbox broken, so I just had to fix it. Also, I
	couldn't compile, and check-THANKS.pl failed.

	* libnautilus-extensions/nautilus-string.c:
	(nautilus_istr_compare): Change back nautilus_istr_compare to its
	old meaning.
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(compare_strings_case_breaks_ties),
	(nautilus_g_str_list_sort_case_insensitive): Make the case
	insensitive sort use nautilus_strcmp_case_breaks_ties.

	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package_by_id):
	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_simple_query):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (eazel_install_prepare_package_system),
	(eazel_install_free_package_system),
	(eazel_install_add_to_rpm_set), (eazel_install_fetch_dependencies):
	* components/services/install/lib/eazel-install-rpm-signature.c:
	(trilobite_check_rpm_signature):
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_status_str_to_enum),
	(packagedata_modstatus_enum_to_str),
	(packagedata_modstatus_str_to_enum):
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(generate_xml_package_list):
	Fixed a bunch of uninitialized variable warnings. At least one was
	probably a real bug, so Eskil needs to review these changes.

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_update_from_uri): This didn't compile with the
	Red Hat 6.1 version of the rpm library. So I fixed it. I hope I
	did it right. Eskil needs to review this change.
	
	* THANKS: Victor's name needed another space between it and the
	email address.
	* check-THANKS.pl: Missing comma, also the misspelling of Josh's
	email address was not mapped to his new email address.

2000-10-02  Maciej Stachowiak  <mjs@eazel.com>

	Fixed bug 3223.

	* components/adapter/nautilus-adapter-file-load-strategy.c:
	(nautilus_adapter_file_load_strategy_new),
	(nautilus_adapter_file_load_strategy_load_location):
	* components/adapter/nautilus-adapter-file-load-strategy.h:
	* components/adapter/nautilus-adapter-load-strategy.c:
	(nautilus_adapter_load_strategy_initialize_class),
	(nautilus_adapter_load_strategy_get),
	(nautilus_adapter_load_strategy_stop_loading),
	(nautilus_adapter_load_strategy_report_load_underway),
	(nautilus_adapter_load_strategy_report_load_progress),
	(nautilus_adapter_load_strategy_report_load_complete),
	(nautilus_adapter_load_strategy_report_load_failed):
	* components/adapter/nautilus-adapter-load-strategy.h:
	* components/adapter/nautilus-adapter-progressive-load-strategy.c:
	(nautilus_adapter_progressive_load_strategy_destroy),
	(nautilus_adapter_progressive_load_strategy_new), (stop_loading),
	(nautilus_adapter_progressive_load_strategy_load_location),
	(nautilus_adapter_progressive_load_strategy_stop_loading):
	* components/adapter/nautilus-adapter-progressive-load-strategy.h:
	* components/adapter/nautilus-adapter-stream-load-strategy.c:
	(nautilus_adapter_stream_load_strategy_new),
	(nautilus_adapter_stream_load_strategy_load_location):
	* components/adapter/nautilus-adapter-stream-load-strategy.h:
	* components/adapter/nautilus-adapter.c:
	(nautilus_adapter_destroy), (nautilus_adapter_new),
	(nautilus_adapter_load_underway_callback),
	(nautilus_adapter_load_progress_callback),
	(nautilus_adapter_load_complete_callback),
	(nautilus_adapter_load_failed_callback): Changed the load
	strategies to no longer depend on the view; instead, they emit
	appropriate signals at different stages of progress, which the
	NautilusAdapter object hooks into (connecting with
	_connect_object_while_alive). Also, the progressive load strategy
	now checks for cancellation around various CORBA calls, so it
	should actually respect the stop button.
	
	* AUTHORS, THANKS, check-THANKS.pl: Updated Josh Barrow's email
	address.

2000-10-02  Ramiro Estrugo  <ramiro@eazel.com>

	* test/test-nautilus-label.c: (delete_event), (main):
	Make the test program exit when its window is closed, so it can be
	profiled properly.
	
2000-10-02  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_update_from_uri):

	Fixed the loading of files provided by the rpm.
	
	* components/services/install/command-line/eazel-alt-install-corba.
	c: (tree_helper), (md5_check_failed):
	Clarified the debug output.
	
	* components/services/install/lib/Makefile.am:
	Removed the evil CFLAGS assignment that remove -Werror
	
	* components/services/install/lib/eazel-install-corba-callback.c:
	(impl_md5_check_failed), (impl_uninstall_failed),
	(eazel_install_callback_unref):
	Fixed some warnings.
	
	* components/services/install/lib/eazel-install-private.h:
	Moved the funky glist_step into -private.h
	Removed some rpm vars.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_initialize),
	Removed some of the rpm variables in the private part.
	(eazel_install_emit_preflight_check_default),
	(eazel_install_emit_delete_files_default), (string_list_copy):
	Fixing warnings
	
	* components/services/install/lib/eazel-install-protocols.c:
	(gnome_vfs_fetch_remote_file), (eazel_install_fetch_package),
	(get_url_for_package):
	Fixing warnings. And made fetch_package be more generel, as
	opposed to having three different fetchers. So I've removed
	_which_provides and I need to remove _by_id.
	
	* components/services/install/lib/eazel-install-protocols.h:
	Removed fetch_which_provides.
	
	* components/services/install/lib/eazel-install-public.h:
	Moved the funky glist_step into -private.h
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_pre_install_packages), (install_new_packages),
	(eazel_install_download_packages),
	(eazel_install_check_for_file_conflicts),
	(eazel_install_do_install_packages), (hest),
	(eazel_install_add_to_rpm_set),
	(eazel_install_requirement_dep_compare),
	(eazel_install_package_version_compare),
	(eazel_install_check_if_related_package),
	(eazel_install_fetch_rpm_dependencies),
	(eazel_install_fetch_dependencies),
	(eazel_install_do_rpm_dependency_check),
	(eazel_install_do_dependency_check), (eazel_install_ensure_deps),
	(eazel_uninstall_upward_traverse):
	Fixed most of bug 3373, completely revamped the dep checking. Now
	theres a packagesystem dependent depchecker and a seperate filedep
	check afterwards. The packagesystem dependent returns a list of
	package pairs <a,b>, where a requires b. fetch_dependencies then
	traverses that list, downloads and makes the nessecary checks. The
	makes fetch_dependencies package independent, and also fixes bug
	1698.
	Also various debug message fixing etc.
	
	* components/services/install/lib/eazel-install-rpm-signature.c:
	(read_rpm_signature), (trilobite_check_rpm_signature):
	Warning fixing.
	
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_new), (packagedata_fill_from_rpm_header),
	(packagedata_fill_from_file), (packagedata_destroy),
	(packagerequirement_new):
	Added three new fields, eazel_id for the SoftCat id (as opposed to
	using the name field, the conflicts_checked boolean to prevent
	doing file conflict checking more then once and a boolean flag for
	tagging a package as being a source package.
	Also fixed 3344, the file list is now read correctly.
 	Created	the PacakgeRequirement structure, used for bug 3373.
	Fixed warnings.
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (parse_category), (osd_parse_implementation),
	(osd_parse_softpkg):
	Fixed the uses of xml_get_value since I changed the semantics to
	be a "const char*" function.
	
	* components/services/install/server/main.c: (main):
	Print a string when terminating.
	
	* components/services/summary/lib/eazel-summary-shared.c:
	(parse_a_service), (parse_a_update_news_item):
	Fixed the uses of xml_get_value since I changed the semantics to
	be a "const char*" function.
	
	* components/services/trilobite/libtrilobite/helixcode-utils.h:
	* components/services/trilobite/libtrilobite/helixcode-utils.c:
	Changed xml_get_value to return const char* (bug 2448).
	
2000-10-02  Darin Adler  <darin@eazel.com>

	More work on whittling the state machine down to size.
	
	* README: libunicode, libglade, and eog are no longer required.
	
	* components/history/nautilus-history-view.c:
	(history_title_changed):
	* libnautilus/nautilus-view-component.idl:
	* libnautilus/nautilus-view.c: (impl_Nautilus_View_title_changed),
	(nautilus_view_initialize_class):
	* libnautilus/nautilus-view.h:
	* src/nautilus-view-frame.c: (nautilus_view_frame_title_changed):
	* src/nautilus-view-frame.h:
	Added title parameter for the title_changed function.
	
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_report_load_complete): Got rid of extra
	emission of report_load_complete, which is handled by
	view_frame_loaded now.

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_initialize_class):
	* libnautilus-extensions/nautilus-entry.c:
	(nautilus_entry_initialize_class):
	* libnautilus-extensions/nautilus-icon-text-item.c:
	(iti_class_init):
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_initialize_class):
	* src/nautilus-bookmark-list.c:
	(nautilus_bookmark_list_initialize_class):
	* src/nautilus-navigation-bar.c:
	(nautilus_navigation_bar_initialize_class):
	* src/nautilus-search-bar-criterion.c:
	(nautilus_search_bar_criterion_initialize_class):
	* src/nautilus-sidebar.c: (nautilus_sidebar_initialize_class):
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_initialize_class):
	Use GTK_RUN_LAST instead of GTK_RUN_FIRST.
	
	* libnautilus-extensions/nautilus-directory-background.c:
	* libnautilus-extensions/nautilus-link-set.c:
	* libnautilus-extensions/nautilus-link.c:
	* src/file-manager/fm-icon-text-window.c:
	* src/file-manager/fm-icon-view.c:
	* src/file-manager/fm-properties-window.c:
	* src/nautilus-complex-search-bar.c:
	* src/nautilus-link-set-window.c:
	* src/nautilus-simple-search-bar.c:
	* src/nautilus-switchable-search-bar.c:
	Add includes needed now that the #include <gnome.h> was removed
	from nautilus-global-preferences.h.
	
	* libnautilus-extensions/nautilus-string.h:
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_strcmp_case_breaks_ties): Added function, like
	g_strcasecmp, but falls back on strcmp for strings that match
	case-insensitive-wise.
	(nautilus_istr_compare): Use nautilus_strcmp_case_breaks_ties
	instead of nautilus_strcasecmp.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_compare_by_name): Use
	nautilus_strcmp_case_breaks_ties instead of g_strcasecmp.
	(nautilus_file_compare_by_directory_name): Use
	nautilus_strcmp_case_breaks_ties instead of g_strcasecmp.
	(get_automatic_emblems_as_integer): Convert automatic emblems to
	integer form for simple sorting.
	(prepend_automatic_emblem_names): Separate out the code that puts
	on automatic emblem names, and make it put them first, before any
	keyword-based emblems.
	(nautilus_file_compare_by_emblems): Compare the automatic emblems
	first, using the integer form.
	(nautilus_file_compare_by_type): Use
	nautilus_strcmp_case_breaks_ties instead of nautilus_strcmp.
	(nautilus_file_compare_for_sort): Use
	nautilus_strcmp_case_breaks_ties instead of g_strcasecmp.
	(nautilus_file_compare_name): Use nautilus_strcmp_case_breaks_ties
	instead of g_strcasecmp.
	(nautilus_file_is_mime_type): Use nautilus_strcasecmp instead of
	nautilus_strcmp.
	(nautilus_file_get_emblem_names): Use
	prepend_automatic_emblem_names.
	(sort_keyword_list_and_remove_duplicates): Sort with
	nautilus_strcmp_case_breaks_ties instead of
	compare_emblem_names. Automatic emblem names are now dealt with
	elsewhere.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(compare_icons_by_name): Use nautilus_strcmp_case_breaks_ties
	instead of nautilus_strcasecmp.
	
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_g_str_list_sort): Use nautilus_str_compare.
	(nautilus_g_str_list_sort_case_insensitive): Use
	nautilus_istr_compare.
	
	* components/services/vault/command-line/main.c: (main):
	* test/test-nautilus-mime-actions-set.c: (str_to_action_type):
	Use g_strcasecmp, not strcasecmp, for portability.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	Removed _get_disabled_sidebar_panel_view_identifiers since the
	logic now removes any not in the enabled list instead.
	
	* libnautilus-extensions/nautilus-view-identifier.h:
	* libnautilus-extensions/nautilus-view-identifier.c:
	(nautilus_view_identifier_list_copy): New function.
	(nautilus_view_identifier_compare): Now sorts properly instead of
	returning 1 for any two identifiers that are !=.
	
	* nautilus-clean.sh: Removed unadorned gconfd now that it's
	ancient history and because it makes the script seem to fail all
	the time.
	
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window-manage-views.c:
	(compute_title): Renamed to a shorter name since it's a local function.
	(update_title): Renamed to a shorter name since it's a local
	function and made it do nothing if the title is already correct.
	(nautilus_window_update_internals): Simplified code by using the
	new cached title.
	(nautilus_window_has_really_changed): Removed sidebar panel logic
	that is no longer needed.
	(nautilus_window_free_load_info): Remove some unused fields.
	(nautilus_window_open_location): Removed unused parameter.
	(nautilus_window_open_location_in_new_window): Removed unused
	parameter.
	(load_content_view): Renamed to shorter name since it's a local
	function.
	(handle_view_failure), (cancel_location_change),
	(load_view_for_new_location), (set_view_location_and_selection):
	Broke out big pieces of code used by the state machine. Soon we
	won't have a state machine at all, but we'll still need functions
	like these.
	(nautilus_window_update_state): Removed a lot of the code and
	broke the remaining bits into the above functions.
	(nautilus_window_set_state_info): Removed sidebar management code
	and some now-unused state variables.
	(nautilus_window_stop_loading): Moved this function in here and
	renamed it so the whole state machine is in one place.
	(nautilus_window_set_content_view): Moved this function in here
	and renamed it so the whole state machine is in one place.
	(compare_view_identifier_with_iid),
	(nautilus_window_set_sidebar_panels): Wrote new code to set up the
	sidebar panels based on a list of view identifiers, based on the
	code that was used before when preferences change. Moved here so
	the whole state machine is in one place.
	
	* src/nautilus-window-toolbars.c: (toolbar_stop_callback): Call
	the new function nautilus_window_stop_loading.
	
	* src/nautilus-window-private.h:
	* src/nautilus-window.h:
	* src/nautilus-window.c: (nautilus_window_initialize_class):
	Removed the "content_view" argument.
	(nautilus_window_goto_uri): Removed the view frame parameter from
	the open_location call.
	(nautilus_window_constructed): Set up sidebars based on
	preferences when the window is created.
	(nautilus_window_set_arg): Removed the "content_view" argument.
	(nautilus_window_get_arg): Removed the "content_view" argument.
	(view_menu_switch_views_callback): Call the new function
	nautilus_window_set_content_view.
	(chose_component_callback), Call the new function
	nautilus_window_set_content_view.
	(nautilus_window_open_location_callback): Removed the view frame
	parameter from the open_location call.
	(nautilus_window_open_location_in_new_window_callback): Removed
	the view frame parameter from the open_location_in_new_window
	call.
	(nautilus_window_connect_view): Don't connect to
	report_load_progress any more. The view frame now handles this for
	us.
	(nautilus_window_set_content_view_widget): Renamed this to avoid
	confusion with the new nautilus_window_set_content_view which is
	used to change content views, given a new view identifier.
	(update_sidebar_panels_from_preferences): Renamed and changed to
	use the new nautilus_window_set_sidebar_panels call.

2000-10-02  Andy Hertzfeld  <andy@eazel.com>

	made some throbber changes for Arlo
	
	* src/nautilus-throbber.c: (bump_throbber_frame),
	(nautilus_throbber_start):
	reset the throbber frame each time it's restarted
	* src/nautilus-window-toolbars.c: (allocate_throbber):
	put the throbber into a gtk frame
	
2000-10-02  Michael Engber  <engber@eazel.com>

	More background drawing speedups - this time mainly for
	the non-aa case.
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_initialize_class),
	(nautilus_background_canvas_group_update),
	(nautilus_background_canvas_group_draw),
	(nautilus_background_canvas_group_render):
	* libnautilus-extensions/nautilus-background.c:
	(canvas_gradient_helper_v), (canvas_gradient_helper_h),
	(fill_canvas_from_gradient_buffer), (drawable_gradient_helper_v),
	(drawable_gradient_helper_h), (fill_drawable_from_gradient_buffer),
	(draw_pixbuf_tiled), (canvas_buf_from_pixbuf),
	(ensure_image_scaled), (nautilus_background_pre_draw),
	(nautilus_background_draw), (nautilus_background_draw_to_drawable),
	(draw_pixbuf_tiled_aa), (nautilus_background_draw_aa),
	(nautilus_background_draw_to_canvas),
	(nautilus_background_draw_flat_box):
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-buffered-widget.c:
	(create_background_pixbuf_from_ancestor):
	* libnautilus-extensions/nautilus-directory-background.c:
	(image_loading_done_callback), (saved_settings_changed_callback):
	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_rgb16_to_rgb), (nautilus_rgb8_to_rgb),
	(nautilus_gdk_color_to_rgb):
	* libnautilus-extensions/nautilus-gdk-extensions.h:
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_canvas_draw_pixbuf_helper),
	(nautilus_gnome_canvas_draw_pixbuf_helper_alpha),
	(nautilus_gnome_canvas_draw_pixbuf):
	* libnautilus-extensions/nautilus-gnome-extensions.h:

2000-10-02  Arlo Rose  <arlo@eazel.com>

	* icons/throbber/Makefile.am:
	* src/nautilus-throbber.c: (nautilus_throbber_start):
	Doubled the frame rate of the throbber.

	* icons/throbber/rest.png:
	* icons/throbber/001.png:
	* icons/throbber/002.png:
	* icons/throbber/003.png:
	* icons/throbber/004.png:
	* icons/throbber/005.png:
	* icons/throbber/006.png:
	* icons/throbber/007.png:
	* icons/throbber/008.png:
	* icons/throbber/009.png:
	* icons/throbber/010.png:
	* icons/throbber/011.png:
	* icons/throbber/012.png:
	* icons/throbber/013.png:
	* icons/throbber/014.png:
	* icons/throbber/015.png:
	* icons/throbber/016.png:
	* icons/throbber/017.png:
	* icons/throbber/018.png:
	* icons/throbber/019.png:
	* icons/throbber/020.png:
	* icons/throbber/021.png:
	* icons/throbber/022.png:
	* icons/throbber/023.png:
	* icons/throbber/024.png:
	* icons/throbber/025.png:
	* icons/throbber/026.png:
	* icons/throbber/027.png:
	* icons/throbber/028.png:
	Changed "rest", and states 1 - 10 and added states 11 - 28.

2000-10-02  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_stretch_handles), (draw_stretch_handles_aa):
	fixed bug 3283, bits of icons protrude outside the
	stretch box, by making drawing the box at the actual bounds
	instead of insetting three pixels like we were doing.
	
2000-10-02  John Sullivan  <sullivan@eazel.com>

	Fixed the worst part of bug 2068 (dragging icon causes
	immediate update of scroll area). Some related bugs
	remain, which I'll write up separately

	* libnautilus-extensions/nautilus-gnome-extensions.h:
	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_canvas_set_scroll_region_include_visible_area):
	New function, sets scroll region to given parameters,
	also forcing visible area to be included.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(update_scroll_region): New function, extracted from
	nautilus_icon_container_update_scroll_region, now takes
	boolean for whether to include the visible area.
	(nautilus_icon_container_update_scroll_region): Now calls
	update_scroll_region.
	(nautilus_icon_container_update_scroll_region_include_visible_area):
	New function, calls update_scroll_region.
	(size_allocate): Do no work if allocation hasn't changed. This
	didn't help with bug 2068 but is a worthwhile optimization.
	
	* libnautilus-extensions/nautilus-icon-private.h:
	Prototype for nautilus_icon_container_update_scroll_region_
	include_visible_area

	* libnautilus-extensions/nautilus-icon-dnd.c: (handle_local_move):
	call ..._include_visible_area when updating scroll region after
	drag & drop, instead of just ..._update_scroll_region, so no
	origin-shifting occurs.

2000-10-02  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (ftp_fetch_remote_file),
	(gnome_vfs_fetch_remote_file), (local_fetch_remote_file),
	(eazel_install_fetch_file):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (eazel_install_download_packages),
	(eazel_install_pre_install_packages), (uninstall_all_packages),
	(uninstall_packages), (eazel_install_do_transaction_save_report),
	(eazel_install_start_transaction),
	(eazel_install_prune_packages_helper),
	(eazel_install_free_rpm_system_close_db_foreach),
	(eazel_install_prepare_rpm_system),
	(eazel_install_prepare_package_system),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_rpm_dependencies),
	(eazel_install_ensure_deps):

	Convert a bunch of g_message calls to trilobite_debug.
	
2000-10-02  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	fixed bug 1280, music view needs alert when it can't iterate
	directory
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(nautilus_property_browser_remove_element), (add_new_color),
	(add_new_button_callback),
	(nautilus_property_browser_update_contents),
	(nautilus_property_browser_set_category):
	fixed bug 3217, better separation of text in property browser so
	it can be translated (ie, "remove a emblem" isn't good); fixed by
	making an enum for the current category and using it to case out
	for separate messages where appropriate.
	
2000-10-02  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-directory-view.c: (activate_callback):
	fixed the PR2 part of bug 2390, "command:" URI-activating security
	hole, by disallowing commands from remote locations. Downgrading
	the rest of the bug to usable, when we will implement Frank's other
	recommendations.
		
	* components/music/nautilus-music-view.c: (add_play_controls):
	tweaked the error message when we can't open the sound driver to
	better reflect reality.
	
2000-10-02  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-icon-dnd.c:
	(confirm_switch_to_manual_layout): Made the
	"switch to manual layout" dialog be a
	nautilus_yes_no_dialog instead of the uglier
	nautilus_simple_dialog.

2000-10-02  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(keyboard_icon_reveal_timeout_callback):
	* libnautilus-extensions/nautilus-list.c:
	(keyboard_row_reveal_timeout_callback): Turned a
	pair of FIXMEs into comments explaining why there's
	no need to fix.

2000-10-02  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-applicable-views.c:
	(get_nautilus_navigation_result_from_gnome_vfs_result):
	* src/nautilus-applicable-views.h:
	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback):
	Added NAUTILUS_NAVIGATION_RESULT_ACCESS_DENIED and gave it
	a unique error message.

2000-10-01  Andy Hertzfeld  <andy@eazel.com>

	changed the sound ability test to use esd_audio_open instead of
	opening the sound driver directly. We still need to test this
	on systems with no sound hardware.
	
	* components/music/nautilus-music-view.c: (can_play_sounds):
	* src/file-manager/fm-icon-view.c:
	(icon_container_preview_callback):

2000-10-01  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_stretch_handles_aa), (draw_dashed_rectangle_aa),
	(draw_focus_rect), (draw_or_measure_label_text_aa):
	fishished bug 3239, stretchable icon needs bounding box
	in aa-mode, by adapting the routine that was used to draw
	the focus rectangle.
	
2000-09-30  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_xfer_vfs_error):
	Fix a case where "NULL" would be displayed for a file name in file
	copy error alert.

	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_xfer_vfs_error):
	Rework the "destination not writable" alert to not offer 
	to try to continue. Add special alert for out of space on destination.
	Clean up some.
	
	* libnautilus-extensions/nautilus-file-operations.c: (handle_xfer_duplicate):
	Part 2 of fix to 1314 - Move to Trash faild if name conflict in trash.
	Handle move to Trash duplicates the same way as copy duplicates.
	
	* libnautilus-extensions/nautilus-file-operations.c: 
	(nautilus_file_operations_copy_move):
	Make in-place copy properly create a duplicate.
	Clean up.
	
	* src/nautilus-theme-selector.c: (theme_select_row_callback):
	Replace a gnome_vfs_xfer call with a gnome_vfs_xfer_delete_list. The
	sync version of gnome_vfs_xfer does not support deleting like the async
	one does.

2000-09-29  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/Makefile.am:
	* icons/arlo/i-regular.xml:
	* icons/arlo/i-regular.png:
	* icons/arlo/i-regular-aa.png:
	* icons/arlo/i-regular-72-aa.png:
	Added some more of the document icons, and deleted an old
	one that was named wrong.

2000-09-29  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_stretch_handles), (draw_stretch_handles_aa),
	(draw_dashed_rectangle_aa), (draw_focus_rect),
	(hit_test_stretch_handle):
	fixed a series of bugs involving the stretch handles (3084, 3281,
	others); I'm not quite finished yet with 3239
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize):
	changed the name of the window for Arlo
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	changed the "customize" command to "customization" for Arlo.
	
2000-09-29  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(cache_icon_unref): Fix case where the fallback icon is getting
	unref'd so that it properly removes the icon (need to NULL the
	prev and next for later reinsertion).

2000-09-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3352 (New Folder is not selected for renaming)
	Fixed bug 913 (Any changes to a file while renaming results
	in ending the name edit)

	* libnautilus-extensions/nautilus-icon-container.c:
	(get_icon_being_renamed): New convenience function; gets the
	icon being renamed (or NULL) and does some sanity checking.
	(key_press_event): Added a FIXME about direct use of nautilus_file.
	(nautilus_icon_container_update_icon): Don't end renaming mode
	on every update; end renaming mode only if the editable text
	of the icon being renamed changed.
	(end_renaming_mode): Use get_icon_being_renamed.

2000-09-29  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c: (cache_icon_ref),
	(cache_icon_unref): Add special cases to handle fallback icon.
	(destroy_fallback_icon): Use unref to free the fallback icon.
	(load_icon_for_scaling): Handle the fallback icon more like other
	icons.
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_text_layout_new): Simplify the logic a bit by using
	g_strndup.

2000-09-29  Mathieu Lacage  <mathieu@eazel.com>

	Fix bug 3074: local html files not displayed by mozilla.
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_vfs_read_callback), (mozilla_vfs_callback),
	(nautilus_mozilla_content_view_load_uri): add a 
	report_load_underway call where necessary.

2000-09-29  J Shane Culpepper  <pepper@eazel.com>

	* components/help/converters/gnome-info2html2/html.c:
	* components/music/mpg123_handler.h:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_open_uri), (trilobite_debug):
	* components/services/trilobite/libtrilobite/trilobite-core-utils.h
	:
	* components/tree/nautilus-tree-model.c:
	* libnautilus-extensions/nautilus-ctree.c:
	* libnautilus-extensions/nautilus-debug.c:
	* libnautilus-extensions/nautilus-directory-background.h:
	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	* libnautilus-extensions/nautilus-self-checks.c:
	* libnautilus-extensions/nautilus-user-level-manager.c:
	* src/nautilus-main.h:

	Checking lots of little fixes to make the new RedHat 7.0 compiler
	work.  Mostly newlines and including string.h and/or stdlib.h.
	Serveral functions like strcmp are not inlined anymore.
	the mozilla component and rpm related code still doesn't build but
	all dependencies work now too.

2000-09-29  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(proxy_changed), (register_proxy_preferences),
	(global_preferences_register): Fix the NULL-passing problem that
	was killing the Tinderbox.

2000-09-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3322 (context menus don't work in FTP site
	whose address wasn't typed with a trailing slash)

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_make_uri_canonical): New function, calls
	nautilus_make_uri_canonical and then strips off the trailing
	slash if any.
	(nautilus_directory_get_internal): Call this new slightly
	stricter function instead of nautilus_make_uri_canonical, to
	guarantee that we'll never get two NautilusDirectory objects
	for uris that match other than the trailing slash.
	(nautilus_self_check_directory): Add test cases for new function.
	
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_make_uri_canonical): Removed #if 0 code whose
	equivalent is now in the NautilusDirectory version,
	replaced with comment.

2000-09-29  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	fixed bug 2107, music view fails when encountering a broken image file,
	by testing for a NULL result from gdk_pixbuf_new_from_file and
	handling it accordingly.
	
2000-09-29  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-private.h:
	Removed unused "self_owned" field.
	
	* libnautilus/nautilus-view-component.idl:
	* libnautilus/nautilus-view.h:
	* libnautilus/nautilus-view.c:
	(nautilus_view_open_location_in_new_window):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_switch_location):
	* src/file-manager/fm-search-list-view.c:
	(reveal_selected_items_callback):
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame_open_location),
	(impl_Nautilus_ViewFrame_open_location_in_new_window),
	(impl_Nautilus_ViewFrame_report_selection_change):
	* src/nautilus-view-frame-private.h:
	* src/nautilus-view-frame.h:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class),
	(nautilus_view_frame_open_location_in_new_window):
	Removed report_location_change and
	open_in_new_window_and_select. The open_location_in_new_window
	call now always does a selection operation.
	
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window-manage-views.c: (update_view),
	(nautilus_window_load_sidebar_panel), (open_location),
	(nautilus_window_open_location),
	(nautilus_window_open_location_in_new_window),
	(nautilus_window_load_content_view),
	(nautilus_window_update_state),
	(nautilus_window_begin_location_change):
	* src/nautilus-window-private.h:
	* src/nautilus-window.h:
	* src/nautilus-window.c: (nautilus_window_switch_views),
	(nautilus_window_back_or_forward),
	(nautilus_window_open_location_in_new_window_callback),
	(nautilus_window_connect_view), (nautilus_window_reload):
	Made some simplifications that are possible because we don't
	have the old report_location_change to support.

2000-09-29  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-thumbnails.c:
	(check_for_thumbnails):
	finished fixing bug 3342, thumbnailing never gives up on bad images,
	by generating a unique "cant thumbnail" icon when thumbnailing fails.
	Right now it's using the generic image icon; I still need a better
	one from Susan.
	
2000-09-29  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 2602, Integrate gnome-vfs http proxy setting into Mozilla
	component.
	
	* components/mozilla/Makefile.am:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize):
	Check for proxy settings and init mozilla to use them.
	
	Fixed bug 2692, Need to let user specify a proxy for Mozilla
	component.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(use_proxy_changed), (proxy_changed),
	(global_preferences_register):

	When the Nautilus preferences mechanism supports system wide settings,
	we should revisit this code and remove the gconf system prefs retrieval
	code.

2000-09-29  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-thumbnails.c:
	(check_for_thumbnails):
	partially fixed bug 3342, thumbnailing never gives up on bad images.
	If thumbnailing failed, it would obsessively try over and over since
	it was calling nautilus_file_changed even if it failed.  Fixed by
	calling nautilus_file_changed only when it succeeds. It still will
	try once each time you enter the containing directory, and it has
	the wrong icon, both of which I'll fix soon.
	
2000-09-29  Rebecca Schulman  <rebecka@eazel.com>

	* libnautilus/nautilus-clipboard.c: (add_menu_items_callback),
	(nautilus_clipboard_set_up_editable_from_bonobo_control):
	* src/nautilus-window.c: (nautilus_window_constructed):
	Removed non-working clipboard code

2000-09-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3327 (intermittent tree view crash)

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal): Changed file_name_escaped
	to file_name in nautilus_str_is_empty call. 
	file_name_escaped had already been freed at this point
	(Doh!). Darin and I believe this to be the cause of
	3327 (and testers agree). Also freed file_name later, 
	which had been leaking.

	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_get_node): Removed extra debugging
	spam from here now that bug is fixed. We can bring it
	back later if necessary.
	

2000-09-29  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Add a --disable-mozilla-component autoconf flag so the component
	can be forced disabled even if mozilla development libraries are
	detected.
	
2000-09-29  Ramiro Estrugo  <ramiro@eazel.com>

	* Makefile.am:
	* configure.in:
	* HACKING:
	* tools/.cvsignore:
	* tools/Makefile.am:
	* tools/README:
	* tools/leak-checker/.cvsignore:
	* tools/leak-checker/Makefile.am:
	* tools/leak-checker/nautilus-leak-checker-stubs.h:
	* tools/leak-checker/nautilus-leak-checker.c:
	* tools/leak-checker/nautilus-leak-checker.h:
	* tools/leak-checker/nautilus-leak-hash-table.c:
	* tools/leak-checker/nautilus-leak-hash-table.h:
	* tools/leak-checker/nautilus-leak-symbol-lookup.c:
	* tools/leak-checker/nautilus-leak-symbol-lookup.h:
	* tools/profiler/Makefile:
	* tools/profiler/funcsummary.C:
	* tools/profiler/funcsummary.h:
	* tools/profiler/machine-profile.S:
	* tools/profiler/machine-profile.h:
	* tools/profiler/machine-profileP.h:
	* tools/profiler/nautilus-leak-symbol-lookup.C:
	* tools/profiler/nautilus-leak-symbol-lookup.h:
	* tools/profiler/profile.C:
	* tools/profiler/profile.h:
	* tools/profiler/profileP.h:
	* tools/profiler/profiledata.C:
	* tools/profiler/profiledata.h:
	* tools/profiler/symbol-table.h:
	* tools/profiler/test.cpp:
	* tools/profiler/totaltime.C:
	* tools/profiler/totaltime.h:
	Moved the leak-checker and profiler tools to their own gnome cvs
	module.
	
2000-09-29  Robey Pointer  <robey@eazel.com>

	* nautilus-installer/src/bootstrap-background.xpm:

	Add nice new Arlo background to the bootstrap installer.

2000-09-29  Ramiro Estrugo  <ramiro@eazel.com>

	* configure.in:
	Switch the order of assignment of warnings to CFLAGS so that they
	can be overridden by the user at configure time.
	
2000-09-29  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-icon-view.c:
	(icon_container_preview_callback):
	finished off bug 3271, by disabling sound previewing if we can't
	open the sound device.
	
2000-09-29  Andy Hertzfeld  <andy@eazel.com>

	* components/music/nautilus-music-view.c: (play_current_file),
	(add_play_controls):
	fixed bug 3271, music view doesn't check if sound hardware is
	present, by seeing if we can successfully open the sound device.
	Still need to fix sound previewing similarily
	
2000-09-28  Andy Hertzfeld  <andy@eazel.com>

	* icons/chit_frame.png:
	I accidentally checked in a flawed property frame earlier; this
	is the right one.
	
	* components/music/nautilus-music-view.c: (can_play_sounds),
	(nautilus_music_view_initialize), (nautilus_music_view_destroy),
	(music_view_set_selected_song_title):
	added test for whether sound output is present, plus other clean-ups

2000-09-28  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_get_node, dump_one_file_node): Further
	increased the debugging output.

2000-09-28  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/Makefile.am:
	* icons/arlo/i-regular.xml:
        * icons/arlo/i-regular-96-aa.png:
        * icons/arlo/i-regular-192-aa.png:
	Added a few regular file icons in the uber-large sizes.
	Not sure if these are final yet.

2000-09-28  Josh Barrow  <josh@eazel.com>

	* docs/smoketests.html:
	Changed my e-mail address

2000-09-28  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/nautilus-tree-model.c
	(nautilus_tree_model_get_node, dump_one_file_node): Enhance
	debugging output to include hex addresses of files when we hit the
	mysterious intermittent failure.

2000-09-28  John Sullivan  <sullivan@eazel.com>

	Fixed part of bug 3322 (context menus don't work correctly
	in icon view when using FTP). Now there is no degenerate menu
	displayed, but the real menu still doesn't appear due to the
	remaining selection bug.

	Also did some more work to make some sidebar view failures 
	less deadly to Nautilus.

	* src/file-manager/fm-directory-view.c:
	(create_selection_context_menu): Complain and return NULL if
	no files are selected.
	(fm_directory_view_pop_up_selection_context_menu):
	Don't put up a menu at all if create_selection_context_menu
	returned NULL.

	* src/nautilus-window-private.h: 
	Added field details->dead_view_name.
	* src/nautilus-view-frame.c: (nautilus_view_frame_get_label):
	return-if-fail if view frame has already been destroyed but
	not finalized (so details is NULL). It used to segfault. I
	also changed the one caller I knew about that sometimes called
	this function in this situation.
	
	* src/nautilus-window-manage-views.c:
	(nautilus_window_set_state_info): in VIEW_ERROR case, store the
	name of the (first) failing view frame here, where it can still
	be reliably read.
	(nautilus_window_update_state): Removed redundant and misleading
	window->error_views != NULL check; changed if/else logic to
	not check whether new_content_view is also content_view, since 
	when this check failed the code would assume that new_content_view
	was a sidebar panel (I don't know of anyone ever running into
	this case though); free and NULL out dead_view_name after
	processing first error_view.
	(report_sidebar_panel_failure_to_user): Use previously-stored
	dead_view_name rather than trusting the view frame to still
	have useful information in this case, since it doesn't in
	the many cases where it self-destructed when running into
	a problem.
	(nautilus_window_end_location_change_callback): Tweaked an
	error message.
	
	* src/nautilus-window.c: (nautilus_window_destroy):
	free details->dead_view_name.

2000-09-28  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-properties-window.c:
	(get_property_names_from_uri):
	fixed bug 3332, erase emblem was mistakenly included in
	properties window.
	
	* src/nautilus-property-browser.c: (make_color_drag_image),
	(element_clicked_callback), (make_properties_from_xml_node):
	made the colors in the property browser consistent with the
	image backgrounds
	
	* icons/backgrounds.png:
	* icons/colors.png:
	* icons/emblems.png:
	* icons/chit_frame.png:
	tweaked images from Susan for the property browser
	
	* icons/i-music-aa.png:
	Susan fixed Eli's time signature bug in the music icon
	
2000-09-28  Mathieu Lacage  <mathieu@eazel.com>

	Fix bug 2688. back and forward buttons do not work 
	with mozilla.
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_load_uri),
	(mozilla_location_changed_callback), 
	(mozilla_open_uri_callback): add a flag to remember
	when nautilus calls the component and another to remember 
	when the user clicks on a button.

2000-09-28  Darin Adler  <darin@eazel.com>

	Fixed renaming bug with names with unusual characters and problems
	caused by the clipboard code, and started work on metadata copying
	and removing implementation and cleanup.

	* libnautilus-extensions/nautilus-file-operations.c:
	(nautilus_file_operations_new_folder): Use
	gnome_vfs_uri_append_file_name instead of
	gnome_vfs_uri_append_path, since we are appending a file name, not
	a path in URI format.
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory): Use
	gnome_vfs_uri_append_file_name instead of
	gnome_vfs_uri_append_path, since we are appending a file name, not
	a path in URI format.
	* libnautilus-extensions/nautilus-file.c:
	(rename_update_info_and_metafile): Use metadata call by new name.
	(nautilus_file_rename): Use gnome_vfs_uri_append_file_name instead
	of gnome_vfs_uri_append_path, since we are appending a file name,
	not a path in URI format. This should fix the renaming problems we
	were seeing.
	
	* libnautilus/nautilus-clipboard.h:
	* libnautilus/nautilus-clipboard.c:
	(set_paste_sensitive_if_clipboard_contains_data),
	(set_clipboard_menu_items_sensitive),
	(set_clipboard_menu_items_insensitive): Removed unused window
	parameter.
	(menu_activated_callback): Changed this function to find the
	window using gtk_widget_toplevel instead of from a global. This
	works in all the cases where the old code would have worked, and
	doesn't have the problem with multiple windows.
	(menu_deactivated_callback): Removed unused window parameter.
	(nautilus_clipboard_set_up_editable_from_bonobo_control): Added
	check for NULL menubar. This shows a design problem too, but at
	least it 
	(nautilus_clipboard_set_up_host_ui_handler): Got rid of global.
	* src/nautilus-window.c: (nautilus_window_constructed): Use
	clipboard call by new name.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_schedule_metadata_copy),
	(nautilus_directory_schedule_metadata_move),
	(nautilus_directory_schedule_metadata_remove),
	(nautilus_directory_schedule_position_setting): Tighten up these
	routines a bit and have them do as much work as possible through
	functions in nautilus-directory-metafile.[ch]. This is preparation
	for doing full implementation of the actual metadata copying.
	
	* libnautilus-extensions/nautilus-directory-metafile.h:
	* libnautilus-extensions/nautilus-directory-metafile.c:
	(nautilus_directory_rename_file_metadata),
	(copy_file_metadata_for_key),
	(nautilus_directory_copy_file_metadata),
	(nautilus_directory_remove_file_metadata): New functions to doteh
	metadata copying, and a new name for an old function.  Now I have
	to actually make them work better.
	
	* nautilus.spec.in: Do a "make check" instead of a "make" when
	building RPMs.

2000-09-28  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-md5.c:
	* components/services/install/lib/eazel-install-metadata.c:
	(done_with_gconf):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_delete_downloads), (eazel_install_install_packages),
	(eazel_install_emit_preflight_check),
	(eazel_install_emit_delete_files), (string_list_copy):
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package), (get_url_for_package),
	(get_search_url_for_package), (flatten_tree_func),
	(eazel_install_fetch_definitive_package_info),
	(eazel_install_fetch_definitive_category_info):
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_simple_rpm_query):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_flatten_categories), (install_new_packages),
	(eazel_install_download_packages),
	(eazel_install_check_for_file_conflicts),
	(eazel_install_pre_install_packages),
	(eazel_install_do_install_packages), (revert_transaction),
	(eazel_install_do_transaction_save_report_helper),
	(eazel_install_do_transaction_save_report),
	(eazel_install_monitor_subcommand_pipe),
	(eazel_install_start_transaction), (eazel_install_free_rpm_system),
	(eazel_install_add_to_rpm_set), (dump_one_package),
	(dump_packages), (print_package_list), (eazel_install_ensure_deps),
	(eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse):
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_destroy_foreach), (packagedata_new),
	(packagedata_fill_from_rpm_header), (packagedata_destroy),
	(packagedata_modstatus_enum_to_str):
	* components/services/install/lib/eazel-install-types.h:

	Make libeazelinstall compile with -Wall -Werror.  Separate the
	concept of a package's remote url from its local filename (was
	causing bugs).  Some initial attempts to do a one-pass
	download/install phase (not finished, put off till post-PR2).  Add
	dependencies to category lists.

	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (parse_category), (parse_shared),
	(parse_memory_xml_package_list), (parse_memory_transaction_file),
	(parse_local_xml_package_list), (osd_parse_dependency),
	(osd_parse_implementation), (osd_parse_shared),
	(parse_osd_xml_from_memory):
	* components/services/install/lib/eazel-install-xml-package-list.h:

	Wrap package-list.xml and package-list-depends.xml into a single
	file and add support for dependency lists and splash text for the
	bootstrap installer.
	
	* nautilus-installer/src/callbacks.c: (begin_install),
	(prep_finish):
	* nautilus-installer/src/installer.c: (create_pixmap),
	(gtk_label_new_with_font), (add_padding_to_box), (set_white_stuff),
	(create_what_to_do_page), (create_install_page),
	(create_finish_page_good), (create_finish_page_evil),
	(create_window), (eazel_install_progress),
	(eazel_download_progress), (get_detailed_errors), (install_failed),
	(download_failed), (eazel_install_preflight),
	(eazel_install_dep_check), (check_if_next_okay),
	(toggle_button_toggled), (eazel_installer_add_category),
	(create_info_druid_page), (check_system),
	(eazel_install_get_depends), (eazel_installer_initialize):
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c: (main), (oaf_init), (bonobo_init):
	* nautilus-installer/src/proxy.c:
	* nautilus-installer/src/support.c:

	Remove warnings from the bootstrap installer.  Arlo-ify the
	bootstrap installer (over 50% done).
	
2000-09-28  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(match_best_name), (compare_icons_by_name),
	(nautilus_icon_container_start_renaming_selected_item):
	Fixed a segfault I ran into by accidentally typing
	into a Nautilus window before it was fully displayed.
	Some icon-container code was assuming that 
	nautilus_icon_canvas_item_get_editable_text never
	returned NULL, but right after the directory is loaded
	this assumption is valid. Fixed all similar offenders.

2000-09-28  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(generate_update_news_entry_row):

	Setup all buttons on the page to be one size.  Current max size per
	button is about a 22 character label.

2000-09-28  Rebecca Schulman  <rebecka@eazel.com>
        Fixed bug 3231, which crashed nautilus when file dialogs
	were closed without choosing an option.  Added a parameter
	to nautilus_simple_dialog to allow the close button to be ignored
	
	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_xfer_vfs_error), (handle_xfer_overwrite),
	(nautilus_file_operations_copy_move),
	(nautilus_file_operations_move_to_trash):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(confirm_switch_to_manual_layout):
	* src/nautilus-location-bar.c: (drag_data_received_callback):
	Switched dialogs which really should receive a response from
	the user to use dialog boxes which ignore the close box

	* libnautilus-extensions/nautilus-stock-dialogs.c:
	* libnautilus-extensions/nautilus-stock-dialogs.h:
	(delete_event_callback), (nautilus_simple_dialog):
	Made the dialog ignore delete events.

2000-09-28  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: Fixing url locations

2000-09-28  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in,po/ca.po: Added Catalan language file

2000-09-28  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-view-frame.c: (check_if_view_is_gone):
	Removed an unnecessary line that was setting a field
	of a struct that was just set to NULL. This crashed for
	terral (IRC name).

2000-09-28  Josh Barrow  <linuxfan@ionet.net>

	* docs/smoketests.html:
	A few minor changes to reflect the current behavior of Nautilus.

2000-09-28  Darin Adler  <darin@eazel.com>

	* src/nautilus-theme-selector.c: (populate_list_with_themes):
	Fix uninitialized variable.

2000-09-28  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-undo-context.c:
	(nautilus_undo_context_new): Bonobo objects own themselves, so we
	should not do a ref/sink on them.
	* libnautilus-extensions/nautilus-undo-manager.c:
	(nautilus_undo_manager_new): Bonobo objects own themselves, so we
	should not do a ref/sink on them.
	* src/nautilus-application.c: (nautilus_application_initialize):
	Move global preferences initialization to main with other
	initialize calls.
	(nautilus_application_new): Bonobo objects own themselves, so we
	should not do a ref/sink on them.
	(nautilus_application_destroy): Unref the undo manager to fix a
	leak.
	* src/nautilus-main.c: (main): Move global preferences
	initialization to main with other initialize calls.
	
	* nautilus.spec.in: Added "-k" to build commands so we get more
	information about what failed when failing to build via
	RPM. Failures are still failures, we just see more of what's
	failing.
	
	* components/help/converters/gnome-db2html2/sect-elements.c:
	(sect_entry_end_element):
	* components/help/converters/gnome-db2html2/toc-elements.c:
	(toc_title_start_element):
	* components/image-viewer/nautilus-image-view.c:
	(init_server_factory):
	* components/rpmview/nautilus-rpm-view-install.c:
	(nautilus_rpm_view_install_package_callback),
	(nautilus_rpm_view_uninstall_package_callback):
	* components/services/install/command-line/eazel-alt-install-corba.
	c: (main):
	* components/services/install/command-line/eazel-alt-install.c:
	(main):
	* components/services/install/command-line/eazel-install.c:
	(generate_new_package_list), (fetch_remote_package_list), (main):
	* components/services/install/command-line/eazel-package-query.c:
	(main):
	* components/services/install/command-line/eazel-revert.c: (main):
	* components/services/install/command-line/eazel-uninstall.c:
	(main):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_fetch_remote_package_list):
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_file), (eazel_install_fetch_package):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (eazel_install_download_packages),
	(uninstall_packages), (eazel_install_start_transaction),
	(eazel_install_add_to_rpm_set),
	(eazel_install_check_if_related_package):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_install_preflight_check):
	* components/services/install/nautilus-view/nautilus-service-instal
	l.c: (nautilus_service_install_view_install_package_callback),
	(nautilus_service_install_view_uninstall_package_callback):
	* components/services/install/server/main.c: (main):
	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_startup_form), (generate_summary_form),
	(generate_service_entry_row):
	* components/services/time/command-line/main.c: (main):
	* components/services/time/service/main.c: (main):
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_init):
	* components/services/trilobite/libtrilobite/trilobite-root-client.
	c: (trilobite_root_client_initialize):
	* components/services/trilobite/libtrilobite/trilobite-service-pass
	wordquery.c: (trilobite_passwordquery_initialize):
	* components/services/trilobite/libtrilobite/trilobite-service.c:
	(trilobite_service_initialize):
	* components/services/trilobite/sample/command-line/main.c: (main):
	* components/services/trilobite/sample/service/main.c: (main):
	* components/shell/shell.c:
	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_monitor_add),
	(nautilus_tree_model_root_node_file_monitor):
	* components/tree/nautilus-tree-view.c:
	* libnautilus-extensions/nautilus-directory-async.c:
	(get_filter_options_for_directory_count):
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_uri_is_local_scheme), (nautilus_handle_trailing_slashes):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(drag_data_received_callback):
	* libnautilus-extensions/nautilus-icon-text-item.c: (iti_event):
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_ensure_drag_data), (nautilus_list_get_drop_action),
	(nautilus_list_drag_data_received):
	* libnautilus-extensions/nautilus-scalable-font.c:
	(initialize_global_stuff_if_needed):
	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	(editable_register_edit_undo):
	* src/file-manager/fm-icon-view.c:
	(context_menu_layout_radio_item_callback):
	* src/file-manager/nautilus-indexing-info.c:
	(update_progress_display):
	* src/nautilus-switchable-search-bar.c:
	(nautilus_switchable_search_bar_set_mode):
	Got rid of all uses of == TRUE and != TRUE, since they are dangerous.
	Got rid of all uses of == FALSE and != FALSE, since they lead to use
	of == TRUE and != TRUE.

2000-09-28  John Sullivan  <sullivan@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (who_is_logged_in): Fixed (valid) unininitialized variable
	warning that Pretender ran into.

2000-09-27  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/nautilus-tree-view.c
	(nautilus_tree_view_initialize): Set the tree widget to
	GTK_SELECTION_SINGLE instead of GTK_SELECTION_BROWSE, fixing bug
	3235.

2000-09-28  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_for_file):
	mostly fixed bug 3158, unacceptable memory usage when thumbnailing,
	by implementing an upper bound on the file size, above which it
	won't try to thumbnail - it's currently set to 1 megabyte, but it
	needs to be tweaked. We still need to give the "too big to thumbnail"
	files a distinctive icon.

2000-09-27  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-theme-selector.c: (add_theme_to_icons),
	(exit_remove_mode), (theme_select_row_callback),
	(populate_list_with_themes):
	finished bug 3303, can't remove user-added themes, by finishing the
	theme removal implementation.
	
2000-09-27  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (am_i_logged_in), (who_is_logged_in):
	fixed who_is_logged_in to return correct username.

2000-09-27  Ramiro Estrugo  <ramiro@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (am_i_logged_in):
	Fixed uninitialized variable.
	
2000-09-27  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (generate_service_entry_row),
	(who_is_logged_in):

	Fixing the button enabled / disabled problem in services table.
	Fixing the trashed username when login succeeds.

2000-09-27  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/Makefile.am:
	* icons/arlo/i-directory-192-aa.png:
	* icons/arlo/i-directory-96-aa.png:
	* icons/arlo/i-directory-72-aa.png:
	Added a few more sizes to my folder icons.
	Document icons coming soon!

2000-09-27  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1010 (delay between when an item gets selected
	and revealed).

	The delay was there for two reasons, one of which was a mistaken
	accident of history. Reduced the delay from 300ms to 10ms in icon
	view, and to 0ms in list view. Couldn't reduce the icon view delay
	to 0ms due to problems with the scroll/redraw being unable to keep
	up with holding the arrow key down. The current settings seem to
	work well in both views, though it would be worthwhile to verify
	this on a maximally-slow target machine.

	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-list.c:

2000-09-27  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize), (add_theme_to_icons),
	(add_new_theme_button_callback), (remove_button_callback),
	(set_help_label), (exit_remove_mode), (theme_select_row_callback),
	(populate_list_with_themes):
	
	implemented removing user-installed themes, plus some other clean-ups.
	This isn't quite finished yet.
	
2000-09-27  Ramiro Estrugo  <ramiro@eazel.com>

	* nautilus.spec.in:
	Remove extraneous space after the \ continuation character
	because the rpm demons barf otherwise.
	
2000-09-27  Rebecca Schulman  <rebecka@eazel.com>
	Fixed bug 2522, to display an index progress dialog,
	corresponding to Arlo's screenshots.

	* src/file-manager/nautilus-indexing-info.c:
	(get_text_for_progress_label), (update_progress_display),
	(update_file_index_callback), (get_file_index_time),
	(show_index_progress_bar), (nautilus_indexing_info_show_dialog):

2000-09-27  J Shane Culpepper  <pepper@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:

	Adding custom uris to be parsed by mozilla.

2000-09-27  John Sullivan  <sullivan@eazel.com>

	Debugging code to try to catch the evil 
	nautilus_tree_view_find_parent_node bug.

	* components/tree/nautilus-tree-model.h:
	* components/tree/nautilus-tree-model.c: 
	(dump_one_file_node),
	(nautilus_tree_model_dump_files): New debugging functions
	that display what files are known to the tree view.
	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_find_parent_node): Added a bunch of
	debugging output in the intermittent case where this
	function can't find a node.

2000-09-27  Maciej Stachowiak  <mjs@eazel.com>

	* libnautilus-extensions/nautilus-file-attributes.h: Rename
	NAUTILUS_FILE_ATTRIBUTE_FAST_MIME_TYPE to
	NAUTILUS_FILE_ATTRIBUTE_MIME_TYPE; add
	NAUTILUS_FILE_ATTRIBUTE_SLOW_MIME_TYPE, for now just a synonym for
	NAUTILUS_FILE_ATTRIBUTE_MIME_TYPE.
	* libnautilus-extensions/nautilus-directory-async.c:
	(set_up_request_by_file_attributes): Handle the new file
	attributes.
	* libnautilus-extensions/nautilus-directory.h: move
	nautilus_directory_wait_until_ready call to
	nautilus-wait-until-ready.h

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_self_check_directory): Include
	nautilus-wait-until-ready.h, use new attributes.

	* libnautilus-extensions/nautilus-wait-until-ready.h: New header
	for the deprecated wait_until_ready calls.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_wait_until_ready): file equivalent of
	nautilus_directory_wait_until_ready; temporary to help me
	refactor.
	(file_wait_until_ready_callback): helper function.

	* libnautilus-extensions/Makefile.am: Add
	nautilus-wait-until-ready.h

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_required_file_attributes): Use new
	attribute for mime type.

	* libnautilus-extensions/nautilus-mime-actions.h,
	libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_action_type_for_uri),
	(nautilus_mime_get_default_action_for_uri),
	(nautilus_mime_get_default_application_for_uri_internal),
	(nautilus_mime_get_default_application_for_uri),
	(nautilus_mime_is_default_application_for_uri_user_chosen),
	(nautilus_mime_get_default_component_for_uri_internal),
	(nautilus_mime_get_default_component_for_uri),
	(nautilus_mime_is_default_component_for_uri_user_chosen),
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_get_short_list_components_for_uri),
	(nautilus_mime_get_short_list_methods_for_uri),
	(nautilus_mime_get_all_applications_for_uri),
	(nautilus_mime_has_any_applications_for_uri),
	(nautilus_mime_get_all_components_for_uri),
	(nautilus_mime_has_any_components_for_uri),
	(nautilus_mime_set_default_action_type_for_uri),
	(nautilus_mime_set_default_application_for_uri),
	(nautilus_mime_set_default_component_for_uri),
	(nautilus_mime_set_short_list_applications_for_uri),
	(nautilus_mime_set_short_list_components_for_uri),
	(nautilus_mime_add_application_to_short_list_for_uri),
	(nautilus_mime_remove_application_from_short_list_for_uri),
	(nautilus_mime_add_component_to_short_list_for_uri),
	(nautilus_mime_remove_component_from_short_list_for_uri),
	(nautilus_mime_extend_all_applications_for_uri),
	(nautilus_mime_remove_from_all_applications_for_uri): All these
	functions now take a NautilusDirectory and a NautilusFile, rather
	than a URI.
	
	(gnome_vfs_mime_application_has_id),
	(gnome_vfs_mime_id_matches_application),
	(gnome_vfs_mime_application_has_id_not_in_list),
	(string_not_in_list), (extract_prefix_add_suffix),
	(make_oaf_query_with_known_mime_type),
	(make_oaf_query_with_uri_scheme_only), (free_key),
	(server_matches_content_requirements),
	(nautilus_do_component_query), (str_list_difference),
	(strv_concat): Reformatted.

	(get_mime_type_from_file): Changed from get_mime_type_from_uri;
	uses nautilus_file_wait_until_ready instead of synchronous I/O.
	
	* libnautilus-extensions/nautilus-program-chooser.c:
	(repopulate_program_list), (is_application_default_for_uri),
	(is_component_default_for_uri),
	(is_component_in_short_list_for_uri),
	(is_application_in_short_list_for_uri),
	(program_file_pair_is_default_for_file),
	(add_to_short_list_for_file), (remove_from_short_list_for_file),
	(remove_default_for_item), (set_default_for_item):
	* libnautilus-extensions/nautilus-program-choosing.c:
	(any_programs_available_for_file):
	* libnautilus-extensions/nautilus-wait-until-ready.h:
	* src/file-manager/fm-directory-view.c: (switch_location_and_view),
	(create_open_with_gtk_menu), (reset_bonobo_open_with_menu),
	(activate_callback):
	* src/nautilus-applicable-views.c: (got_file_info_callback),
	(nautilus_navigation_info_new), (nautilus_navigation_info_free):
	* src/nautilus-applicable-views.h:
	* src/nautilus-sidebar.c: (nautilus_sidebar_update_buttons):
	* src/nautilus-theme-selector.c: (add_theme_to_icons):
	* src/nautilus-window.c: (nautilus_window_switch_views),
	(nautilus_window_load_content_view_menu):
	* test/test-nautilus-mime-actions-set.c: (main):
	* test/test-nautilus-mime-actions.c: (main): Deal with above API changes.

2000-09-27  Ramiro Estrugo  <ramiro@eazel.com>

	* librsvg/Makefile.am:
	Dont install the test programs.

	* nautilus.spec.in:
	Make sure the fallback font is part of the package.
	Dont include the rsvg test programs.
	
2000-09-27  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/Makefile.am:
	* configure.in:
	Add support for using a debuggable version of the beast.
	
2000-09-27  Rebecca Schulman  <rebecka@eazel.com>

	Fixed bug 1275, that sidebar panels don't have defaults 
	per user level.

	* libnautilus-extensions/nautilus-global-preferences.c:
	(get_default_sidebar_iids_for_user_level),
	(sidebar_panel_iid_is_in_default_list),
	(global_preferences_register_sidebar_panels),
	(global_preferences_is_sidebar_panel_enabled):
	Added default sets (hard coded, as before) for each
	user level, and used them to get the defaults, instead of
	 the single set for all levels
	
	* libnautilus/nautilus-clipboard.c:
	(set_paste_sensitive_if_clipboard_contains_data):
	simplified check whether paste should be available.
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Fixed a typo in the clipboard menu text.
	

2000-09-27  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3294 ("Find them" button remains insensitive when search
	type is changed to non-text one)

	* src/nautilus-complex-search-bar.c:
	(search_bar_criterion_type_changed_callback):
	Added a missing "update_dynamic_button_states". This used to
	work, so I think it probably got accidentally deleted somewhere
	along the way.

2000-09-26  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_or_measure_label_text_aa):
	tweaked the selection highlighting to Arlo's taste.
	
2000-09-26  Darin Adler  <darin@eazel.com>

	* src/nautilus-window-manage-views.c:
	(nautilus_window_update_title): Added a missing g_free.

2000-09-26  Arlo Rose  <arlo@eazel.com>

	* data/browser.xml:
	Fixed dumb typo.

2000-09-26  Darin Adler  <darin@eazel.com>

	Fix more storage leaks.	
	
	* components/tree/nautilus-tree-node.c: (nautilus_tree_node_new):
	Get rid of extra allocation of node->details that caused a storage
	leak.
	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_insert_model_node): Add a g_free.
	(free_uri_to_node_map_entry), (free_uri_to_hack_node_map_entry),
	(nautilus_tree_view_destroy): Free the keys of the hash table.
	(tree_expand_callback), (tree_collapse_callback),
	(tree_select_row_callback): Added missing g_free.
	(nautilus_tree_view_item_at): Removed an excess g_strdup.
	* libnautilus-extensions/nautilus-preference.c:
	(preference_initialize_if_needed): Destroy the global preference
	table on exit.
	(preference_hash_node_free_func): Free the hash key as well as
	the node value.
	(preference_register): Use strdup on keys as then are entered
	into the hash table.
	(preference_hash_node_lookup_with_registration): Remove the strdup
	in here since preference_register now handles it.
	(destroy_global_preference_table): Renamed and simplified the
	existing unused function.
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_destroy), (free_volume): Free the volume
	itself, not just the fields within it.
	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_get_location): Added a missing
	g_free.
	* src/nautilus-sidebar-tabs.c: (tab_item_destroy_cover),
	(nautilus_sidebar_tabs_destroy): Free the tab items too, not just
	the list they are stored in.
	* src/nautilus-switchable-search-bar.c:
	(search_bar_preference_changed_callback): Added a missing g_free.
	
	* libnautilus-extensions/nautilus-theme.c: (free_default_theme),
	(nautilus_theme_get_theme_data): Add code to free the default
	theme on program exit to make leak detection easier.
	* src/nautilus-main.c: (main): Clean up the memory used by the XML
	parser on exit to make leak detection easier.
	
	* libnautilus/Makefile.am:
	* libnautilus/nautilus-bonobo-workarounds.c:
	* libnautilus/nautilus-bonobo-workarounds.h:
	Added version of bonobo_object_get_epv that shares a single global
	instance instead of allocating a new one each time it's called.
	
	* components/adapter/nautilus-adapter-factory-server.c:
	(impl_Nautilus_ComponentAdapterFactory__create):
	* libnautilus-extensions/bonobo-stream-vfs.c:
	(bonobo_stream_vfs_class_init):
	* libnautilus-extensions/nautilus-undo-context.c:
	(impl_Nautilus_Undo_Context__create):
	* libnautilus-extensions/nautilus-undo-manager.c:
	(nautilus_undo_manager_initialize_class):
	* libnautilus/nautilus-undo-transaction.c:
	(impl_Nautilus_Undo_Transaction__create):
	* libnautilus/nautilus-view.c: (impl_Nautilus_View__create):
	* src/nautilus-history-frame.c:
	(impl_Nautilus_HistoryFrame__create):
	* src/nautilus-shell.c: (nautilus_shell_get_vepv):
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame__create):
	* src/nautilus-zoomable-frame-corba.c:
	(impl_Nautilus_ZoomableFrame__create):
	Use the new cover for bonobo_object_get_epv to avoid
	making lots of copies of it.
	
	* src/nautilus-window-menus.c: (get_user_level_image): Formatting
	tweak.
	
	* tools/leak-checker/nautilus-leak-checker.c: Added more "known to
	allocate and not free on exit" functions.

2000-09-26  John Sullivan  <sullivan@eazel.com>

	Fixed bug 3244 (already-computed folder counts don't update
	when filtering preferences change)

	* libnautilus-extensions/nautilus-directory.c:
	(invalidate_one_count): hash table foreach function that
	invalidates the count of a NautilusDirectory.
	(filtering_changed_callback): preference callback function
	that calls invalidate_one_count on all extant directories.
	(add_filtering_callbacks): add preference callbacks for each
	file-filtering preference.
	(remove_filtering_callbacks): remove those preference callbacks.
	(nautilus_directory_get_internal): When directories hash table
	is created, call add_filtering_callbacks and schedule
	remove_filtering_callbacks for exit time.

2000-09-26  Arlo Rose  <arlo@eazel.com>

	* data/browser.xml:
	Added new colors, and names to match. These are less jarring, and
	make for good backgrounds.
	Fixes Bug 3204.

2000-09-26  John Sullivan  <sullivan@eazel.com>

	Fixed bug 437 (Deleting files doesn't affect count in sidebar)
	Fixed bug 2001 (adding/removing files doesn't update directory counts)

	* libnautilus-extensions/nautilus-directory-async.c:
	(get_corresponding_file): Removed from here, replaced by
	nautilus_directory_get_existing_corresponding_file, now
	in nautilus-directory.c
	(nautilus_directory_invalidate_counts): New function, split out
	from nautilus_directory_force_reload.
	(nautilus_directory_force_reload): Now calls _invalidate_counts.
	
	* libnautilus-extensions/nautilus-directory-private.h:
	Added prototypes for nautilus_directory_get_existing_corresponding_file
	and nautilus_directory_invalidate_counts.
	
	* libnautilus-extensions/nautilus-directory.h:
	Added prototype for nautilus_directory_get_corresponding_file.

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_get_corresponding_file): New public function, 
	returns	NautilusFile object for this NautilusDirectory (whether or
	not one already existed).
	(nautilus_directory_get_existing_corresponding_file): Moved and
	renamed private function, returns NautilusFile object for this
	NautilusDirectory but only if one already exists.
	(invalidate_count_and_unref): New helper hash table foreach function,
	invalidates count & unrefs a NautilusDirectory.
	(collect_parent_directories): New helper function, adds directory
	to hash table & refs if not already present.
	(nautilus_directory_notify_files_added),
	(nautilus_directory_notify_files_removed),
	(nautilus_directory_notify_files_moved): Use these two new functions
	to invalidate directory counts when files added/removed.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal): Initialize a variable to NULL
	to make compiler happy.


	Reimplemented "select all should be insensitive when there
	are no files to select" a better way after Darin hinted.

	* src/file-manager/fm-directory-view.h: Added is_empty function
	pointer and prototype for fm_directory_view_is_empty.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class): made is_empty a MUST_OVERRIDE
	function.
	(get_directory_as_file): Simplified implementation by calling new
	nautilus_directory_get_corresponding_file.
	(no_items_showing): Removed this function.
	(compute_menu_item_info): Use fm_directory_view_is_empty instead of
	no_items_showing.
	(fm_directory_view_is_empty): New function, calls virtual function.

	(fm_directory_view_real_create_background_context_menu_items): Fixed
	bug where "New Folder" item in context menu was sensitive when it
	shouldn't have been.

	* src/file-manager/fm-list-view.c: (fm_list_view_initialize_class),
	(real_is_empty): Overrode is_empty function pointer to check whether
	row count of list is 0.

	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_is_empty): New function, checks whether
	list of icons is NULL.

	* src/file-manager/fm-icon-view.c: (fm_icon_view_is_empty),
	(fm_icon_view_initialize_class): Overrode is_empty function pointer
	to ask icon container.

2000-09-26  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_startup_form), (generate_summary_form):
	* nautilus-installer/src/Makefile:

	Adding scroll bar capabilities to various sections and cleaning up
	the box packing so that things look slightly better than with frames.

2000-09-26  Michael Engber  <engber@eazel.com>

	Yet another pass at optimizing background drawing.
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_get_image_placement),
	(ensure_gradient_buffered), (fill_canvas_from_gradient_buffer),
	(canvas_buf_from_pixmap), (ensure_image_scaled),
	(nautilus_background_draw), (nautilus_background_draw_aa):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_scale_to_fit_factor),
	(nautilus_gdk_pixbuf_is_scaled_to_fit),
	(nautilus_gdk_pixbuf_scale_to_fit),
	(nautilus_gdk_pixbuf_scale_down_to_fit):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:

2000-09-26  Rebecca Schulman  <rebecka@eazel.com>

	Fixed bugs 691, 689, and 733.  Hopeully this also
	fixes 690, but I can't test it, because rename in
	place is confused on my system

	* components/notes/nautilus-notes.c: (make_notes_view):
	Change clipboard initialization to new signature
	* libnautilus/nautilus-clipboard.c:
	* libnautilus/nautilus-clipboard.h:
	(set_paste_sensitive_if_clipboard_contains_data),
	(add_menu_items_callback), (remove_menu_items_callback),
	(set_clipboard_menu_items_sensitive),
	(set_clipboard_menu_items_insensitive), (menu_activated_callback),
	(menu_deactivated_callback),
	(nautilus_clipboard_set_up_editable_from_bonobo_control),
	(nautilus_clipboard_setup_local):
	Add calls to sensitize and desensitize.  Change signatures
	around to get the data necessary to find out whether cut
	and paste should be active or not
	* src/nautilus-location-bar.c: (nautilus_location_bar_initialize):
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Change clipboard menu signatures to fit above changes
	* src/nautilus-window.c: (nautilus_window_constructed):
	add clipoard initialization, after the local ui handler is created


2000-09-26  Darin Adler  <darin@eazel.com>

	Got leaks in "nautilus --check" down to 0.
	
	Fixed bug 2488 (path name for link set determined incorrectly) by
	using only paths for link sets, never URIs.

	* tools/leak-checker/nautilus-leak-checker.c: Added more "known to
	leak" symbols.
	
	* libnautilus-extensions/nautilus-link-set.c: (create_new_link),
	(nautilus_link_set_is_installed), (nautilus_link_set_remove):
	Changed functions to always expect paths, so they can now use
	nautilus_make_path instead of link_set_path_name.
	* src/nautilus-sidebar.c: (metadata_button_callback): Changed to
	turn the URI into a path before calling the link-set functions.

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_moved): Use
	nautilus_file_list_free instead of
	nautilus_g_list_free_deep_custom.
	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_clear): Use nautilus_g_list_free_deep
	instead of nautilus_g_list_free_deep_custom.
	* libnautilus-extensions/nautilus-view-identifier.c:
	(nautilus_view_identifier_free_callback),
	(nautilus_view_identifier_list_free): Fixed call to
	nautilus_g_list_free_deep_custom so it doesn't need a function
	pointer type cast any more.
	
2000-09-26  Josh Barrow  <linuxfan@ionet.net>

	* src/nautilus-theme-selector.c: (add_theme_to_icons),
	(add_new_theme_button_callback):
	Changed "directory" to "folder" in two cases.

2000-09-26  Mathieu Lacage  <mathieu@eazel.com>

	try to debug some mozilla-related pbs.
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame_open_location),
	(impl_Nautilus_ViewFrame_open_location_in_new_window),
	(impl_Nautilus_ViewFrame_open_in_new_window_and_select),
	(impl_Nautilus_ViewFrame_report_location_change),
	(impl_Nautilus_ViewFrame_report_selection_change),
	(impl_Nautilus_ViewFrame_report_status),
	(impl_Nautilus_ViewFrame_report_load_underway),
	(impl_Nautilus_ViewFrame_report_load_progress),
	(impl_Nautilus_ViewFrame_report_load_complete),
	(impl_Nautilus_ViewFrame_report_load_failed),
	(impl_Nautilus_ViewFrame_set_title):
	add debugging output.
	* src/nautilus-view-frame.c: (nautilus_view_frame_destroy_client),
	(nautilus_view_frame_destroy), (nautilus_view_frame_load_client):
	NULL freed' fields.
	* src/nautilus-window.c: (nautilus_window_real_set_content_view):
	idem.

2000-09-26  John Sullivan  <sullivan@eazel.com>

	Fixed bug 382 (Deleting file viewed in other window leaves
	other window in bad state)

	Also ran into some tree view problems that I did not fix
	but made less deadly so I could continue.

	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_model_done_loading_callback),
	(reload_node_for_uri):
	Added g_return_if_fails checking the model and node parameters, 
	so it won't segfault with a NULL node. I did not attempt to
	debug why the nodes were NULL.
	
	* src/nautilus-window-private.h: Added viewed_file field to
	details struct.

	* src/nautilus-window-manage-views.c:
	(viewed_file_changed_callback): New function, closes window if
	viewed_file is gone.
	(nautilus_window_update_internals): Set viewed_file to
	NautilusFile for this location (after unreffing old one), and 
	connect to its "changed" signal	with viewed_file_changed_callback.
	(nautilus_window_end_location_change_callback): Truncate the 
	"for display" version of the URI in error messages.
	
	* src/nautilus-window.c: (nautilus_window_destroy):
	unref viewed_file.

2000-09-26  Victor Lecha  <victor@eazel.com>

	make it compile.
	* components/services/summary/nautilus-view/Makefile.am: 
	make it include correct libtrilobite path.
	* components/services/summary/nautilus-view/nautilus-summary-view.c:
	small tweak.

2000-09-26  Gene Z. Ragan  <gzr@eazel.com>

	Work in progress on allowing the user to set a HTTP proxy.
	
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize):
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog), (global_preferences_register):
	* libnautilus-extensions/nautilus-global-preferences.h:

2000-09-26  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(pthread_nautilus_read_file_callback_idle_binder),
	(pthread_nautilus_read_file_callback_common),
	(pthread_nautilus_read_file_synchronous_callback),
	(pthread_nautilus_read_file_asynchronous_callback),
	(pthread_nautilus_read_file_thread_entry),
	(pthread_nautilus_read_file_async),
	(pthread_nautilus_read_file_async_cancel),
	(nautilus_read_file_async), (nautilus_read_file_cancel):
	Experimental replacement for the nautilus_read_file_async
	as a potential speed improvement. Need to do some more profiling
	to see if we are getting any gain.

2000-09-25  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-thumbnails.c:
	(nautilus_get_thumbnail_uri), (check_for_thumbnails),
	(make_thumbnails):
	fixed big 2932, nautilus doesn't finish making
	thumbnails if there is a problematic image, by changing the logic
	of how it determines when a thumbnail is made.  Now it simply checks
	if the thumbnail task has terminated, instead of checking for
	the created thumbnail, so failures shouldn't faze it anymore.  Also
	fixed some other associated bugs.
	
2000-09-25  John Sullivan  <sullivan@eazel.com>

	Band-aid for bug 2752 (intermittent failure trying to
	use Help Contents)

	* src/nautilus-view-frame.c:
	(nautilus_view_frame_load_client): Upped a hardcoded
	timeout from 2 seconds to 10 seconds; also added an
	assert that might help us fix the underlying problem
	later.

2000-09-25  Darin Adler  <darin@eazel.com>

	Fixed bug bug 3264 (Tree view shows no branches for directories,
	...HACK... nodes visible), bug 3290 (changing directory or
	refreshing causes Gdk to assert), bug 2420 (Need to free original
	key when removing model node), and other assorted problems.

	* components/tree/nautilus-tree-view.c: (insert_hack_node),
	(remove_hack_node), (nautilus_tree_view_insert_model_node):
	Fix problem where the hash table key was neither g_strdup'd on the
	way in, nor g_free'd on the way out. This caused all the problems
	with bad nesting in the tree view.
	
	* nautilus-installer/src/installer.c: (create_pixmap):
	* src/file-manager/fm-list-view.c: (install_row_images):
	* src/nautilus-theme-selector.c: (add_theme):
	Added more checks for NULL before calling gdk_bitmap_unref.
	
	* src/file-manager/fm-directory-view.c: (no_items_showing):
	Fixed a NautilusDirectory ref. count leak.
	
	* libnautilus-extensions/nautilus-font-factory.c:
	(unref_global_font_factory), (nautilus_get_current_font_factory):
	Unref the font factory on exit.
	(nautilus_font_factory_initialize_class), (font_hash_node_free),
	(free_one_hash_node), (destroy): Added code to actually destroy
	the font factory.
	(unref_fixed_font), (nautilus_font_factory_get_fallback_font):
	Unref the fixed font on exit.
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(unref_global_volume_monitor), (nautilus_volume_monitor_get):
	Unref the volume monitor on exit.
	* src/nautilus-signaller.c: (unref_global_signaller),
	(nautilus_signaller_get_current): Unref the signaller on exit.
	
	* src/nautilus-component-adapter-factory.c:
	(nautilus_component_adapter_factory_initialize): Replaced some
	strange FIXMEs with a simpler one.
	(nautilus_component_adapter_factory_destroy): Fix a CORBA object
	reference leak.
	(nautilus_component_adapter_factory_get): Did a ref/sink.

	* components/adapter/nautilus-adapter-control-embed-strategy.c:
	(nautilus_adapter_control_embed_strategy_new):
	* components/adapter/nautilus-adapter-embeddable-embed-strategy.c:
	(nautilus_adapter_embeddable_embed_strategy_new):
	* components/adapter/nautilus-adapter-file-load-strategy.c:
	(nautilus_adapter_file_load_strategy_new):
	* components/adapter/nautilus-adapter-progressive-load-strategy.c:
	(nautilus_adapter_progressive_load_strategy_new):
	* components/adapter/nautilus-adapter-stream-load-strategy.c:
	(nautilus_adapter_stream_load_strategy_new):
	* components/adapter/nautilus-adapter.c: (nautilus_adapter_new):
	* components/rpmview/nautilus-rpm-verify-window.c:
	(nautilus_rpm_verify_window_new):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_new), (eazel_install_new_with_config):
	* components/services/time/service/trilobite-eazel-time-service.c:
	(trilobite_eazel_time_service_new):
	* components/services/trilobite/libtrilobite/trilobite-service-pass
	wordquery.c: (trilobite_passwordquery_new):
	* components/services/trilobite/libtrilobite/trilobite-service.c:
	(trilobite_service_new):
	* components/tree/nautilus-tree-expansion-state.c:
	(nautilus_tree_expansion_state_new):
	* components/tree/nautilus-tree-model.c: (nautilus_tree_model_new):
	* components/tree/nautilus-tree-node.c: (nautilus_tree_node_new):
	* cut-n-paste-code/widgets/e-paned/e-hpaned.c: (e_hpaned_new):
	* cut-n-paste-code/widgets/e-paned/e-vpaned.c: (e_vpaned_new):
	* libnautilus-extensions/bonobo-stream-vfs.c:
	(bonobo_stream_create):
	* libnautilus-extensions/nautilus-any-width-bin.c:
	(nautilus_any_width_bin_new):
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_new):
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_new_with_icon):
	* libnautilus-extensions/nautilus-caption-table.c:
	(nautilus_caption_table_new):
	* libnautilus-extensions/nautilus-caption.c:
	(nautilus_caption_new):
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_new):
	* libnautilus-extensions/nautilus-druid-page-eazel.c:
	(nautilus_druid_page_eazel_new),
	(nautilus_druid_page_eazel_new_with_vals):
	* libnautilus-extensions/nautilus-druid.c: (nautilus_druid_new):
	* libnautilus-extensions/nautilus-entry.c: (nautilus_entry_new):
	* libnautilus-extensions/nautilus-file-operations-progress.c:
	(nautilus_file_operations_progress_new):
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_name), (nautilus_file_new_from_info):
	* libnautilus-extensions/nautilus-font-picker.c:
	(nautilus_font_picker_new):
	* libnautilus-extensions/nautilus-horizontal-splitter.c:
	(nautilus_horizontal_splitter_new):
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_new):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(get_icon_factory):
	* libnautilus-extensions/nautilus-image.c: (nautilus_image_new):
	* libnautilus-extensions/nautilus-keep-last-vertical-box.c:
	(nautilus_keep_last_vertical_box_new):
	* libnautilus-extensions/nautilus-label.c: (nautilus_label_new):
	* libnautilus-extensions/nautilus-list-column-title.c:
	(nautilus_list_column_title_new):
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_new_with_titles):
	* libnautilus-extensions/nautilus-password-dialog.c:
	(nautilus_password_dialog_new):
	* libnautilus-extensions/nautilus-preference.c:
	(nautilus_preference_new_from_type):
	* libnautilus-extensions/nautilus-preferences-box.c:
	(nautilus_preferences_box_new):
	* libnautilus-extensions/nautilus-preferences-dialog.c:
	(nautilus_preferences_dialog_new):
	* libnautilus-extensions/nautilus-preferences-group.c:
	(nautilus_preferences_group_new):
	* libnautilus-extensions/nautilus-preferences-item.c:
	(nautilus_preferences_item_new):
	* libnautilus-extensions/nautilus-preferences-pane.c:
	(nautilus_preferences_pane_new):
	* libnautilus-extensions/nautilus-radio-button-group.c:
	(nautilus_radio_button_group_new):
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_new):
	* libnautilus-extensions/nautilus-string-picker.c:
	(nautilus_string_picker_new):
	* libnautilus-extensions/nautilus-text-caption.c:
	(nautilus_text_caption_new):
	* libnautilus-extensions/nautilus-undo-context.c:
	(nautilus_undo_context_new):
	* libnautilus-extensions/nautilus-undo-manager.c:
	(nautilus_undo_manager_new):
	* libnautilus-extensions/nautilus-user-level-manager.c:
	(user_level_manager_new):
	* libnautilus/nautilus-undo-transaction.c:
	(nautilus_undo_transaction_new):
	* libnautilus/nautilus-view.c:
	(nautilus_view_new_from_bonobo_control):
	* src/file-manager/nautilus-trash-monitor.c:
	(nautilus_trash_monitor_get):
	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):
	* src/nautilus-property-browser.c: (nautilus_property_browser_new):
	* src/nautilus-shell.c: (nautilus_shell_new):
	* src/nautilus-sidebar-tabs.c: (nautilus_sidebar_tabs_new):
	* src/nautilus-sidebar-title.c: (nautilus_sidebar_title_new):
	* src/nautilus-sidebar.c: (nautilus_sidebar_create_context_menu),
	(nautilus_sidebar_new):
	* src/nautilus-theme-selector.c: (nautilus_theme_selector_new):
	* src/nautilus-throbber.c: (nautilus_throbber_new):
	* src/nautilus-view-frame.c: (nautilus_view_frame_new):
	* src/nautilus-zoom-control.c: (nautilus_zoom_control_new):
	* src/nautilus-about.c: (nautilus_about_new):
	* src/nautilus-application.c: (nautilus_application_new),
	(nautilus_application_create_window):
	* src/nautilus-bookmark-list.c: (nautilus_bookmark_list_new):
	After Tim Janik explained that gtk_type_new is a low-level call to
	be avoided, changed most uses of gtk_type_new to gtk_object_new or
	gtk_widget_new. Also, after Owen and Havoc explained that you
	can't just ignore the floating bit, added ref/sink calls to the
	functions used to create objects where we don't use the floating
	scheme.
	
	* src/nautilus-zoom-control.c:
	(nautilus_zoom_control_button_press_event): Take advantage of the
	fact that the new menu is floating and don't bother with ref'ing.

	* libnautilus-extensions/nautilus-ctree.c:
	(nautilus_ctree_new_with_titles):
	Added a cast.
	
	* components/adapter/main.c: (adapter_factory_make_object):
	* components/hardware/main.c: (hardware_view_make_object):
	* components/services/install/lib/eazel-install-corba-callback.c:
	(eazel_install_callback_get_type), (eazel_install_callback_new):
	* libnautilus-extensions/nautilus-theme.c:
	(nautilus_theme_get_theme), (nautilus_theme_set_theme),
	(nautilus_theme_get_theme_data):
	Whitespace tweaks.
	
2000-09-25  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_or_measure_label_text_aa):
	tweaked the new, semi-transparent selection highlighting
	a bit by lightening the info text color and enlarging
	the selection area a little.
	
2000-09-25  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_focus_rect):
	Fixed code so that alpha is set properly.
	
2000-09-25  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal):
	(get_nautilus_navigation_result_from_gnome_vfs_result):
	Fixed problem I ran into while debugging something else.
	When gnome_vfs_uri_extract_short_name returned NULL from
	a URI like "http://foo:", this routine got into trouble.
	Rearranged code to check for the no-short-name case
	earlier and fall back to the mystery-uri handling.

	* src/nautilus-applicable-views.c:
	Changed a g_message to a g_warning so people will tell
	me about problems even more often.

2000-09-25  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-theme-selector.c: (make_theme_description):
	fixed bug where the theme descriptions were not showing up in
	the theme selector; the problem was that the xml routines couldn't
	handle a uri, so fixed by calling gnome_vfs_get_local_path_from_uri.
	
2000-09-25  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/lib/eazel-summary-shared.c:
	(parse_summary_xml_file):
	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_startup_form), (generate_summary_form),
	(nautilus_summary_view_initialize),
	(summary_load_location_callback):
	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	(check_gconf_init):

	Fixing the background color errors that prevent testing.  I have not
	figured out how to set the parent form default color without causing
	major instability.  Also added the fetch of the url location tables
	from services.

2000-09-25  Andy Hertzfeld  <andy@eazel.com>

	finished the work for user-added themes, teaching the icon
	factory and other machinery to look in ~/.nautilus/themes to
	find theme
	
	* libnautilus-extensions/nautilus-icon-factory.c: (set_theme),
	(make_full_icon_path), (get_themed_icon_file_path):
	added a "local_theme" instance variable, determined it's state
	during set_theme and used it to make full paths.
	
	* libnautilus-extensions/nautilus-theme.c: (load_theme_document),
	(nautilus_theme_get_theme_data),
	(nautilus_pixmap_file_may_be_local),
	(nautilus_theme_get_image_path), (nautilus_theme_make_selector):
	made various routines look at the local theme store when necessary
	
2000-09-25  John Sullivan  <sullivan@eazel.com>

	Some work on the "sidebar panel has failed" situation.

	* src/nautilus-window-manage-views.c:
	(nautilus_window_update_state): Don't report sidebar panel
	failure when the view that failed was the content view.
	Doh! It had been putting up two dialogs, one for the content
	view and one for some mysterious unknown sidebar panel.
	(nautilus_window_set_state_info): Added a g_warning when
	the state is set to VIEW_ERROR. This will stop in the debugger
	to make it easier to tell what's generating the error (but
	without the debugger will just spew one line of spam).
	
	(nautilus_window_end_location_change_callback): Check if
	window is visible before trying to set the initial
	position. This prevents a return_if_fail complaint in some
	cases in the window-position-saving code when using 
	use-new-window mode.

	Fixed bug 3262 (Zoom control context menu should use
	radio buttons, not checkboxes)

	* src/nautilus-zoom-control.c: 
	Added marking_menu_items boolean to details struct.
	(create_zoom_menu_item): Now takes a radio button item
	as a parameter (from which to get the group) and returns
	the new radio button item (to use for the next time) and
	sets marking_menu_items to TRUE while creating menu items.
	Oh yeah, also creates a radio item instead of a check item.
	(zoom_menu_callback): Now bails out early if marking_menu_items.
	(create_zoom_menu): Passes the result of each create_zoom_menu_item
	into the next call, to get all the radio items in the same group.


2000-09-25  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-theme.c: (load_theme_document),
	(nautilus_theme_get_theme_data): Fix double-free problem that was
	causing a crash on quit if you changed themes.

2000-09-25  Rebecca Schulman  <rebecka@eazel.com>

	* src/file-manager/nautilus-indexing-info.c:
	(make_label_helvetica_bold), (make_label_helvetica_medium),
	(get_file_index_time), (show_reindex_request_information),
	(show_index_progress_bar), (nautilus_indexing_info_show_dialog):
	Created the index progress dialog, to show how much has been
	indexed, and updated the dialog about when the index was last
	updated to conform to screenshot.

2000-09-25  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_or_measure_label_text_aa):
	Forgot to remove FIXME.  It is now gone.

2000-09-25  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 2877, Keyboard selection feedback broken in
	iocn view for smooth fonts.
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_focus_rect):
	New function to draw dashed selection rect.  Dash size
	can be changed by modifying dash variable.
	
	(draw_or_measure_label_text_aa):
	Call new draw_focus_rect when item focus is set.

2000-09-25  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-window-manage-views.c:
	(position_and_show_window_callback): Needed a NULL check
	for saved geometry.

2000-09-25  John Sullivan  <sullivan@eazel.com>

	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_insert_model_node),
	(nautilus_tree_view_update_model_node): Check for NULL
	before calling gdk_bitmap_unref (mask); it was hitting
	a return_if_fail NULL check a zillion times on startup
	in the tree view.

2000-09-25  Pavel Cisler  <pavel@eazel.com>

	* src/nautilus-component-adapter-factory.c:
	(nautilus_component_adapter_factory_initialize),
	(nautilus_component_adapter_factory_destroy),
	(nautilus_component_adapter_factory_get):
	Fix some NULL-dereferencing crashers that I was hitting.

	* tools/profiler/funcsummary.C:
	Special case root arcs with zero function times.

2000-09-25  Andy Hertzfeld  <andy@eazel.com>

	work toward completing user added themes; it's almost done
	now except for making the icon factory aware of user-added themes
	
	* src/nautilus-theme-selector.c: (uri_get_basename),
	(add_theme_to_icons), (make_theme_description), (add_theme),
	(populate_list_with_themes_from_directory),
	(populate_list_with_themes):
	made the theme selector install themes properly, and made it
	reflect themes that were installed in the user space
	
	* libnautilus-extensions/nautilus-theme.c:
	(nautilus_theme_make_selector):
	made it look in both theme spaces to retrieve an icons.

2000-09-24  Andy Hertzfeld  <andy@eazel.com>
	
	* src/nautilus-throbber.c: (get_throbber_dimensions),
	(load_themed_image), (nautilus_throbber_load_images),
	(nautilus_throbber_button_press_event),
	(nautilus_throbber_set_small_mode):
	implemented a small mode for the throbber to fix bug 3188.  Also,
	cleaned up some other throbber problems.
	* src/nautilus-throbber.h:
	added nautilus_throbber_set_small_mode, as part of fixing 3188
	* src/nautilus-window-toolbars.c: (allocate_throbber):
	set the small mode when necessary
	
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_make_directory_and_parents), (nautilus_copy_uri_simple):
	* libnautilus-extensions/nautilus-file-utilities.h:
	added a "nautilus_copy_uri_simple" cover to gnome_vfs_xfer_uri to
	make it easy to replace 'cp' system calls.
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(nautilus_property_browser_destroy), (make_drag_image),
	(make_color_drag_image), (remove_background), (remove_emblem),
	(add_background_to_browser), (emblem_dialog_clicked),
	(make_property_tile), (make_properties_from_directories),
	(make_properties_from_xml_node):
	changed the way colors are presented by the property browser to
	use names instead of color values and to be more consistent with
	backgrounds.  Also, cleaned up the error handling and replaced
        'system' calls that had quoting problems with vfs calls, fixing bugs
	1249 and 2539

2000-09-24  Josh Barrow  <linuxfan@ionet.net>

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_open_terminal):
	Make the terminals besides GNOME-terminal login as well.
	Also did some more cleaning up after myself.

2000-09-24  Maciej Stachowiak  <mjs@eazel.com>

	* check-THANKS.pl: New script to make sure we're giving credit
	appropriately - should be run before releases to make sure.
	
	* THANKS: Removed those who have been promoted to AUTHORS.
	
	* ChangeLog-20000625, ChangeLog-20000831: Made a few minor edits
	to avoid confusing check-THANKS.pl

2000-09-23  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-toolbar.c: (nautilus_toolbar_initialize_class),
	(nautilus_toolbar_size_allocate), (nautilus_toolbar_size_request):
	fixed bug 3186 and assorted other problems involving the throbber
	messing up toolbar resizing, by implementing
	nautilus_toolbar_size_request. Now it sizes correctly when you
	pull it out of the window.
	
2000-09-23  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window-toolbars.c: (set_up_button):
	fixed bug where toolbar icon theme indirection was broken,
	so now the new ardmore theme uses the blue toolbar icons like
	Susan intended.
	
2000-09-23  Josh Barrow  <linuxfan@ionet.net>

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_open_terminal):
	Make the fix prettier.

2000-09-23  Josh Barrow  <linuxfan@ionet.net>

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_open_terminal):
	Changed terminal_path_with_flags to terminal_path.  I had 
	changed one instance trying to get this to work, then forgot
	to change it back.

2000-09-23  Josh Barrow  <linuxfan@ionet.net>

	* libnautilus-extensions/nautilus-gnome-extensions.c:
	(nautilus_gnome_open_terminal):
	Make GNOME-terminal start with the right flags.  This fixes
	bug 2226.

2000-09-23  Andy Hertzfeld  <andy@eazel.com>

	optimized the new selection highlighting by fetching the
	highlight frame once for the icon canvas instead of for each
	selected item

	* libnautilus-extensions/nautilus-icon-private.h:
	added field for highlight frame
	
	* libnautilus-extensions/nautilus-icon-container.c: (destroy),
	(nautilus_icon_container_initialize):
	load and destroy the highlight frame as necessary
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_label_text_aa):
	use the highlight frame from the canvas
	
2000-09-22  Maciej Stachowiak  <mjs@eazel.com>

	Register all the below components per display. I didn't make
	nautilus per-display yet (to avoid dealing with the locking
	issues, etc). I also did not change the services components that
	appear to be non-gui to operate per-display.

	I believe this fixes bugs 3033 and 2237.

	* components/adapter/main.c: (main):
	* components/hardware/main.c: (main):
	* components/help/hyperbola-main.c: (main):
	* components/history/nautilus-history-view.c: (main):
	* components/html/ntl-web-browser.c: (main):
	* components/image-viewer/nautilus-image-view.c:
	(init_bonobo_image_generic_factory):
	* components/loser/content/main.c: (main):
	* components/loser/sidebar/main.c: (main):
	* components/mozilla/main.c: (main):
	* components/music/main.c: (main):
	* components/notes/nautilus-notes.c: (main):
	* components/rpmview/main.c: (main):
	* components/sample/main.c: (main):
	* components/services/install/nautilus-view/main.c: (main):
	* components/services/inventory/nautilus-view/main.c: (main):
	* components/services/login/nautilus-view/main.c: (main):
	* components/services/summary/nautilus-view/main.c: (main):
	* components/services/time/nautilus-view/main.c: (main):
	* components/services/trilobite/sample/service/main.c: (main):
	* components/shell/shell.c: (shell_factory_init):
	* components/tree/main.c: (main):
	* components/websearch/ntl-web-search.c: (main): Register each of 
	these per-display.

2000-09-22  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_gradient_parse_one_color_spec):
	fixed glitch in Michael's gradient parsing logic that was
	mishandling three-point gradients and making Arlo's sidebar
	draw wrong.
	
2000-09-22  Andy Hertzfeld  <andy@eazel.com>

	implemented Arlo's new design for icon selection highlighting.
	It's still not finished; it needs to be optimized and refined in
	various ways.
	
	* icons/Makefile.am:
	* icons/text-selection-frame.png
	added semi-transparent text selection frame image
	
	* libnautilus-extensions/nautilus-graphic-effects.c,h:
	(nautilus_stretch_frame_image), (nautilus_embed_image_in_frame):
	exposed the stretch frame image routine
	
	* libnautilus-extensions/nautilus-icon-canvas-item.c:
	(draw_or_measure_label_text_aa), (draw_label_text_aa):
	implemented the new, transparent highlighting.
	
2000-09-22  Darin Adler  <darin@eazel.com>

	Storage leak fixes. Today I concentrated on leaks that happen
	when you change views from Icon to List View and back.

	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_insert_model_node): Unref a pixmap and bitmap,
	free a string.
	(nautilus_tree_view_update_model_node): Unref a pixmap and bitmap,
	free a string.
	(notify_node_seen): Free a string.
	(nautilus_tree_view_uri_to_name): Removed extra g_strdup.
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(free_hash_tables_at_exit): Free a list.
	* libnautilus-extensions/nautilus-list.c: (draw_cell): Skip the
	excess work of re-getting the pixmap and bitmap, not using them,
	and leaking them.
	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_hash_node_remove_callback): Free a list.
	* src/file-manager/fm-directory-view.c: (queue_pending_files):
	Free a list.
	* src/file-manager/fm-icon-view.c: (get_icon_text_callback):
	Free a string in all code paths (was freed in some before).
	* src/file-manager/fm-list-view.c: (add_to_list): Free the column
